<#--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: ofin
    Version: 2.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<course id="${exportUtil.getIdentifiantUnique(fiche)}" language="${exportUtil.getXsLanguage(fiche.langue)}">
	<courseID><![CDATA[${fiche.code}]]></courseID>
	<courseName><![CDATA[${fiche.libelleLong}]]></courseName>
	<courseCode codeSet="${codeSet}">
		<#if (fiche.codeSiScolarite?has_content)>
		<![CDATA[${fiche.codeSiScolarite}]]>
		</#if>
	</courseCode>
	<#assign listeUeupFils = (fiche.fichesCodeUeupfils)!>
	<#assign listeCoursFils = (fiche.fichesCodeCours)!>
	<#if (listeUeupFils?has_content || listeCoursFils?has_content)>
	<courseDescription>
		<cdmfr:digitalUse>
			<cdmfr:percentage>0</cdmfr:percentage>
			<cdmfr:lcms>
				<cdmfr:exists>false</cdmfr:exists>
				<cdmfr:resourceManagement>0</cdmfr:resourceManagement>
				<cdmfr:percentageOfUse>0</cdmfr:percentageOfUse>
			</cdmfr:lcms>
			<cdmfr:prodPeda>
				<cdmfr:digitProdPercentage>0</cdmfr:digitProdPercentage>
				<cdmfr:digitProdUNTPercentage>0</cdmfr:digitProdUNTPercentage>
			</cdmfr:prodPeda>
		</cdmfr:digitalUse>
		<cdmfr:infoBlock/>
		<cdmfr:courseContentsEC>
			<#list listeUeupFils as ueup>
            <cdmfr:refCourse idRef="${exportUtil.getIdentifiantUnique(ueup)}"/>
            </#list>
			<#list listeCoursFils as cours>
            <cdmfr:refCourse idRef="${exportUtil.getIdentifiantUnique(cours)}"/>
            </#list>
		</cdmfr:courseContentsEC>
	</courseDescription>
	</#if>
	<#if (fiche.calendrier?has_content)>
    <teachingTerm><![CDATA[${fiche.formatedCalendrier}]]></teachingTerm>
	</#if>
	<#if (fiche.creditEcts?has_content || fiche.volumeHoraireTotal?has_content || fiche.volumeHoraireCm?has_content ||
	fiche.volumeHoraireTd?has_content || fiche.volumeHoraireTp?has_content || fiche.volumeHoraireProjet?has_content ||
	fiche.volumeHoraireStage?has_content)>
	<#if (fiche.creditEcts?has_content)>
	<cdmfr:credits ECTScredits="${fiche.creditEcts}">
	<#else>
	<cdmfr:credits>
	</#if>
		<infoBlock />
		<#if (fiche.volumeHoraireTotal?has_content)>
		<cdmfr:globalVolume teachingtype="all">${fiche.volumeHoraireTotal}</cdmfr:globalVolume>
		<#else>
		<cdmfr:globalVolume teachingtype="all">0</cdmfr:globalVolume>
		</#if>
		<#if (fiche.volumeHoraireCm?has_content)>
		<cdmfr:globalVolume teachingtype="CM">${fiche.volumeHoraireCm}</cdmfr:globalVolume>
		</#if>
		<#if (fiche.volumeHoraireTd?has_content)>
		<cdmfr:globalVolume teachingtype="TD">${fiche.volumeHoraireTd}</cdmfr:globalVolume>
		</#if>
		<#if (fiche.volumeHoraireTp?has_content)>
		<cdmfr:globalVolume teachingtype="TP">${fiche.volumeHoraireTp}</cdmfr:globalVolume>
		</#if>
		<#if (fiche.volumeHoraireProjet?has_content)>
		<cdmfr:globalVolume teachingtype="homeWork">${fiche.volumeHoraireProjet}</cdmfr:globalVolume>
		</#if>
		<#if (fiche.volumeHoraireStage?has_content)>
		<cdmfr:globalVolume teachingtype="trainingWeeks">${fiche.volumeHoraireStage}</cdmfr:globalVolume>
		</#if>
	</cdmfr:credits>
	</#if>
	<#if (fiche.objectifs?has_content)>
    <learningObjectives><![CDATA[${fiche.formatedObjectifs}]]></learningObjectives>
	</#if>
	<#if (fiche.prerequis?has_content)>
    <formalPrerequisites><![CDATA[${fiche.formatedPrerequis}]]></formalPrerequisites>
	</#if>
	<#if (fiche.volumeHoraireFormationDistance?has_content)>
	<formOfTeaching method="à distance"><![CDATA[${fiche.volumeHoraireFormationDistance}]]></formOfTeaching>
	</#if>
	<#if (fiche.volumeHorairePresentiel?has_content)>
	<formOfTeaching method="en présence"><![CDATA[${fiche.volumeHorairePresentiel}]]></formOfTeaching>
	</#if>
	<formOfTeaching method="hybride" />
	<#if (fiche.controleConnaissances?has_content)>
    <formOfAssessment><![CDATA[${fiche.formatedControleConnaissances}]]></formOfAssessment>
	</#if>
	<#if (fiche.bibliographie?has_content)>
    <syllabus><![CDATA[${fiche.formatedBibliographie}]]></syllabus>
	</#if>
	<#if fiche.languesEnseignement?has_content>
	<#list fiche.languesEnseignement?split(";") as langueEnseignement>
	<instructionLanguage teachingLang="${langueEnseignement}"/>
	</#list>
	</#if>
	<#if (fiche.contenu?has_content)>
	<teachingActivity>
        <infoBlock><![CDATA[${fiche.formatedContenu}]]></infoBlock>
	</teachingActivity>
	</#if>
	<contacts>
		<#list fiche.fichesCodeRattachementsAutres as structure>
		<refOrgUnit idRef="${exportUtil.getIdentifiantUnique(structure)}"/>
		</#list>
		<#if (fiche.codeRattachement?has_content)>
		<cdmfr:refOrgResp>
			<cdmfr:respRole>composante de responsabilité administrative</cdmfr:respRole>
			<cdmfr:refOrgUnit idRef="${exportUtil.getIdentifiantUnique(fiche.infosStructure)}"/>
		</cdmfr:refOrgResp>
		</#if>
		<#if (fiche.coordonnees?has_content)>
        <infoBlock><![CDATA[${fiche.formatedCoordonnees}]]></infoBlock>
		</#if>
		<#assign listeResponsables = fiche.fichesCodeResponsable>
		<#if (fiche.complementsResponsable?has_content || listeResponsables?has_content)>
		<cdmfr:teachingTeam>
            <infoBlock><![CDATA[${fiche.formatedComplementsResponsable}]]></infoBlock>
			<#list listeResponsables as annuaire>
			<cdmfr:refPerson idRef="${exportUtil.getIdentifiantUnique(annuaire)}"/>
			</#list>
		</cdmfr:teachingTeam>
		</#if>
	</contacts>
	<#if (fiche.complements?has_content)>
    <infoBlock><![CDATA[${fiche.formatedComplements}]]></infoBlock>
	</#if>
	<#if fiche.meta.metaKeywords?has_content>
	<#list fiche.meta.metaKeywords?split(";") as keyword>
	<searchword><![CDATA[${keyword}]]></searchword>
	</#list>
	</#if>
</course>