<#--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: ofin
    Version: 2.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<cdmfr:habilitation>
	<cdmfr:habiliId />
	<cdmfr:legalRef />
	<#assign mention = formation.libelleMention>
	<#if (mention?has_content || formation.libelleParcours?has_content)>
	<cdmfr:field fieldPurpose="Professionnel">
		<cdmfr:fieldName>
			<cdmfr:free><![CDATA[${mention}]]></cdmfr:free>
		</cdmfr:fieldName>
		<#list formation.libelleParcours?split(";") as libelleParcours>
		<cdmfr:speciality specialityPurpose="Professionnel">
			<cdmfr:specialityId />
			<cdmfr:specialityNum />
            <cdmfr:specialityName>
                <cdmfr:text><![CDATA[${libelleParcours}]]></cdmfr:text>
            </cdmfr:specialityName>
			<cdmfr:specialityTimingInfo />
			<cdmfr:cohabilitation>
				<cdmfr:exists>false</cdmfr:exists>
				<cdmfr:listOfOrgUnit>
					<cdmfr:habOrgUnit>
						<cdmfr:refOrgUnit />
						<cdmfr:domainName>
							<cdmfr:openDomain />
						</cdmfr:domainName>
					</cdmfr:habOrgUnit>
				</cdmfr:listOfOrgUnit>
			</cdmfr:cohabilitation>
			<cdmfr:refProgram idRef="${exportUtil.getIdentifiantUnique(formation)}" />
		</cdmfr:speciality>
		</#list>
		<cdmfr:fieldTimingInfo />
		<cdmfr:fieldInfo />
	</cdmfr:field>
	<#else>
	<cdmfr:otherDiploma>
		<cdmfr:name>
			<cdmfr:text><![CDATA[${formation.libelleNatureFormation}]]></cdmfr:text>
		</cdmfr:name>
	</cdmfr:otherDiploma>
	</#if>
	<cdmfr:contexteEtEnjeux>
		<cdmfr:contexteEtEnjeuxInfo><![CDATA[${formation.formatedDescription}]]></cdmfr:contexteEtEnjeuxInfo>
	</cdmfr:contexteEtEnjeux>
	<cdmfr:habiliRequest>
		<cdmfr:habiliTiming></cdmfr:habiliTiming>
		<cdmfr:habilistatus></cdmfr:habilistatus>
		<cdmfr:habiliReqType habiliReqTypeValue="Renouvellement à l'identique">
			<infoBlock />
		</cdmfr:habiliReqType>
	</cdmfr:habiliRequest>
	<cdmfr:cohabilitation>
		<cdmfr:exists>false</cdmfr:exists>
		<cdmfr:listOfOrgUnit>
			<cdmfr:habOrgUnit>
				<cdmfr:refOrgUnit />
				<cdmfr:domainName>
					<cdmfr:openDomain />
				</cdmfr:domainName>
			</cdmfr:habOrgUnit>
		</cdmfr:listOfOrgUnit>
	</cdmfr:cohabilitation>
	<cdmfr:habiliObject>
		<cdmfr:refProgram />
	</cdmfr:habiliObject>
	<#assign domainesLMD = formation.libelleDomaineLmd>
	<#list domainesLMD?split(";") as domaineLMD>
	<cdmfr:domainName>
		<cdmfr:openDomain><![CDATA[${domaineLMD}]]></cdmfr:openDomain>
	</cdmfr:domainName>
	</#list>
	<#if (formation.etablissementsPartenaires?has_content || formation.conventionEtablissements?has_content)>
    <cdmfr:partnership>
        <cdmfr:partnerName />
        <cdmfr:partnershipType>académique</cdmfr:partnershipType>
        <cdmfr:partnershipInfo>
			<#if (formation.etablissementsPartenaires?has_content || formation.conventionEtablissements?has_content)>
            <infoBlock>
				<#if (formation.etablissementsPartenaires?has_content)>
				<subBlock userDefined="partenariat"><![CDATA[${formation.formatedEtablissementsPartenaires}]]></subBlock>
				</#if>
				<#if (formation.conventionEtablissements?has_content)>
				<subBlock userDefined="convention"><![CDATA[${formation.formatedConventionEtablissements}]]></subBlock>
				</#if>
			</infoBlock>
			</#if>
			<cdmfr:diploma>
				<cdmfr:description />
			</cdmfr:diploma>
			<cdmfr:students>
				<infoBlock />
			</cdmfr:students>
			<cdmfr:management />
		</cdmfr:partnershipInfo>
		<cdmfr:refOrgUnit />
		<cdmfr:country>
			<cdmfr:countryName>FRANCE</cdmfr:countryName>
		</cdmfr:country>
	</cdmfr:partnership>
	</#if>
	<#if (formation.entreprisesPartenaires?has_content)>
	<cdmfr:partnership>
		<cdmfr:partnerName />
		<cdmfr:partnershipType>professionnel</cdmfr:partnershipType>
		<cdmfr:partnershipInfo>
            <infoBlock><![CDATA[${formation.formatedEntreprisesPartenaires}]]></infoBlock>
			<cdmfr:diploma>
				<cdmfr:description />
			</cdmfr:diploma>
			<cdmfr:students>
				<infoBlock />
			</cdmfr:students>
			<cdmfr:management />
		</cdmfr:partnershipInfo>
		<cdmfr:refOrgUnit />
		<cdmfr:country>
			<cdmfr:countryName>FRANCE</cdmfr:countryName>
		</cdmfr:country>
	</cdmfr:partnership>
	</#if>
	<cdmfr:infoBlock />
</cdmfr:habilitation>