<#--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: ofin
    Version: 2.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<program id="${exportUtil.getIdentifiantUnique(formation)}" language="${exportUtil.getXsLanguage(formation.langue)}">
    <programID><![CDATA[${formation.code}]]></programID>
    <#if (formation.intituleCourt?has_content)>
    <cdmfr:programName ordinaryName="true"><![CDATA[${formation.intituleCourt}]]></cdmfr:programName>
    </#if>
    <cdmfr:programName ordinaryName="false"><![CDATA[${formation.intituleLong}]]></cdmfr:programName>
    <cdmfr:programCode codeSet="userDefined">
        <cdmfr:codeUserDefined><![CDATA[${formation.codeSiScolarite}]]></cdmfr:codeUserDefined>
    </cdmfr:programCode>
    <#if (formation.domaineErasmus?has_content)>
    <#list formation.domaineErasmus?split(";") as codeDomaineErasmus>
    <#if codeDomaineErasmus?has_content>
    <cdmfr:programCode codeSet="ERASMUS">
        <cdmfr:codeErasmus>${codeDomaineErasmus}</cdmfr:codeErasmus>
    </cdmfr:programCode>
    </#if>
    </#list>
    </#if>
    <#if (formation.resume?has_content)>
    <programIntroduction><![CDATA[${formation.formatedResume}]]></programIntroduction>
    </#if>
    <cdmfr:programDescription nature="mention">
        <#if (formation.programme?has_content)>
        <infoBlock><![CDATA[${formation.formatedProgramme}]]></infoBlock>
        </#if>
    </cdmfr:programDescription>
    <#assign tauxInsertionProfessionnelle = (mapCartes["Professionnalisation"]?first.tauxinsertionchiffre)!>
    <#if (formation.insertionProfessionnelle?has_content || tauxInsertionProfessionnelle?has_content)>
    <cdmfr:aip>
        <cdmfr:successSupport userDefined="${tauxInsertionProfessionnelle}"><![CDATA[${formation.formatedInsertionProfessionnelle}]]></cdmfr:successSupport>
    </cdmfr:aip>
    </#if>
    <qualification>
        <qualificationName/>
        <cdmfr:qualificationDescription>
            <infoBlock><![CDATA[${formation.formatedCompetencesAttestees}]]></infoBlock>
        </cdmfr:qualificationDescription>
        <cdmfr:degree userDefined="${formation.formationDiplomante?c}" />
        <cdmfr:profession>
            <infoBlock><![CDATA[${formation.formatedDebouches}]]></infoBlock>
            <cdmfr:romeData />
        </cdmfr:profession>
        <#if listeMetiers?has_content>
        <#list listeMetiers as metier>
        <cdmfr:profession>
            <infoBlock />
            <cdmfr:romeData romeCode="${metier.code}">
                <cdmfr:text><![CDATA[${metier.libelle}]]></cdmfr:text>
            </cdmfr:romeData>
        </cdmfr:profession>
        </#list>
        </#if>
        <cdmfr:studyQualification>
            <infoBlock><![CDATA[${formation.formatedPoursuiteEtudes}]]></infoBlock>
            <cdmfr:competenceDesc/>
            <cdmfr:competenceValidity limited="true"/>
        </cdmfr:studyQualification>
    </qualification>
    <#assign grade = formation.libelleGrade>
    <#if (grade?has_content || formation.typeDiplome?has_content)>
    <level <#if (grade?has_content)>level="${grade}"</#if>><![CDATA[${formation.libelleTypeDiplome}]]></level>
    </#if>
    <#assign anneePostbac = formation.libelleAnneePostbac>
    <#if (anneePostbac?has_content)>
    <levelCode><![CDATA[${anneePostbac}]]></levelCode>
    </#if>
    <#if (formation.accroche?has_content)>
    <learningObjectives><![CDATA[${formation.accroche}]]></learningObjectives>
    </#if>
    <#assign capaciteAccueil = (mapCartes["Admission"]?first.capaciteaccueilchiffre)!>
    <#if (formation.conditionsAdmission?has_content || capaciteAccueil?has_content || formation.modalitesInscription?has_content)>
    <admissionInfo>
        <#if (formation.conditionsAdmission?has_content)>
        <cdmfr:admissionDescription><![CDATA[${formation.formatedConditionsAdmission}]]></cdmfr:admissionDescription>
        </#if>
        <cdmfr:studentStatus />
        <cdmfr:ectsRequired />
        <#if (capaciteAccueil?has_content)>
        <studentPlaces places="${capaciteAccueil}"/>
        </#if>
       <#if (formation.modalitesInscription?has_content)>
        <cdmfr:registrationDetail>
            <cdmfr:registrationProcess>
                <cdmfr:registrationLocation/>
                <cdmfr:registrationModalities><![CDATA[${formation.formatedModalitesInscription}]]></cdmfr:registrationModalities>
            </cdmfr:registrationProcess>
            <cdmfr:registrationStart/>
        </cdmfr:registrationDetail>
        </#if>
    </admissionInfo>
    </#if>
    <#if (formation.formationsRequises?has_content)>
    <formalPrerequisites><![CDATA[${formation.formatedFormationsRequises}]]></formalPrerequisites>
    </#if>
    <#if (formation.lieuxComplement?has_content)>
    <teachingPlace>
        <cdmfr:refOrgUnit/>
        <infoBlock><![CDATA[${formation.formatedLieuxComplement}]]></infoBlock>
    </teachingPlace>
    </#if>
    <#if (formation.publicCible?has_content)>
    <targetGroup><![CDATA[${formation.formatedPublicCible}]]></targetGroup>
    </#if>
    <#if (formation.formationInitiale)>
    <formOfTeaching org="formInit"/>
    </#if>
    <#if (formation.repriseEtudes)>
    <formOfTeaching org="formCont"/>
    </#if>
    <#if (formation.presentiel)>
    <formOfTeaching method="en présence">
        <#if (formation.presentielDescription?has_content)>
        <![CDATA[${formation.formatedPresentielDescription}]]>
        </#if>
    </formOfTeaching>
    </#if>
    <#if (formation.totalementDistance)>
    <formOfTeaching method="à distance">
        <#if (formation.totalementDistanceDescription?has_content)>
        <![CDATA[${formation.formatedTotalementDistanceDescription}]]>
        </#if>
    </formOfTeaching>
    </#if>
    <#if (formation.partiellementDistance)>
        <formOfTeaching method="hybride">
            <#if (formation.partiellementDistanceDescription?has_content)>
                <![CDATA[${formation.formatedPartiellementDistanceDescription}]]>
            </#if>
        </formOfTeaching>
    </#if>
    <#if (formation.modalitesEvaluation?has_content)>
    <cdmfr:formOfAssessment>
        <infoBlock><![CDATA[${formation.formatedModalitesEvaluation}]]></infoBlock>
        <cdmfr:juryStruct>
            <cdmfr:juryStructDesc/>
            <cdmfr:refPerson/>
        </cdmfr:juryStruct>
    </cdmfr:formOfAssessment>
    </#if>
    <#if formation.languesEnseignement?has_content>
    <#list formation.languesEnseignement?split(";") as langue>
    <#if langue?has_content>
    <instructionLanguage teachingLang="${langue}"/>
    </#if>
    </#list>
    </#if>
    <#assign duree = formation.libelleDureeListe>
    <#if (duree?has_content)>
    <programDuration><![CDATA[${duree}]]></programDuration>
    <#elseif (formation.autreDuree?has_content)>
    <programDuration><![CDATA[${formation.autreDuree}]]></programDuration>
    </#if>
    <#if formation.tempsPleinDescription?has_content>
    <programDuration studyPace="plein temps"><![CDATA[${formation.formatedTempsPleinDescription}]]></programDuration>
    </#if>
    <#assign matieres = formation.libellePrincipalesMatieres>
    <#if matieres?has_content>
    <#list matieres?split(";") as matiere>
    <#if matiere?has_content>
    <programStructure><![CDATA[${matiere}]]></programStructure>
    </#if>
    </#list>
    </#if>
    <#if (formation.contenuFormation?has_content)>
    <cdmfr:programStructure>
        <infoBlock><![CDATA[${formation.formatedContenuFormation}]]></infoBlock>
    </cdmfr:programStructure>
    </#if>
    <#if (formation.sejoursEtrangerDescription?has_content)>
    <studyAbroad><![CDATA[${formation.formatedSejoursEtrangerDescription}]]></studyAbroad>
    </#if>
    <#assign coutFormation = (mapCartes["Inscription"]?first.coutformation)!>
    <#if (coutFormation?has_content)>
    <expenses><![CDATA[${coutFormation}]]></expenses>
    </#if>
    <#assign catalogue = formation.libelleCatalogue>
    <#assign tauxReussite = (mapCartes["ZoomAnnee"]?first.tauxreussitepourcentage)!>
    <contacts>
        <#if (formation.contactTelephone?has_content || formation.contactEmail?has_content || formation.urlExterneFormation?has_content || formation.urlInscription?has_content || formation.renseignements?has_content)>
        <contactData>
            <#if (formation.contactTelephone?has_content)>
            <telephone><![CDATA[${formation.contactTelephone}]]></telephone>
            </#if>
            <#if (formation.contactEmail?has_content)>
            <email><![CDATA[${formation.contactEmail}]]></email>
            </#if>
            <#if (formation.urlExterneFormation?has_content)>
            <webLink>
                <href><![CDATA[${formation.urlExterneFormation}]]></href>
                <linkName>URL du site de formation</linkName>
            </webLink>
            </#if>
            <#if (formation.urlInscription?has_content)>
            <webLink>
                <href><![CDATA[${formation.urlInscription}]]></href>
                <linkName>URL inscription en ligne</linkName>
            </webLink>
            </#if>
            <#if (formation.renseignements?has_content)>
            <infoBlock><![CDATA[${formation.formatedRenseignements}]]></infoBlock>
            </#if>
        </contactData>
        </#if>
        <#list formation.ficheCodeRattachementAutres as structure>
            <refOrgUnit idRef="${exportUtil.getIdentifiantUnique(structure)}"/>
        </#list>
        <#if (formation.codeRattachement?has_content)>
            <cdmfr:refOrgResp>
                <cdmfr:respRole>composante de responsabilité administrative</cdmfr:respRole>
                <cdmfr:refOrgUnit idRef="${exportUtil.getIdentifiantUnique(formation.infosStructure)}"/>
            </cdmfr:refOrgResp>
        </#if>
        <#if (listeResponsables?has_content)>
        <#list listeResponsables as responsable>
        <refPerson idRef="${exportUtil.getIdentifiantUnique(responsable.fiche)}" <#if responsable.titre?has_content>role="${responsable.titre}"</#if> />
        </#list>
        </#if>
        <#if (formation.responsablesComplement?has_content)>
        <infoBlock><![CDATA[${formation.formatedResponsablesComplement}]]></infoBlock>
        </#if>
    </contacts>
    <#if (formation.specificites?has_content || catalogue?has_content || tauxReussite?has_content)>
    <infoBlock>
        <#if (formation.specificites?has_content)>
            <subBlock userDefined="specificites"><![CDATA[${formation.formatedSpecificites}]]></subBlock>
        </#if>
        <#if (catalogue?has_content)>
            <subBlock userDefined="catalogue"><![CDATA[${catalogue}]]></subBlock>
        </#if>
        <#if (tauxReussite?has_content)>
            <subBlock userDefined="tauxReussite"><![CDATA[${tauxReussite}]]></subBlock>
        </#if>
    </infoBlock>
    </#if>
    ${subPrograms}
    <#if formation.meta.metaKeywords?has_content>
    <#list formation.meta.metaKeywords?split(";") as keyword>
        <searchword><![CDATA[${keyword}]]></searchword>
    </#list>
    </#if>
</program>
