<#--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: ofin
    Version: 2.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<program id="${exportUtil.getIdentifiantUnique(parcours)}" language="${exportUtil.getXsLanguage(parcours.langue)}">
    <programID><![CDATA[${parcours.code}]]></programID>
    <cdmfr:programName ordinaryName="true"><![CDATA[${parcours.intituleCourt}]]></cdmfr:programName>
    <cdmfr:programName ordinaryName="false"><![CDATA[${parcours.intituleLong}]]></cdmfr:programName>
    <cdmfr:programCode codeSet="userDefined">
        <cdmfr:codeUserDefined><![CDATA[${parcours.codeSiScolarite}]]></cdmfr:codeUserDefined>
    </cdmfr:programCode>
    <#if parcours.diplomantEtape>
    <cdmfr:programDescription nature="parcours">
    <#else>
    <cdmfr:programDescription>
    </#if>
        <#if (parcours.presentation?has_content)>
        <infoBlock><![CDATA[${parcours.formatedPresentation}]]></infoBlock>
        </#if>
    </cdmfr:programDescription>
    <#assign fichesParcoursAmont = parcours.fichesParcoursAmont>
    <#if (fichesParcoursAmont?has_content)>
        <formalPrerequisites>
        <#list fichesParcoursAmont as parcoursAmont>
            <refProgram idRef="${exportUtil.getIdentifiantUnique(parcoursAmont)}"/>
        </#list>
        </formalPrerequisites>
    </#if>
    <#if (parcours.compatibleActivitePro)>
    <formOfTeaching org="formCont" />
    </#if>
    <#if (parcours.horsContratAlternance)>
    <formOfTeaching org="formContNonDip" />
    </#if>
    <#if (parcours.contratApprentissage)>
        <formOfTeaching org="formAppr" />
    </#if>
    <#if (parcours.contratPro)>
        <formOfTeaching org="formPro" />
    </#if>
    <#if (parcours.dureeSemestre > 0 || parcours.numeroPremierSemestre > 0 || parcours.tempsPlein)>
    <programDuration
        <#if (parcours.dureeSemestre > 0)>semester="${parcours.dureeSemestre}"</#if>
        <#if (parcours.numeroPremierSemestre > 0)>userDefined="${parcours.numeroPremierSemestre}"</#if>
        <#if (parcours.tempsPlein)>studyPace="plein temps"</#if>
    />
    </#if>
    <#assign listeUeupFils = parcours.ficheUeups>
    <#if (listeUeupFils?has_content)>
    <cdmfr:programStructure>
        <#list listeUeupFils as ueup>
        <cdmfr:refCourse idRef="${exportUtil.getIdentifiantUnique(ueup)}"/>
        </#list>
    </cdmfr:programStructure>
    </#if>
    <#if (parcours.tempsAmenage)>
    <universalAdjustment />
    </#if>
    <#if (parcours.codeRattachement?has_content || parcours.fichesCodeRattachementsAutres?has_content)>
    <contacts>
        <#if (parcours.fichesCodeRattachementAutres?has_content)>
        <#list parcours.fichesCodeRattachementAutres as structure>
            <refOrgUnit idRef="${exportUtil.getIdentifiantUnique(structure)}"/>
        </#list>
        </#if>
        <#if (parcours.codeRattachement?has_content)>
            <cdmfr:refOrgResp>
                <cdmfr:respRole>composante de responsabilité administrative</cdmfr:respRole>
                <cdmfr:refOrgUnit idRef="${exportUtil.getIdentifiantUnique(parcours.infosStructure)}"/>
            </cdmfr:refOrgResp>
        </#if>
    </contacts>
    </#if>
    <#if parcours.meta.metaKeywords?has_content>
        <#list parcours.meta.metaKeywords?split(";") as keyword>
            <searchword><![CDATA[${keyword}]]></searchword>
        </#list>
    </#if>
</program>
