/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: commentaire
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.commentaire.bean;

import java.io.Serializable;

import com.univ.objetspartages.bean.AbstractRestrictionFicheBean;

public class CommentaireBean extends AbstractRestrictionFicheBean implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 711396003866099739L;

    /** The code parent. */
    private Long idMeta = null;

    /** The code principal. */
    @Deprecated
    private Long idParent = null;

    /** The texte. */
    private String texte = null;

    /** The auteur. */
    private String auteur = null;

    /** The email auteur. */
    private String emailAuteur = null;

    /** The nom site. */
    @Deprecated
    private String nomSite = null;

    /** The url site. */
    private String urlSite = null;

    /** The code rattachement autres. */
    @Deprecated
    private String codeRattachementAutres = null;

    /**
     * Gets the code parent.
     *
     * @return the code parent
     */
    public Long getIdMeta() {
        return idMeta;
    }

    /**
     * Gets the code principal.
     *
     * @return the code principal
     */
    @Deprecated
    public Long getIdParent() {
        return idParent;
    }

    /**
     * Gets the texte.
     *
     * @return the texte
     */
    public String getTexte() {
        return texte;
    }

    /**
     * Gets the auteur.
     *
     * @return the auteur
     */
    public String getAuteur() {
        return auteur;
    }

    /**
     * Gets the email auteur.
     *
     * @return the email auteur
     */
    public String getEmailAuteur() {
        return emailAuteur;
    }

    /**
     * Gets the nom site.
     *
     * @return the nom site
     */
    @Deprecated
    public String getNomSite() {
        return nomSite;
    }

    /**
     * Gets the url site.
     *
     * @return the url site
     */
    public String getUrlSite() {
        return urlSite;
    }

    /**
     * Gets the code rattachement autres.
     *
     * @return the code rattachement autres
     */
    @Deprecated
    public String getCodeRattachementAutres() {
        return codeRattachementAutres;
    }

    /**
     * Sets the code parent.
     *
     * @param _idMeta
     *            the new code parent
     */
    public void setIdMeta(Long _idMeta) {
        idMeta = _idMeta;
    }

    /**
     * Sets the code principal.
     *
     * @param _idParent
     *            the new code principal
     */
    public void setIdParent(Long _idParent) {
        idParent = _idParent;
    }

    /**
     * Sets the texte.
     *
     * @param _texte
     *            the new texte
     */
    public void setTexte(String _texte) {
        texte = _texte;
    }

    /**
     * Sets the auteur.
     *
     * @param _auteur
     *            the new auteur
     */
    public void setAuteur(String _auteur) {
        auteur = _auteur;
    }

    /**
     * Sets the email auteur.
     *
     * @param _emailAuteur
     *            the new email auteur
     */
    public void setEmailAuteur(String _emailAuteur) {
        emailAuteur = _emailAuteur;
    }

    /**
     * Sets the nom site.
     *
     * @param _nomSite
     *            the new nom site
     */
    public void setNomSite(String _nomSite) {
        nomSite = _nomSite;
    }

    /**
     * Sets the url site.
     *
     * @param _urlSite
     *            the new url site
     */
    public void setUrlSite(String _urlSite) {
        urlSite = _urlSite;
    }

    /**
     * Sets the code rattachement autres.
     *
     * @param _codeRattachementAutres
     *            the new code rattachement autres
     */
    public void setCodeRattachementAutres(String _codeRattachementAutres) {
        codeRattachementAutres = _codeRattachementAutres;
    }

}
