/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.content.link.types.impl;


import com.kosmos.content.link.types.LinkList;

import com.kosmos.controllers.SGController;
import com.kportal.core.config.PropertyHelper;
import com.kportal.extension.ExtensionHelper;

/**
 * Interpréteur de lien de liste de diplomes
 */
public class EnseignementLinkList implements LinkList {

    private String typeList;

    @Override
    public String getLink(String codeObjet, String typeObjet, String langue) {
        return PropertyHelper.getCoreProperty(SGController.URL_PROPERTY) + "?EXT=" + ExtensionHelper.getOfinExtensionName() + "&PROC=TRAITEMENT_DIPLOME&ACTION=AJOUTER&CODE_FORMATION=" + codeObjet + ",LANGUE=" + langue + "&LISTE=" + typeList;
    }

    /**
     * Renvoie le type de liste à retourner
     * @return Type de la liste retournée
     */
    public String getTypeList() {
        return typeList;
    }

    /**
     * Défini le type de diplome retourné dans la liste
     * @param typeList Type de diplome (FORMATION,DIPLOME)
     */
    public void setTypeList(final String typeList) {
        this.typeList = typeList;
    }
}
