/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: listemanuelle
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.fil.bean;

import java.io.Serializable;

import org.apache.commons.lang3.StringUtils;

import com.univ.objetspartages.bean.AbstractPersistenceBean;

public class FilBean extends AbstractPersistenceBean implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 4334270253236688045L;

    /** The code. */
    protected String code = StringUtils.EMPTY;

    /** The code rattachement. */
    protected String codeRattachement = StringUtils.EMPTY;

    /** The code rubrique. */
    protected String codeRubrique = StringUtils.EMPTY;

    /** The langue. */
    protected String langue = StringUtils.EMPTY;

    /** The intitule. */
    protected String intitule = StringUtils.EMPTY;

    /** The type fil. */
    protected String typeFil = StringUtils.EMPTY;

    /** The liste fiches. */
    protected String listeFiches = StringUtils.EMPTY;

    public Long getIdFil() {
        return super.getId();
    }

    public void setIdFil(final Long id) {
        super.setId(id);
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodeRattachement() {
        return codeRattachement;
    }

    public void setCodeRattachement(String codeRattachement) {
        this.codeRattachement = codeRattachement;
    }

    public String getCodeRubrique() {
        return codeRubrique;
    }

    public void setCodeRubrique(String codeRubrique) {
        this.codeRubrique = codeRubrique;
    }

    public String getLangue() {
        return langue;
    }

    public void setLangue(String langue) {
        this.langue = langue;
    }

    public String getIntitule() {
        return intitule;
    }

    public void setIntitule(String intitule) {
        this.intitule = intitule;
    }

    public String getTypeFil() {
        return typeFil;
    }

    public void setTypeFil(String typeFil) {
        this.typeFil = typeFil;
    }

    public String getListeFiches() {
        return listeFiches;
    }

    public void setListeFiches(String listeFiches) {
        this.listeFiches = listeFiches;
    }
}
