/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: listemanuelle
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.fil.module;

import com.kosmos.fil.util.FilUtil;
import com.kportal.extension.module.IExportableModule;
import com.kportal.extension.module.composant.Composant;
import com.kportal.extension.module.plugin.objetspartages.IPluginFiche;
import com.univ.objetspartages.om.AutorisationBean;

public class ModuleFil extends Composant implements IExportableModule {

    public static final String ID_EXTENSION = "listemanuelle";

    public static final String ID_BEAN = "listemanuelleModule";

    public IPluginFiche pluginFiche;

    public PluginRechercheFil pluginRecherche;

    @Override
    public boolean isVisible(final AutorisationBean autorisation) {
        return autorisation != null && FilUtil.isAdministrateurFil(autorisation);
    }

    public PluginRechercheFil getPluginRecherche() {
        return pluginRecherche;
    }

    public void setPluginRecherche(final PluginRechercheFil pluginRecherche) {
        this.pluginRecherche = pluginRecherche;
    }

    @Override
    public boolean isActionVisible(final AutorisationBean autorisation, final String code) {
        return super.isActionVisible(autorisation, code) && FilUtil.isCreateurFil(autorisation);
    }

    @Override
    public String buildExportFilename() {
        return buildExportFilename("ListeManuelle");
    }

    public IPluginFiche getPluginFiche() {
        return pluginFiche;
    }

    public void setPluginFiche(IPluginFiche pluginFiche) {
        this.pluginFiche = pluginFiche;
    }
}
