/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: listemanuelle
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.fil.reference;

import java.util.Arrays;

import com.kosmos.fil.module.ModuleFil;
import com.kosmos.usinesite.reference.DelimitationPattern;
import com.kosmos.usinesite.reference.impl.DefaultModuleReference;
import com.kportal.extension.module.ModuleHelper;

/**
 * Mise à jour des champs : - LISTE_FICHES sur FIL
 *
 */
public class FilReference extends DefaultModuleReference {

    @Override
    public void init() {
        ModuleFil moduleFil = (ModuleFil) ModuleHelper.getModule(ModuleFil.ID_EXTENSION, ModuleFil.ID_BEAN);
        if (moduleFil != null) {
            // "liste_fiches":"04249600,LANGUE=0;1239283865488,LANGUE=0;44885703,LANGUE=0;1271951809322,LANGUE=0
            addModulesBySearchStringsForCode("\"liste_fiches\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", ";?" + DelimitationPattern.COMMA_SEMICOLON_DELIMITER, Arrays.asList(new String[] {ModuleFil.ID_BEAN}));
        }
    }
}
