/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: listemanuelle
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.fil.service.impl.beanexport;

import java.util.List;

import com.kosmos.fil.bean.FilBean;
import com.kosmos.fil.bean.FilBeanExport;
import com.kosmos.fil.service.impl.ServiceFil;
import com.kportal.extension.module.bean.BeanExportMap;
import com.kportal.extension.module.bean.MetadataExport;
import com.kportal.extension.module.dto.ServiceBeanExportDto;
import com.kportal.extension.module.service.ServiceBeanExport;
import com.univ.utils.ContexteDao;

public class ServiceBeanExportFil extends ServiceBeanExport<FilBeanExport> {

    private ServiceFil serviceFil;

    public void setServiceFil(ServiceFil serviceFil) {
        this.serviceFil = serviceFil;
    }

    @Override
    public BeanExportMap<FilBeanExport> getBeansByRubrique(final ServiceBeanExportDto serviceBeanExportDto) throws Exception {
        final BeanExportMap<FilBeanExport> fils = new BeanExportMap<>();
        final ContexteDao ctx = new ContexteDao();
        try {
            final List<FilBean> selectedFils = serviceFil.getByCodesRubrique(serviceBeanExportDto.getCodesRubrique());
            for (FilBean fil : selectedFils) {
                if (!fils.containsKey(fil.getCode())) {
                    final FilBeanExport filBeanExport = new FilBeanExport();
                    filBeanExport.setIdModule(serviceBeanExportDto.getModule().getId());
                    filBeanExport.setBean(fil);
                    FilBeanExport finalFilBeanExport = executeProcessors(filBeanExport, serviceBeanExportDto);
                    if (finalFilBeanExport != null) {
                        fils.put(fil.getCode(), finalFilBeanExport);
                    }
                }
            }
        } finally {
            ctx.close();
        }
        return fils;
    }

    @Override
    public MetadataExport getMetadataExport(final ServiceBeanExportDto serviceBeanExportDto) {
        final MetadataExport metadataExport = new MetadataExport();
        metadataExport.addMetadataSequence("encadreGenerique", serviceFil.getAutoIncrement());
        return metadataExport;
    }
}
