/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: listemanuelle
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.fil.service.impl.beanimport;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.kosmos.fil.bean.FilBeanExport;
import com.kosmos.fil.service.impl.ServiceFil;
import com.kportal.extension.module.dto.ServiceBeanImportDto;
import com.kportal.extension.module.service.ServiceBeanImport;

public class ServiceBeanImportFil extends ServiceBeanImport<FilBeanExport> {

    private ServiceFil serviceFil;

    public void setServiceFil(ServiceFil serviceFil) {
        this.serviceFil = serviceFil;
    }

    /**
     * Logger available to subclasses.
     */
    private static final Logger LOGGER = LoggerFactory.getLogger(ServiceBeanImportFil.class);

    @Override
    public void importBeanExport(final ServiceBeanImportDto serviceBeanImportDto) {
        final FilBeanExport filBean = (FilBeanExport) serviceBeanImportDto.getBeanExport();
        FilBeanExport finalFilBeanExport = executeProcessors(filBean, serviceBeanImportDto);
        if (finalFilBeanExport == null) {
            return;
        }
        try {
            serviceFil.addWithForcedId(finalFilBeanExport.getBean());
        } catch (final Exception e) {
            LOGGER.error(String.format("Une erreur est survenue lors de l'import du fil \"%s\"", filBean), e);
        }
    }
}
