/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: listemanuelle
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.fil.util;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;

import com.jsbsoft.jtf.core.FormateurJSP;
import com.jsbsoft.jtf.core.InfoBean;
import com.univ.objetspartages.om.ReferentielObjets;
import com.univ.utils.EscapeString;

@Deprecated
public class FormateurFil {

    /**
     * Insère le code HTML de la saisie d'un fil
     *
     * Le libellé, si le code est prévalorisé doit être dans la donnée LIBELLE_[NOMCODE).
     *
     * @param fmt
     *            the fmt
     * @param out
     *            the out
     * @param infoBean
     *            the info bean
     * @param nomDonnee
     *            the nom donnee
     * @param optionModification
     *            the option modification
     * @param nomZone
     *            the nom zone
     * @param typeFil
     *            the type fil
     *
     * @throws IOException
     *             * @throws Exception the exception
     * @throws Exception
     *             the exception
     * @deprecated Méthode plus utilisée
     */
    @Deprecated
    public void insererContenuSaisieFicheFil(final FormateurJSP fmt, final JspWriter out, final InfoBean infoBean, final String nomDonnee, final int optionModification, final String nomZone, final String typeFil) throws Exception {
        //AM 200412 : zones invisibles pour fiches LMD
        if (optionModification == -1) {
            return;
        }
        String res = "";
        String libelle = "";
        if (infoBean.get("LIBELLE_" + nomDonnee) != null) {
            libelle = infoBean.getString("LIBELLE_" + nomDonnee);
        }
        String value = "";
        if (infoBean.get(nomDonnee) != null) {
            value = infoBean.getString(nomDonnee);
        }
        if (optionModification != FormateurJSP.SAISIE_AFFICHAGE) {
            res += "<input type=\"hidden\" name=\"" + nomDonnee + "\" value=\"" + EscapeString.escapeHtml(value) + "\"/>";
            final String proc = ReferentielObjets.getProcessus(ReferentielObjets.getCodeObjet(typeFil));
            res += "<input type=\"button\" class=\"button\" value=\"" + FilUtil.getMessage("JTF_BOUTON_CHERCHER") + "\" onclick=\"showMessageField('fichefil" + EscapeString.escapeJavaScript(proc) + "','" + nomDonnee + "','LIBELLE_" + nomDonnee + "');\"/> ";
            if (optionModification == FormateurJSP.SAISIE_FACULTATIF) {
                res += "<input type=\"button\" class=\"button\" value=\"" + FilUtil.getMessage("JTF_BOUTON_EFFACER") + "\" onclick=\"effacerTextField('" + nomDonnee + "','LIBELLE_" + nomDonnee + "','','" + FilUtil.getMessage("JTF_CLIQUER_CHERCHER") + "');\"/> ";
            }
            if ((libelle.equals("-")) || (libelle.equals(""))) {
                libelle = FilUtil.getMessage("JTF_CLIQUER_CHERCHER");
            }
            res += "<input type=\"text\" readonly=\"readonly\" name=\"LIBELLE_" + nomDonnee + "\" size=\"30\" value=\"" + EscapeString.escapeHtml(libelle) + "\"/>";
        } else {
            fmt.insererChampSaisie(out, infoBean, "LIBELLE_" + nomDonnee, FormateurJSP.SAISIE_AFFICHAGE, FormateurJSP.FORMAT_TEXTE, 0, 0);
        }
        out.println(res);
    }
}
