/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: formulaire
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.formulaire;

import java.io.File;
import java.text.SimpleDateFormat;
import java.util.Date;

import com.jsbsoft.jtf.core.InfoBean;
import com.jsbsoft.jtf.database.OMContext;
import com.jsbsoft.jtf.exception.ErreurApplicative;
import com.kosmos.formulaire.om.Formulaire;
import com.kosmos.formulaire.util.FormulaireUtil;
import com.kportal.core.webapp.WebAppUtil;
import com.kportal.util.compress.Zip;

public class ExtractionPJImpl implements com.kosmos.formulaire.ExtractionFormulaire {

    @Override
    public String extraireFormulaire(final Formulaire formulaire, final InfoBean infoBean, final OMContext ctx) throws Exception {
        // Create zip file
        final String zipFilename = WebAppUtil.getDownloadPrivatePath() + File.separator + "formulaire-" + System.currentTimeMillis() + ".zip";
        final String pathFormulaire = new StringBuilder().append(FormulaireUtil.getFormsDefaultPath()).append(File.separator).append(formulaire.getCode()).append(File.separator).toString();
        final File form = new File(pathFormulaire);
        final File zip = new File(zipFilename);
        if (form.exists() && form.isDirectory() && form.list().length > 0) {
            Zip.compress(form, zip, false);
        } else {
            throw new ErreurApplicative("Aucune pièce jointe pour ce formulaire");
        }
        return zipFilename;
    }

    @Override
    public void setTypeExtraction(final String typeExtraction) throws Exception {}

    public String getDay() {
        final SimpleDateFormat sdf = new SimpleDateFormat("dd-MM-YYYY");
        final String s = sdf.format(new Date(System.currentTimeMillis()));
        return s;
    }

    @Override
    public String getContentType() throws Exception {
        return "application/octet-stream";
    }
}
