/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: formulaire
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.formulaire.module;

import org.apache.commons.lang3.StringUtils;

import com.kosmos.formulaire.processus.TraitementFormulaire;
import com.kportal.tag.interpreteur.impl.AbstractInterpreteurTag;
import com.univ.utils.ContexteUtil;
import com.univ.utils.EscapeString;
import com.univ.utils.RequeteUtil;

public class InterpreteurTagInsertion extends AbstractInterpreteurTag {

    @Override
    public String interpreterTag(final String texteAInterpreter, final String baliseOuvrante, final String baliseFermante) {
        String param = StringUtils.substringBetween(texteAInterpreter, baliseOuvrante, baliseFermante);
        param = EscapeString.unescapeHtml(param);
        final String style = RequeteUtil.renvoyerParametre(param, "STYLE");
        final String code = RequeteUtil.renvoyerParametre(param, "CODE");
        return TraitementFormulaire.formaterHtml(ContexteUtil.getContexteUniv(), code, style, null);
    }

    @Override
    public String getReferenceTag(final String texteAInterpreter, final String baliseOuvrante, final String baliseFermante) {
        return "";
    }
}
