/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: formulaire
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.formulaire.module;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.kosmos.formulaire.processus.TraitementFormulaire;
import com.kportal.tag.interpreteur.impl.AbstractInterpreteurTag;
import com.univ.utils.ContexteUniv;
import com.univ.utils.ContexteUtil;

public class InterpreteurTagTraitement extends AbstractInterpreteurTag {

    private static final Logger LOGGER = LoggerFactory.getLogger(InterpreteurTagTraitement.class);

    @Override
    public String interpreterTag(final String texteAInterpreter, final String baliseOuvrante, final String baliseFermante) {
        // test que le tag est genere pour une jsp en front
        ContexteUniv ctx = ContexteUtil.getContexteUniv();
        if (ctx != null && ctx.getJspWriter() != null) {
            final String param = StringUtils.substringBetween(texteAInterpreter, baliseOuvrante, baliseFermante);
            final String[] lstParam = param.split(";", -2);
            if (lstParam.length == 3) {
                return TraitementFormulaire.formaterHtml(ctx, lstParam[0], lstParam[1], lstParam[2]);
            } else if (lstParam.length == 1) {
                String affichageInitial = (String) ctx.getDatas().get("AFFICHAGE_FORMULAIRE_INITIAL");
                if ("FORCER_AFFICHAGE".equals(lstParam[0])) {
                    if (affichageInitial == null) {
                        affichageInitial = (String) ctx.getDatas().get("AFFICHAGE_FORMULAIRE");
                    }
                    if (affichageInitial == null) {
                        affichageInitial = "0";
                    }
                    ctx.getDatas().put("AFFICHAGE_FORMULAIRE_INITIAL", affichageInitial);
                    ctx.getDatas().put("AFFICHAGE_FORMULAIRE", "1");
                }
                if ("RESTAURER_AFFICHAGE".equals(lstParam[0])) {
                    if (affichageInitial == null) {
                        affichageInitial = "0";
                    }
                    ctx.getDatas().put("AFFICHAGE_FORMULAIRE", affichageInitial);
                }
            } else {
                LOGGER.warn("Champ de formulaire non valide : " + param);
            }
        }
        return StringUtils.EMPTY;
    }

    @Override
    public String getReferenceTag(final String texteAInterpreter, final String baliseOuvrante, final String baliseFermante) {
        return "";
    }
}
