/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: formulaire
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.formulaire.om;

import java.util.Date;

import org.apache.commons.lang3.StringUtils;

import com.kosmos.formulaire.bean.ContenuformulaireBean;
import com.kosmos.formulaire.dao.impl.ContenuformulaireDAO;
import com.univ.objetspartages.om.AbstractOm;

/**
 * The Class Contenuformulaire.
 */
public class Contenuformulaire extends AbstractOm<ContenuformulaireBean, ContenuformulaireDAO> implements Cloneable {

    /**
     * Instantiates a new contenuformulaire.
     */
    public Contenuformulaire() {
        super();
    }

    /**
     * implementation de la methode clone() (utilisée dans le module catalogue)
     */
    @Override
    public Contenuformulaire clone() throws CloneNotSupportedException {
        return (Contenuformulaire) super.clone();
    }

    /**
     * Initialisation de l'objet.
     */
    public void init() {
        setIdContenuformulaire(System.currentTimeMillis());
        setCodeFormulaire(StringUtils.EMPTY);
        setDateCreation(new Date());
        setInstance(StringUtils.EMPTY);
        setCodeUnique(StringUtils.EMPTY);
    }

    /**
     * Select.
     *
     * @return the int
     *
     * @throws Exception
     *             the exception
     */
    public int select() throws Exception {
        return select(StringUtils.EMPTY);
    }

    public Long getIdContenuformulaire() {
        return persistenceBean.getId();
    }

    public void setIdContenuformulaire(Long idContenuformulaire) {
        persistenceBean.setId(idContenuformulaire);
    }

    public String getCodeFormulaire() {
        return persistenceBean.getCodeFormulaire();
    }

    public void setCodeFormulaire(String codeFormulaire) {
        persistenceBean.setCodeFormulaire(codeFormulaire);
    }

    public String getCodeUnique() {
        return persistenceBean.getCodeUnique();
    }

    public void setCodeUnique(String codeUnique) {
        persistenceBean.setCodeUnique(codeUnique);
    }

    public String getInstance() {
        return persistenceBean.getInstance();
    }

    public void setInstance(String instance) {
        persistenceBean.setInstance(instance);
    }

    public Date getDateCreation() {
        return persistenceBean.getDateCreation();
    }

    public void setDateCreation(Date date) {
        persistenceBean.setDateCreation(date);
    }
}
