/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: formulaire
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.formulaire.service.impl;

import java.util.List;

import com.kosmos.formulaire.bean.ContenuformulaireBean;
import com.kosmos.formulaire.dao.impl.ContenuformulaireDAO;
import com.kosmos.service.impl.AbstractServiceBean;

public class ContenuFormulaireService extends AbstractServiceBean<ContenuformulaireBean, ContenuformulaireDAO> {

    /**
     * Méthode permettant de récupérer tous les objets de la table CONTENUFORMULAIRE
     * @return La liste des ContenuformulaireBean de la table CONTENUFORMULAIRE
     */
    public List<ContenuformulaireBean> getAllContenus() {
        return dao.getAll();
    }

    /**
     * Méthode permettant de récupérer tous les objets de la table CONTENUFORMULAIRE pour un formulaire donné
     * @return La liste des ContenuformulaireBean de la table CONTENUFORMULAIRE
     */
    public List<ContenuformulaireBean> getAllByFormCode(final String code) {
        return dao.getAllByFormCode(code);
    }
}
