/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: formulaire
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.formulaire.service.impl.beandeletion;

import com.kosmos.formulaire.service.impl.FormulaireService;
import com.kportal.extension.module.dto.ServiceBeanDeletionDto;
import com.kportal.extension.module.service.ServiceBeanDeletion;

/**
 * Service de suppression de formulaires.
 */
public class ServiceBeanDeletionFormulaire extends ServiceBeanDeletion {

    /**
     * Le service de gestion de formulaires.
     */
    private final FormulaireService formulaireService;

    /**
     * Constructeur de la classe.
     * @param formulaireService le service de gestion de formulaire
     */
    public ServiceBeanDeletionFormulaire(final FormulaireService formulaireService) {
        this.formulaireService = formulaireService;
    }

    @Override
    public void deleteByRubrique(final ServiceBeanDeletionDto serviceBeanDeletionDto) throws Exception {
        serviceBeanDeletionDto.getCodesRubrique().stream()
            .flatMap(sectionCode -> formulaireService.getBySection(sectionCode).stream())
            .forEach(formulaireService::delete);
    }
}
