/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: formulaire
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.formulaire.service.impl.beanimport;

import java.util.Map;

import org.apache.commons.collections4.MapUtils;

import com.kosmos.formulaire.bean.ContenuformulaireBean;
import com.kosmos.formulaire.bean.FormulaireBean;
import com.kosmos.formulaire.bean.FormulaireBeanExport;
import com.kosmos.formulaire.om.Contenuformulaire;
import com.kosmos.formulaire.om.Formulaire;
import com.kportal.extension.module.dto.ServiceBeanImportDto;
import com.kportal.extension.module.service.ServiceBeanImport;

public class ServiceBeanImportFormulaire extends ServiceBeanImport<FormulaireBeanExport> {

    @Override
    public void importBeanExport(final ServiceBeanImportDto serviceBeanImportDto) {
        final FormulaireBeanExport formulaireBeanExport = (FormulaireBeanExport) serviceBeanImportDto.getBeanExport();
        FormulaireBeanExport finalFormulaireBeanExport = executeProcessors(formulaireBeanExport, serviceBeanImportDto);
        if (finalFormulaireBeanExport == null) {
            return;
        }
        addFormulaire(finalFormulaireBeanExport.getBean());
        addContenusFormulaire(finalFormulaireBeanExport.getContenusFormulaire());
    }

    private void addFormulaire(final FormulaireBean formulaireBean) {
        final Formulaire formulaire = new Formulaire();
        formulaire.init();
        formulaire.setPersistenceBean(formulaireBean);
        formulaire.add();
    }

    private void addContenusFormulaire(final Map<Long, ContenuformulaireBean> contenusFormulaire) {
        if (MapUtils.isNotEmpty(contenusFormulaire)) {
            for (final ContenuformulaireBean currentContenuFormulaireBean : contenusFormulaire.values()) {
                final Contenuformulaire currentContenuFormulaire = new Contenuformulaire();
                currentContenuFormulaire.setPersistenceBean(currentContenuFormulaireBean);
                currentContenuFormulaire.add();
            }
        }
    }
}
