/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: seo
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.ihm;

import org.apache.commons.lang3.StringUtils;

import com.kosmos.seo.util.SEOUtil;
import com.kportal.ihm.HTMLMetaElement;
import com.univ.multisites.InfosSite;
import com.univ.utils.ContexteUtil;

public class GoogleSiteVerificationMetatagElement implements HTMLMetaElement {

    private final static String METATAG_ATTRIBUTE_NAME = "google-site-verification";

    @Override
    public String getMetaName() {
        return METATAG_ATTRIBUTE_NAME;
    }

    @Override
    public String getMetaContent() {
        InfosSite infosSite = ContexteUtil.getContexteUniv().getInfosSite();
        if(infosSite != null){
            return StringUtils.defaultString((String) infosSite.getProprieteComplementaire(SEOUtil.SITE_PROPERTY_CODE_VERIFICATION), StringUtils.EMPTY);
        }
        return StringUtils.EMPTY;
    }
}
