/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.importexport.servlet;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.univ.xml.TraitementExportTempsReel;

@Controller
public class ValidationTicketServlet {

    public final static String URL_PROPERTY = "validation_tickets.mapping";

    private static final Logger LOG = LoggerFactory.getLogger(ValidationTicketServlet.class);

    @RequestMapping(value = "${" + URL_PROPERTY + ":/validationTicketServlet}", method = RequestMethod.GET)
    protected void doGet(final HttpServletRequest request, final HttpServletResponse response) {
        try {
            TraitementExportTempsReel.validerTicket(response.getWriter(), request.getQueryString());
        } catch (IOException io) {
            LOG.error("unable to get the response writer", io);
        }
    }
}
