/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: newsletter
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.newsletter.bean;

import java.util.Date;

import org.apache.commons.lang3.StringUtils;

import com.univ.objetspartages.bean.AbstractPersistenceBean;

/**
 * Created on 23/04/15.
 */
public class MailingBean extends AbstractPersistenceBean {

    /** The email. */
    private String email = StringUtils.EMPTY;

    /** The code utilisateur. */
    private String codeUtilisateur = StringUtils.EMPTY;

    /** The nom utilisateur. */
    private String nomUtilisateur = StringUtils.EMPTY;

    /** The reply to. */
    private String replyTo = StringUtils.EMPTY;

    /** The objet. */
    private String objet = StringUtils.EMPTY;

    /** The type mime. */
    private String typeMime = StringUtils.EMPTY;

    /** The message. */
    private String message = StringUtils.EMPTY;

    /** The fichier. */
    private String fichier = StringUtils.EMPTY;

    /** The nom fichier. */
    private String nomFichier = StringUtils.EMPTY;

    /** The etat. */
    private String etat = StringUtils.EMPTY;

    /** The error message. */
    private String errorMessage = StringUtils.EMPTY;

    /** The id newsletter. */
    private String idNewsletter = StringUtils.EMPTY;

    /** The public_interne. */
    protected String publicInterne = StringUtils.EMPTY;

    /**
     * le type (issu du type de la newsletter)
     */
    private String type = StringUtils.EMPTY;

    /** The date purge. */
    private Date datePurge;

    /**
     * La date de création du mailing
     */
    private Date dateCreation;

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getCodeUtilisateur() {
        return codeUtilisateur;
    }

    public void setCodeUtilisateur(String codeUtilisateur) {
        this.codeUtilisateur = codeUtilisateur;
    }

    public String getNomUtilisateur() {
        return nomUtilisateur;
    }

    public void setNomUtilisateur(String nomUtilisateur) {
        this.nomUtilisateur = nomUtilisateur;
    }

    public String getReplyTo() {
        return replyTo;
    }

    public void setReplyTo(String replyTo) {
        this.replyTo = replyTo;
    }

    public String getObjet() {
        return objet;
    }

    public void setObjet(String objet) {
        this.objet = objet;
    }

    public String getTypeMime() {
        return typeMime;
    }

    public void setTypeMime(String typeMime) {
        this.typeMime = typeMime;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getFichier() {
        return fichier;
    }

    public void setFichier(String fichier) {
        this.fichier = fichier;
    }

    public String getNomFichier() {
        return nomFichier;
    }

    public void setNomFichier(String nomFichier) {
        this.nomFichier = nomFichier;
    }

    public String getEtat() {
        return etat;
    }

    public void setEtat(String etat) {
        this.etat = etat;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public String getIdNewsletter() {
        return idNewsletter;
    }

    public void setIdNewsletter(String idNewsletter) {
        this.idNewsletter = idNewsletter;
    }

    public String getPublicInterne() {
        return publicInterne;
    }

    public void setPublicInterne(String publicInterne) {
        this.publicInterne = publicInterne;
    }

    public Date getDatePurge() {
        return datePurge;
    }

    public void setDatePurge(Date datePurge) {
        this.datePurge = datePurge;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getDateCreation() {
        return dateCreation;
    }

    public void setDateCreation(Date dateCreation) {
        this.dateCreation = dateCreation;
    }
}
