/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: newsletter
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.newsletter.module;

import com.kosmos.newsletter.util.NewsletterUtil;
import com.kportal.extension.module.IExportableModule;
import com.kportal.extension.module.composant.Composant;
import com.univ.objetspartages.om.AutorisationBean;

public class ModuleNewsletter extends Composant implements IExportableModule {

    @Override
    public boolean isVisible(AutorisationBean autorisation) {
        return autorisation != null && NewsletterUtil.isAdministrateurNewsletter(autorisation);
    }

    @Override
    public String buildExportFilename() {
        return buildExportFilename("Newsletter");
    }
}
