/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: newsletter
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.newsletter.tag;

import java.util.Map;

import org.apache.commons.lang3.StringUtils;

import com.jsbsoft.jtf.core.ApplicationContextManager;
import com.kportal.tag.interpreteur.impl.InterpreteurListeFiches;
import com.univ.objetspartages.bean.MetatagBean;
import com.univ.utils.AbstractRequeteur;
import com.univ.utils.IRequeteurConstantes;
import com.univ.utils.cache.RequeteurFicheCacheRequest;

/**
 * Created by olivier.camon on 12/11/15.
 */
public class InterpreteurListeFicheNewsletter extends InterpreteurListeFiches {

    /**
     * On ne passe pas par le cache sur les newsletter.
     * @param requeteur
     * @param tri
     * @param inc
     * @return
     * @throws Exception
     */
    @Override
    protected Map<String, MetatagBean> performRequest(final AbstractRequeteur requeteur, final String tri, final int inc ) throws Exception {
        RequeteurFicheCacheRequest cacheRequest = ApplicationContextManager.getCoreContextBean(RequeteurFicheCacheRequest.ID_BEAN, RequeteurFicheCacheRequest.class);
        return (Map<String, MetatagBean>) cacheRequest.perform(requeteur, tri, StringUtils.EMPTY, 0, inc, IRequeteurConstantes.REQUETE_SANS_COUNT);
    }
}
