/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: newsletter
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.newsletter.tag;

import java.util.List;

import com.jsbsoft.jtf.core.ApplicationContextManager;
import com.jsbsoft.jtf.textsearch.ResultatRecherche;
import com.kportal.tag.interpreteur.impl.InterpreteurRequete;
import com.univ.utils.cache.ICacheRequest;
import com.univ.utils.cache.ObjetsCacheRequest;

/**
 * Created by olivier.camon on 12/11/15.
 */
public class InterpreteurRequeteNewsletter extends InterpreteurRequete {

    /**
     * Méthode exécutant la requête
     * @param param
     * @return
     * @throws Exception
     */
    @Override
    protected List<ResultatRecherche> performRequest(final String param) throws Exception {
        ICacheRequest cacheRequest = ApplicationContextManager.getCoreContextBean(ObjetsCacheRequest.ID_BEAN, ICacheRequest.class);
        return  (List<ResultatRecherche>) cacheRequest.perform(param);
    }
}
