/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: newsletter
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.newsletter.toolbox.provider.impl.tag;

import java.util.Map;

import org.apache.commons.lang3.StringUtils;

import com.kosmos.toolbox.bean.TagValue;
import com.kosmos.toolbox.provider.impl.AbstractTagDataProvider;

/**
 * Created on 05/08/15.
 */
public class KTagNewsletterDataProvider extends AbstractTagDataProvider {

    @Override
    public void populateData(final Map<String, String> data, final TagValue tagValue) {
        if(StringUtils.isNotBlank(tagValue.getValue())) {
            if(tagValue.getValue().contains("formabonews")) {
                final String values = tagValue.getValue().replace("[formabonews;", StringUtils.EMPTY).replace("]", StringUtils.EMPTY);
                data.put("selected", "subscribe");
                data.put("ids", values);
            } else if(tagValue.getValue().contains("formdesabonews")) {
                data.put("selected", "unsubscribe");
            } else if(tagValue.getValue().contains("traitement")) {
                data.put("selected", "archive");
                parseUnsubscribe(data, tagValue.getValue().replace("[traitement;news_archive;", StringUtils.EMPTY).replace("]", StringUtils.EMPTY));
            } else if(tagValue.getValue().contains("liendesabonews")) {
                final String[] values = tagValue.getValue().replace("[liendesabonews;", StringUtils.EMPTY).replace("]", StringUtils.EMPTY).split(";");
                data.put("selected", "unsubscribelink");
                if(values.length == 2) {
                    data.put("intitule", values[1]);
                }
            }
        }
    }

    private void parseUnsubscribe(final Map<String, String> data, final String tagValue) {
        final String[] params = tagValue.split("#");
        for(String currentParam : params) {
            final String[] keyValue = currentParam.split("=");
            if(keyValue.length == 2) {
                data.put(keyValue[0], keyValue[1]);
            }
        }
    }
}
