/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.offreformation.layout.card.bean;

import com.fasterxml.jackson.annotation.JsonView;
import com.kosmos.components.media.bean.ComponentMediaFile;
import com.kosmos.layout.annotations.ContentTypes;
import com.kosmos.layout.annotations.MediaContent;
import com.kosmos.layout.card.bean.CardBean;
import com.univ.utils.json.Views;

/**
 * Created by christopher.machicoane-hurtaud on 05/12/16.
 */
public class BlocLibreCardBean extends CardBean {

    @JsonView({Views.DaoView.class})
    protected boolean affichebloc;

    @JsonView({Views.DaoView.class})
    protected String titre;

    @JsonView({Views.DaoView.class})
    @MediaContent(type = ContentTypes.TOOLBOX)
    protected String contenubloclibre;

    @JsonView(Views.DaoView.class)
    @MediaContent
    protected ComponentMediaFile visuel;

    @JsonView(Views.DaoView.class)
    protected String libellelien;

    @JsonView(Views.DaoView.class)
    protected String lien;

    public BlocLibreCardBean() {
        this.view = "/WEB-INF/jsp/layout/card/fo/view/blocLibreCardView.jsp";
        this.viewBo = "/adminsite/layout/card/bo/view/blocLibreCardView.jsp";
        this.editFragment = "/adminsite/layout/card/bo/edit/blocLibreCardEdit.jsp";
    }

    public boolean getAffichebloc() {
        return affichebloc;
    }

    public void setAffichebloc(boolean affichebloc) {
        this.affichebloc = affichebloc;
    }

    public String getTitre() {
        return titre;
    }

    public void setTitre(String titre) {
        this.titre = titre;
    }

    public String getContenubloclibre() {
        return contenubloclibre;
    }

    public void setContenubloclibre(String contenubloclibre) {
        this.contenubloclibre = contenubloclibre;
    }

    public ComponentMediaFile getVisuel() {
        return visuel;
    }

    public void setVisuel(ComponentMediaFile visuel) {
        this.visuel = visuel;
    }

    public String getLibellelien() {
        return libellelien;
    }

    public void setLibellelien(String libellelien) {
        this.libellelien = libellelien;
    }

    public String getLien() {
        return lien;
    }

    public void setLien(String lien) {
        this.lien = lien;
    }
}
