/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.offreformation.layout.card.bean;

import com.fasterxml.jackson.annotation.JsonView;
import com.kosmos.layout.card.bean.CardBean;
import com.univ.utils.json.Views;

public class DescriptionCardBean extends CardBean {

    @JsonView({Views.DaoView.class})
    protected boolean affichebloc;

    @JsonView({Views.DaoView.class})
    protected String titre;

    @JsonView({Views.DaoView.class})
    protected String duree;

    @JsonView({Views.DaoView.class})
    protected String lieu;

    @JsonView({Views.DaoView.class})
    protected String lieucommentaire;

    @JsonView({Views.DaoView.class})
    protected String stage;

    @JsonView({Views.DaoView.class})
    protected String stagecommentaire;

    @JsonView({Views.DaoView.class})
    protected String langues;

    @JsonView({Views.DaoView.class})
    protected String languecommentaire;

    public DescriptionCardBean() {
        this.view = "/WEB-INF/jsp/layout/card/fo/view/descriptionCardView.jsp";
        this.viewBo = "/adminsite/layout/card/bo/view/descriptionCardView.jsp";
        this.editFragment = "/adminsite/layout/card/bo/edit/descriptionCardEdit.jsp";
    }

    public boolean getAffichebloc() {
        return affichebloc;
    }

    public void setAffichebloc(boolean affichebloc) {
        this.affichebloc = affichebloc;
    }

    public String getLangues() {
        return langues;
    }

    public void setLangues(String langues) {
        this.langues = langues;
    }

    public String getTitre() {
        return titre;
    }

    public void setTitre(String titre) {
        this.titre = titre;
    }

    public String getDuree() {
        return duree;
    }

    public void setDuree(String duree) {
        this.duree = duree;
    }

    public String getLieu() {
        return lieu;
    }

    public void setLieu(String lieu) {
        this.lieu = lieu;
    }

    public String getLieucommentaire() {
        return lieucommentaire;
    }

    public void setLieucommentaire(String lieucommentaire) {
        this.lieucommentaire = lieucommentaire;
    }

    public String getStage() {
        return stage;
    }

    public void setStage(String stage) {
        this.stage = stage;
    }

    public String getStagecommentaire() {
        return stagecommentaire;
    }

    public void setStagecommentaire(String stagecommentaire) {
        this.stagecommentaire = stagecommentaire;
    }

    public String getLangue() {
        return langues;
    }

    public void setLangue(String langue) {
        this.langues = langue;
    }

    public String getLanguecommentaire() {
        return languecommentaire;
    }

    public void setLanguecommentaire(String languecommentaire) {
        this.languecommentaire = languecommentaire;
    }
}
