/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.offreformation.layout.card.bean;

import com.fasterxml.jackson.annotation.JsonView;
import com.kosmos.layout.card.bean.CardBean;
import com.univ.utils.json.Views;

public class PublicsCardBean extends CardBean {

    @JsonView({Views.DaoView.class})
    protected boolean affichebloc;

    @JsonView({Views.DaoView.class})
    protected String titre;

    @JsonView({Views.DaoView.class})
    protected String niveaurecrutement;

    @JsonView({Views.DaoView.class})
    protected String seriebac;

    @JsonView({Views.DaoView.class})
    protected String seriebacpreconisee;

    @JsonView({Views.DaoView.class})
    protected String publicscibles;

    @JsonView({Views.DaoView.class})
    protected String accessiblerepriseetudes;

    public PublicsCardBean() {
        this.view = "/WEB-INF/jsp/layout/card/fo/view/publicsCardView.jsp";
        this.viewBo = "/adminsite/layout/card/bo/view/publicsCardView.jsp";
        this.editFragment = "/adminsite/layout/card/bo/edit/publicsCardEdit.jsp";
    }

    public boolean getAffichebloc() {
        return affichebloc;
    }

    public void setAffichebloc(boolean affichebloc) {
        this.affichebloc = affichebloc;
    }

    public String getTitre() {
        return titre;
    }

    public void setTitre(String titre) {
        this.titre = titre;
    }

    public String getNiveaurecrutement() {
        return niveaurecrutement;
    }

    public void setNiveaurecrutement(String niveaurecrutement) {
        this.niveaurecrutement = niveaurecrutement;
    }

    public String getSeriebac() {
        return seriebac;
    }

    public void setSeriebac(String seriebac) {
        this.seriebac = seriebac;
    }

    public String getSeriebacpreconisee() {
        return seriebacpreconisee;
    }

    public void setSeriebacpreconisee(String seriebacpreconisee) {
        this.seriebacpreconisee = seriebacpreconisee;
    }

    public String getPublicscibles() {
        return publicscibles;
    }

    public void setPublicscibles(String publicscibles) {
        this.publicscibles = publicscibles;
    }

    public String getAccessiblerepriseetudes() {
        return accessiblerepriseetudes;
    }

    public void setAccessiblerepriseetudes(String accessiblerepriseetudes) {
        this.accessiblerepriseetudes = accessiblerepriseetudes;
    }
}
