/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.offreformation.layout.card.bean;

import com.fasterxml.jackson.annotation.JsonView;
import com.kosmos.layout.card.bean.CardBean;
import com.univ.utils.json.Views;

public class RythmeCardBean extends CardBean {

    @JsonView({Views.DaoView.class})
    protected boolean affichebloc;

    @JsonView({Views.DaoView.class})
    protected String titre;

    @JsonView({Views.DaoView.class})
    protected String rythme;

    @JsonView({Views.DaoView.class})
    protected String commentairetempsplein;

    @JsonView({Views.DaoView.class})
    protected String commentairecompatibleactivite;

    @JsonView({Views.DaoView.class})
    protected String commentairetempsamenage;

    @JsonView({Views.DaoView.class})
    protected String commentairealternance;

    @JsonView({Views.DaoView.class})
    protected String commentairehorscontratalternance;

    @JsonView({Views.DaoView.class})
    protected String commentairecontratapprentissage;

    @JsonView({Views.DaoView.class})
    protected String commentairecontratprofessionnalisation;

    @JsonView({Views.DaoView.class})
    protected String modalite;

    @JsonView({Views.DaoView.class})
    protected String commentairepresentiel;

    @JsonView({Views.DaoView.class})
    protected String partiellementadistance;

    @JsonView({Views.DaoView.class})
    protected String commentairepartiellementdistance;

    @JsonView({Views.DaoView.class})
    protected String totalementadistance;

    @JsonView({Views.DaoView.class})
    protected String commentairetotalementdistance;

    public RythmeCardBean() {
        this.view = "/WEB-INF/jsp/layout/card/fo/view/rythmeCardView.jsp";
        this.viewBo = "/adminsite/layout/card/bo/view/rythmeCardView.jsp";
        this.editFragment = "/adminsite/layout/card/bo/edit/rythmeCardEdit.jsp";
    }

    public boolean getAffichebloc() {
        return affichebloc;
    }

    public void setAffichebloc(boolean affichebloc) {
        this.affichebloc = affichebloc;
    }

    public String getTitre() {
        return titre;
    }

    public void setTitre(String titre) {
        this.titre = titre;
    }

    public String getRythme() {
        return rythme;
    }

    public void setRythme(String rythme) {
        this.rythme = rythme;
    }

    public String getCommentairetempsplein() {
        return commentairetempsplein;
    }

    public void setCommentairetempsplein(String commentairetempsplein) {
        this.commentairetempsplein = commentairetempsplein;
    }

    public String getCommentairecompatibleactivite() {
        return commentairecompatibleactivite;
    }

    public void setCommentairecompatibleactivite(String commentairecompatibleactivite) {
        this.commentairecompatibleactivite = commentairecompatibleactivite;
    }

    public String getCommentairetempsamenage() {
        return commentairetempsamenage;
    }

    public void setCommentairetempsamenage(String commentairetempsamenage) {
        this.commentairetempsamenage = commentairetempsamenage;
    }

    public String getCommentairealternance() {
        return commentairealternance;
    }

    public void setCommentairealternance(String commentairealternance) {
        this.commentairealternance = commentairealternance;
    }

    public String getCommentairehorscontratalternance() {
        return commentairehorscontratalternance;
    }

    public void setCommentairehorscontratalternance(String commentairehorscontratalternance) {
        this.commentairehorscontratalternance = commentairehorscontratalternance;
    }

    public String getCommentairecontratapprentissage() {
        return commentairecontratapprentissage;
    }

    public void setCommentairecontratapprentissage(String commentairecontratapprentissage) {
        this.commentairecontratapprentissage = commentairecontratapprentissage;
    }

    public String getCommentairecontratprofessionnalisation() {
        return commentairecontratprofessionnalisation;
    }

    public void setCommentairecontratprofessionnalisation(String commentairecontratprofessionnalisation) {
        this.commentairecontratprofessionnalisation = commentairecontratprofessionnalisation;
    }

    public String getModalite() {
        return modalite;
    }

    public void setModalite(String modalite) {
        this.modalite = modalite;
    }

    public String getCommentairepresentiel() {
        return commentairepresentiel;
    }

    public void setCommentairepresentiel(String commentairepresentiel) {
        this.commentairepresentiel = commentairepresentiel;
    }

    public String getPartiellementadistance() {
        return partiellementadistance;
    }

    public void setPartiellementadistance(String partiellementadistance) {
        this.partiellementadistance = partiellementadistance;
    }

    public String getCommentairepartiellementdistance() {
        return commentairepartiellementdistance;
    }

    public void setCommentairepartiellementdistance(String commentairepartiellementdistance) {
        this.commentairepartiellementdistance = commentairepartiellementdistance;
    }

    public String getTotalementadistance() {
        return totalementadistance;
    }

    public void setTotalementadistance(String totalementadistance) {
        this.totalementadistance = totalementadistance;
    }

    public String getCommentairetotalementdistance() {
        return commentairetotalementdistance;
    }

    public void setCommentairetotalementdistance(String commentairetotalementdistance) {
        this.commentairetotalementdistance = commentairetotalementdistance;
    }
}
