/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.offreformation.layout.card.bean;

import com.fasterxml.jackson.annotation.JsonView;
import com.kosmos.components.media.bean.ComponentMediaFile;
import com.kosmos.layout.annotations.MediaContent;
import com.kosmos.layout.card.bean.CardBean;
import com.univ.utils.json.Views;

/**
 * Created by christopher.machicoane-hurtaud on 06/12/16.
 */
public class VideoCardBean extends CardBean {

    public static final long serialVersionUID = 8181595981214410001L;

    @JsonView({Views.DaoView.class})
    protected boolean affichebloc;

    @JsonView({Views.DaoView.class})
    protected String titre;

    @JsonView({Views.DaoView.class})
    @MediaContent
    protected ComponentMediaFile video;

    public VideoCardBean() {
        this.view = "/WEB-INF/jsp/layout/card/fo/view/videoCardView.jsp";
        this.viewBo = "/adminsite/layout/card/bo/view/videoCardView.jsp";
        this.editFragment = "/adminsite/layout/card/bo/edit/videoCardEdit.jsp";
    }

    public boolean getAffichebloc() {
        return affichebloc;
    }

    public void setAffichebloc(boolean affichebloc) {
        this.affichebloc = affichebloc;
    }

    public String getTitre() {
        return titre;
    }

    public void setTitre(String titre) {
        this.titre = titre;
    }

    public ComponentMediaFile getVideo() {
        return video;
    }

    public void setVideo(ComponentMediaFile video) {
        this.video = video;
    }
}
