/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.offreformation.layout.card.bean;

import com.fasterxml.jackson.annotation.JsonView;
import com.kosmos.layout.card.bean.CardBean;
import com.univ.utils.json.Views;

public class ZoomAnneeCardBean extends CardBean {

    @JsonView({Views.DaoView.class})
    protected boolean affichebloc;

    @JsonView({Views.DaoView.class})
    protected String titre;

    @JsonView({Views.DaoView.class})
    protected String principalesmatieres;

    @JsonView({Views.DaoView.class})
    protected String organisation;

    @JsonView({Views.DaoView.class})
    protected String effectifattendu;

    @JsonView({Views.DaoView.class})
    protected String effectifattenduchiffre;

    @JsonView({Views.DaoView.class})
    protected String effectifattenducommentaire;

    @JsonView({Views.DaoView.class})
    protected String tauxreussite;

    @JsonView({Views.DaoView.class})
    protected String tauxreussitepourcentage;

    @JsonView({Views.DaoView.class})
    protected String tauxreussitecommentaire;

    public ZoomAnneeCardBean() {
        this.view = "/WEB-INF/jsp/layout/card/fo/view/zoomAnneeCardView.jsp";
        this.viewBo = "/adminsite/layout/card/bo/view/zoomAnneeCardView.jsp";
        this.editFragment = "/adminsite/layout/card/bo/edit/zoomAnneeCardEdit.jsp";
    }

    public boolean getAffichebloc() {
        return affichebloc;
    }

    public void setAffichebloc(boolean affichebloc) {
        this.affichebloc = affichebloc;
    }

    public String getTitre() {
        return titre;
    }

    public void setTitre(String titre) {
        this.titre = titre;
    }

    public String getPrincipalesmatieres() {
        return principalesmatieres;
    }

    public void setPrincipalesmatieres(String principalesmatieres) {
        this.principalesmatieres = principalesmatieres;
    }

    public String getOrganisation() {
        return organisation;
    }

    public void setOrganisation(String organisation) {
        this.organisation = organisation;
    }

    public String getEffectifattendu() {
        return effectifattendu;
    }

    public void setEffectifattendu(String effectifattendu) {
        this.effectifattendu = effectifattendu;
    }

    public String getEffectifattenduchiffre() {
        return effectifattenduchiffre;
    }

    public void setEffectifattenduchiffre(String effectifattenduchiffre) {
        this.effectifattenduchiffre = effectifattenduchiffre;
    }

    public String getEffectifattenducommentaire() {
        return effectifattenducommentaire;
    }

    public void setEffectifattenducommentaire(String effectifattenducommentaire) {
        this.effectifattenducommentaire = effectifattenducommentaire;
    }

    public String getTauxreussite() {
        return tauxreussite;
    }

    public void setTauxreussite(String tauxreussite) {
        this.tauxreussite = tauxreussite;
    }

    public String getTauxreussitepourcentage() {
        return tauxreussitepourcentage;
    }

    public void setTauxreussitepourcentage(String tauxreussitepourcentage) {
        this.tauxreussitepourcentage = tauxreussitepourcentage;
    }

    public String getTauxreussitecommentaire() {
        return tauxreussitecommentaire;
    }

    public void setTauxreussitecommentaire(String tauxreussitecommentaire) {
        this.tauxreussitecommentaire = tauxreussitecommentaire;
    }
}
