/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.ofin.migration;

import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;

import com.kosmos.layout.card.bean.CardBean;
import com.kosmos.migration.core.executor.AbstractLayoutProcessor;
import com.kosmos.offreformation.layout.card.bean.AdmissionCardBean;
import com.kosmos.offreformation.layout.card.bean.BlocLibreCardBean;
import com.kosmos.offreformation.layout.card.bean.DebouchesCardBean;
import com.kosmos.offreformation.layout.card.bean.DescriptionCardBean;
import com.kosmos.offreformation.layout.card.bean.InscriptionCardBean;
import com.kosmos.offreformation.layout.card.bean.InternationalCardBean;
import com.kosmos.offreformation.layout.card.bean.ProfessionnalisationCardBean;
import com.kosmos.offreformation.layout.card.bean.PublicsCardBean;
import com.kosmos.offreformation.layout.card.bean.RythmeCardBean;
import com.kosmos.offreformation.layout.card.bean.SpecificitesCardBean;
import com.kosmos.offreformation.layout.card.bean.TemoignageCardBean;
import com.kosmos.offreformation.layout.card.bean.VideoCardBean;
import com.kosmos.offreformation.layout.card.bean.ZoomAnneeCardBean;

public class V2_7_0_7__definition_allowed_card extends AbstractLayoutProcessor {

    @Override
    public Integer getChecksum() {
        return 1552490936;
    }

    @Override
    public void migrate(final Connection connection) throws Exception {
        List<Class<? extends CardBean>> cardClasses = new ArrayList<>();
        cardClasses.add(DescriptionCardBean.class);
        cardClasses.add(RythmeCardBean.class);
        cardClasses.add(InternationalCardBean.class);
        cardClasses.add(VideoCardBean.class);
        cardClasses.add(BlocLibreCardBean.class);
        cardClasses.add(ZoomAnneeCardBean.class);
        cardClasses.add(AdmissionCardBean.class);
        cardClasses.add(InscriptionCardBean.class);
        cardClasses.add(SpecificitesCardBean.class);
        cardClasses.add(PublicsCardBean.class);
        cardClasses.add(TemoignageCardBean.class);
        cardClasses.add(DebouchesCardBean.class);
        cardClasses.add(ProfessionnalisationCardBean.class);
        defineAllowedCardForLayout("BO.LAYOUT.BLOCMEA", cardClasses, connection);
    }
}
