/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.ofin.module.service.beanimport;

import com.kportal.extension.module.bean.FicheBeanExport;
import com.kportal.extension.module.service.impl.beanimport.ServiceBeanImportFiche;
import com.ksup.objetspartages.bean.ParcoursBean;
import com.ksup.objetspartages.om.Parcours;
import com.univ.objetspartages.om.FicheUniv;
import com.univ.utils.ContexteDao;

/**
 * Service d'import spécifique à la fiche {@link ParcoursBean}.
 * Gestion spécifique pour les sous éléments.
 */
public class ServiceBeanImportParcours extends ServiceBeanImportFiche {

    @Override
    protected FicheUniv initFicheUniv(final ContexteDao contexteDao, final FicheBeanExport<?> ficheBeanExport) throws Exception {
        FicheUniv ficheUniv = super.initFicheUniv(contexteDao, ficheBeanExport);
        if (!(ficheUniv instanceof Parcours) || !(ficheBeanExport.getBean() instanceof ParcoursBean)) {
            return ficheUniv;
        }
        ParcoursBean importedBean = (ParcoursBean) ficheBeanExport.getBean();
        Parcours parcours = (Parcours) ficheUniv;
        parcours.setParcoursAmontBeans(importedBean.getParcoursAmontBeans());
        parcours.setParcoursAvalBeans(importedBean.getParcoursAvalBeans());
        return parcours;
    }
}
