/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: offrestageemploi
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.search.query.view.preparer;

import org.apache.tiles.Attribute;
import org.apache.tiles.AttributeContext;
import org.apache.tiles.request.Request;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.kosmos.offrestageemploi.util.OffrestageemploiUtil;
import com.kosmos.search.query.bean.aggregation.model.AggregationTermModel;

public class AggregationNestedViewPreparer extends DefaultExtensionViewPreparer {

    private static final Logger LOG = LoggerFactory.getLogger(AggregationViewPreparer.class);

    @Override
    public void execute(final Request request, final AttributeContext attributeContext) {
        super.execute(request, attributeContext);

        if (attributeContext.getAttribute("aggregationModel") != null) {
            AggregationTermModel termModel = (AggregationTermModel) attributeContext.getAttribute("aggregationModel").getValue();
            attributeContext.putAttribute("aggs", new Attribute(termModel.getBuckets()));
        }

    }

    @Override
    public String getIdExtension() {
        return OffrestageemploiUtil.ID_EXTENSION;
    }
}
