/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: seo
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.seo.sitemap;

import com.kportal.extension.module.composant.Composant;
import com.univ.objetspartages.om.AutorisationBean;
import com.univ.objetspartages.om.PermissionBean;

public class ModuleSiteMap extends Composant {

    /** The Constant ID_BEAN. */
    public static final String ID_EXTENSION = "seo";

    public static final String ID_BEAN = "seoSiteMap";

    public static final String ID_PERMISSION = "SITEMAP";

    public static final String CODE_GESTION = "ges";

    public SitemapGenerator generator;

    public SitemapGenerator getGenerator() {
        return generator;
    }

    public void setGenerator(SitemapGenerator generator) {
        this.generator = generator;
    }

    @Override
    public boolean isVisible(AutorisationBean autorisation) {
        return autorisation != null && autorisation.possedePermission(new PermissionBean(ID_PERMISSION, CODE_GESTION, ""));
    }
}
