/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ged
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.toolbox.link.title.impl;

import java.util.Optional;

import org.apache.commons.lang3.StringUtils;

import com.kosmos.ged.util.GedUtil;
import com.kosmos.service.impl.ServiceManager;
import com.kosmos.toolbox.link.title.LinkTitle;
import com.univ.objetspartages.bean.DocumentBean;
import com.univ.objetspartages.bean.MetatagBean;
import com.univ.objetspartages.service.ServiceDocument;

/**
 * Génération du title pour les liens vers les fiches documents. 
 * Renvoie les informations du fichier à télécharger
 */
public class GedLinkTitle implements LinkTitle {

    @Override
    public String generateTitle(final MetatagBean metatagBean) {
        ServiceDocument serviceDocument = ServiceManager.getServiceForBean(DocumentBean.class);
        final Optional<DocumentBean> optionalDocumentBean = serviceDocument.getFiche(metatagBean.getIdMetatag());
        if(optionalDocumentBean.isPresent()){
            return GedUtil.getTitleContentGed(optionalDocumentBean.get());
        } 
        return StringUtils.EMPTY;
    }
}
