/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: uas
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.uas.execution.dto;

import com.kosmos.usinesite.execution.dto.ModuleInputDto;
import com.univ.multisites.InfosSite;

/**
 * Dto contenant les informations nécessaire à la duplication de site.
 */
public class SiteDuplicationDto extends ModuleInputDto {

    /**
     * Le site à dupliquer.
     */
    private InfosSite oldSite;

    /**
     * Le nouveau site qui va recevoir le résultat de la duplication.
     */
    private InfosSite newSite;

    public InfosSite getOldSite() {
        return oldSite;
    }

    public void setOldSite(final InfosSite oldSite) {
        this.oldSite = oldSite;
    }

    public InfosSite getNewSite() {
        return newSite;
    }

    public void setNewSite(final InfosSite newSite) {
        this.newSite = newSite;
    }
}
