/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: uas
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.uas.execution.step;

import com.kosmos.execution.ExecutionStep;
import com.kosmos.execution.StepExecutionException;
import com.kosmos.uas.execution.dto.SiteImportDto;
import com.kosmos.uas.execution.dto.SiteReferenceDto;
import com.kosmos.usinesite.execution.AbstractImportExportHandler;

/**
 * Étape de transformation de dto pour compatibilité entre les étapes.
 */
public class ReferenceToModuleStep extends ExecutionStep<SiteReferenceDto, SiteImportDto, AbstractImportExportHandler> {

    /**
     * Constructeur de la classe.

     * @param handler handler exécutant l'étape courante.
     */
    public ReferenceToModuleStep(final AbstractImportExportHandler handler) {
        super(handler);
    }

    @Override
    public void execute() throws StepExecutionException {
        output = new SiteImportDto();
        output.setFolderPath(input.getFolderPath());
    }

    @Override
    protected Class<? extends SiteReferenceDto> getInputType() {
        return SiteReferenceDto.class;
    }

    @Override
    protected Class<? extends SiteImportDto> getOutputType() {
        return SiteImportDto.class;
    }
}
