/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: uas
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.uas.execution.step;

import com.kosmos.execution.StepExecutionException;
import com.kosmos.uas.execution.dto.SiteReferenceDto;
import com.kosmos.usinesite.exception.ErreurReferenceException;
import com.kosmos.usinesite.execution.AbstractImportExportHandler;
import com.kosmos.usinesite.execution.step.AbstractReferenceComputerStep;

/**
 * Étape de modification de référence dans le cas d'un site.
 */
public class SiteReferenceComputerStep extends AbstractReferenceComputerStep<SiteReferenceDto, SiteReferenceDto, AbstractImportExportHandler> {

    /**
     * Constructeur de la classe.
     */
    public SiteReferenceComputerStep(final AbstractImportExportHandler handler) {
        super(handler);
    }

    @Override
    public void execute() throws StepExecutionException {
        try {
            processReferenceComputing(input.getFolderPath());
            output = input;
        } catch (ErreurReferenceException e) {
            throw new StepExecutionException(SiteReferenceComputerStep.class, e);
        }
    }

    @Override
    protected Class<? extends SiteReferenceDto> getInputType() {
        return SiteReferenceDto.class;
    }

    @Override
    protected Class<? extends SiteReferenceDto> getOutputType() {
        return SiteReferenceDto.class;
    }
}
