/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: uas
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.uas.processus.actions;

import com.jsbsoft.jtf.core.InfoBean;
import com.univ.objetspartages.om.AutorisationBean;

/**
 * Dto contenant les informations nécessaire à l'exécution d'une action du processus.
 */
public class ActionDto {

    /**
     * L'info bean.
     */
    private final InfoBean infoBean;

    /**
     * Autorisation de l'utilisateur actuellement en train d'accéder au processus.
     */
    private final AutorisationBean autorisations;

    /**
     * Constructeur de la classe
     * @param infoBean info bean
     * @param autorisations Autorisation de l'utilisateur actuellement en train d'accéder au processus.
     */
    public ActionDto(final InfoBean infoBean, final AutorisationBean autorisations) {
        this.infoBean = infoBean;
        this.autorisations = autorisations;
    }

    public InfoBean getInfoBean() {
        return infoBean;
    }

    public AutorisationBean getAutorisations() {
        return autorisations;
    }
}
