/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: uas
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.uas.processus.actions;

import com.kosmos.uas.processus.EcranLogique;
import com.kosmos.uas.processus.EtatInterfaceSaisie;
import com.kosmos.uas.processus.SaisieInfosSite;
import com.kosmos.uas.processus.SaisieSiteActionUtilisateur;
import com.univ.multisites.InfosSite;
import com.univ.multisites.bean.impl.InfosSiteImpl;

/**
 * Préparation de l'écran d'ajout de site.
 */
class PrepareAdd extends SaisieInfoSiteAction {

    @Override
    public void doAction(final ActionDto actionDto) throws Exception {
        final InfosSite infosSiteVide = new InfosSiteImpl();
        setDonneesPourSaisieDansInfoBean(infosSiteVide, null, actionDto.getInfoBean());
        actionDto.getInfoBean().set(SaisieInfosSite.INFOBEAN_ETAT_INTERFACE_SAISIE, EtatInterfaceSaisie.CREATION);
    }

    @Override
    public String getAction() {
        return SaisieSiteActionUtilisateur.AJOUTER.name();
    }

    @Override
    public String getEcranLogique() {
        return EcranLogique.SAISIE.name();
    }
}
