/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: uas
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.uas.task;

import java.io.Serializable;

import com.kosmos.uas.utils.UASUtil;

/**
 * Bean représentant les paramétres d'une suppression de site
 */
public class DeleteSiteUasTaskParameters extends UasTaskParameters implements Serializable {

    private static final long serialVersionUID = 6596246469917426754L;

    private String codeSite;

    private String deleteContent;

    @Override
    public String getDescription() {
        return String.format(UASUtil.getMessage("TASK.DELETE.IN_PROGRESS"), codeSite);
    }

    @Override
    public String getCodeSite() {
        return codeSite;
    }

    public void setCodeSite(final String codeSite) {
        this.codeSite = codeSite;
    }

    public String getDeleteContent() {
        return deleteContent;
    }

    public void setDeleteContent(final String deleteContent) {
        this.deleteContent = deleteContent;
    }
}
