/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: uas
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.uas.task;

import java.io.Serializable;
import java.util.Map;

import com.kosmos.uas.utils.UASUtil;
import com.univ.multisites.bean.impl.InfosSiteImpl;

/**
 * Bean représentant les paramétres d'une duplication de site
 */
public class DuplicateSiteUasTaskParameters extends UasTaskParameters implements Serializable {

    private static final long serialVersionUID = 4312082566776620716L;

    private String sourceSiteCode;

    private String targetSiteCode;

    private InfosSiteImpl newInfoSite;

    private String userCode;

    private transient Map<String, Object> infoBean;

    @Override
    public String getDescription() {
        return String.format(UASUtil.getMessage("TASK.DUPLICATE.IN_PROGRESS"), sourceSiteCode);
    }

    @Override
    public String getCodeSite() {
        return sourceSiteCode;
    }

    public String getSourceSiteCode() {
        return sourceSiteCode;
    }

    public void setSourceSiteCode(final String sourceSiteCode) {
        this.sourceSiteCode = sourceSiteCode;
    }

    public String getTargetSiteCode() {
        return targetSiteCode;
    }

    public void setTargetSiteCode(final String targetSiteCode) {
        this.targetSiteCode = targetSiteCode;
    }

    public Map<String, Object> getInfoBean() {
        return infoBean;
    }

    public void setInfoBean(final Map<String, Object> infoBean) {
        this.infoBean = infoBean;
    }

    public InfosSiteImpl getNewInfoSite() {
        return newInfoSite;
    }

    public void setNewInfoSite(final InfosSiteImpl newInfoSite) {
        this.newInfoSite = newInfoSite;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(final String userCode) {
        this.userCode = userCode;
    }
}