/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: uas
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.uas.task;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.kosmos.uas.execution.ImportSiteHandler;
import com.kosmos.usinesite.task.AbstractUasTask;

/**
 * Traitement avec verrou ({@see com.kosmos.taskscheduler.bean.LockableTask} spécialisé dans l'import d'un site.
 */
public class ImportSiteUasTask extends AbstractUasTask<ImportSiteUasTaskParameters> {

    private static final Logger LOG = LoggerFactory.getLogger(ImportSiteUasTask.class);

    @Override
    protected void execute() {
        LOG.info("Lancement de l'import du site à partir du fichier \"{}\"", parameters.getFileName());
        final String fileName = parameters.getFileName();
        final ImportSiteHandler handler = new ImportSiteHandler();
        handler.setInput(fileName);
        handler.execute();
    }
}