/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: uas
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.usinesite.migration.bean;

import java.io.IOException;
import java.util.Collections;
import java.util.Set;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.univ.utils.json.CodecJSon;

@Deprecated
public class ProprietesSite {

    private static final Logger LOG = LoggerFactory.getLogger(ProprietesSite.class);

    private int sslMode = 0;

    private int boSslMode = 0;

    private int restriction = 0;

    private int modeReecritureRubrique = 0;

    private int niveauMaxReecritureRubrique = 0;

    private int niveauMinReecritureRubrique = 0;

    private boolean sso = Boolean.FALSE;

    private boolean sitePrincipal = Boolean.FALSE;

    private String urlAccueil = StringUtils.EMPTY;

    private Set<Integer> httpActions = Collections.emptySet();

    private Set<Integer> httpsActions = Collections.emptySet();

    private Set<String> listeHostAlias = Collections.emptySet();

    public int getSslMode() {
        return sslMode;
    }

    public void setSslMode(final int sslMode) {
        this.sslMode = sslMode;
    }

    public int getBoSslMode() {
        return boSslMode;
    }

    public void setBoSslMode(final int boSslMode) {
        this.boSslMode = boSslMode;
    }

    public int getRestriction() {
        return restriction;
    }

    public void setRestriction(final int restriction) {
        this.restriction = restriction;
    }

    public int getModeReecritureRubrique() {
        return modeReecritureRubrique;
    }

    public void setModeReecritureRubrique(final int modeReecritureRubrique) {
        this.modeReecritureRubrique = modeReecritureRubrique;
    }

    public int getNiveauMaxReecritureRubrique() {
        return niveauMaxReecritureRubrique;
    }

    public void setNiveauMaxReecritureRubrique(final int niveauMaxReecritureRubrique) {
        this.niveauMaxReecritureRubrique = niveauMaxReecritureRubrique;
    }

    public int getNiveauMinReecritureRubrique() {
        return niveauMinReecritureRubrique;
    }

    public void setNiveauMinReecritureRubrique(final int niveauMinReecritureRubrique) {
        this.niveauMinReecritureRubrique = niveauMinReecritureRubrique;
    }

    public boolean isSso() {
        return sso;
    }

    public void setSso(final boolean sso) {
        this.sso = sso;
    }

    public boolean isSitePrincipal() {
        return sitePrincipal;
    }

    public void setSitePrincipal(final boolean sitePrincipal) {
        this.sitePrincipal = sitePrincipal;
    }

    public String getUrlAccueil() {
        return urlAccueil;
    }

    public void setUrlAccueil(final String urlAccueil) {
        this.urlAccueil = urlAccueil;
    }

    public Set<Integer> getHttpActions() {
        return httpActions;
    }

    public void setHttpActions(final Set<Integer> httpActions) {
        this.httpActions = httpActions;
    }

    public Set<Integer> getHttpsActions() {
        return httpsActions;
    }

    public void setHttpsActions(final Set<Integer> httpsActions) {
        this.httpsActions = httpsActions;
    }

    public Set<String> getListeHostAlias() {
        return listeHostAlias;
    }

    public void setListeHostAlias(final Set<String> listeHostAlias) {
        this.listeHostAlias = listeHostAlias;
    }

    @Override
    public String toString() {
        String retour = StringUtils.EMPTY;
        try {
            retour = CodecJSon.encodeObjectToJSonInString(this);
        } catch (final IOException e) {
            LOG.debug("unable to encode object to json", e);
        }
        return retour;
    }
}
