/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: etudiantetalumni
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.bean;

import java.io.Serializable;
import java.util.Date;

import com.kportal.cms.objetspartages.annotation.Autocompletion;
import com.kportal.cms.objetspartages.annotation.Fiche;
import com.kportal.cms.objetspartages.annotation.GetterAnnotation;
import com.kportal.cms.objetspartages.annotation.Label;
import com.kportal.cms.objetspartages.annotation.SetterAnnotation;
import com.univ.objetspartages.bean.AbstractRestrictionFicheBean;

/**
 * The Class AnnuaireanciensetudiantsBean.
 */
public class AnnuaireanciensetudiantsBean extends AbstractRestrictionFicheBean implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 3722444877326824868L;

	/** The civilite. */
	private String civilite = null;

	/** The nom. */
    @Autocompletion(name = "titre_completion")
    private String nom = null;

	/** The prenom. */
	private String prenom = null;

	/** The date naissance. */
	private Date dateNaissance = null;

	/** The code rattachement autres. */
	@Fiche(contexte = "etudiantetalumni", nomObjet = "structuremodele")
	private String codeRattachementAutres = null;

	/** The diplomes obtenus. */
	private String diplomesObtenus = null;

	/** The annee diplome. */
	private String anneeDiplome = null;

	/** The fonction actuelle. */
	private String fonctionActuelle = null;

	/** The adresse mail. */
	private String adresseMail = null;

	/** The contact. */
	private String contact = null;

	/** The liste rouge. */
	private String listeRouge = null;

	/** The cv. */
	private String cv = null;

	/** The secteurs activites. */
    @Label(contexte = "etudiantetalumni", type = "65")
	private String secteursActivites = null;

	/** The adresse site perso. */
	private String adresseSitePerso = null;

	/** The complements. */
	private String complements = null;

	/** The date suppression. */
	private Date dateSuppression = null;

	/** The secteurs entreprise. */
	private String entreprise = null;

	/** The secteurs accroche_temoignage. */
	private String accrocheTemoignage = null;

	/** The secteurs temoignage. */
	private String temoignage = null;

	/** The secteurs urlProfilLinkedin. */
	private String urlProfilLinkedin = null;

	/** The secteurs urlProfilViadeo. */
	private String urlProfilViadeo = null;

	/**
	 * Gets the civilite.
	 *
	 * @return the civilite
	 */
	public String getCivilite() {
		return civilite;
	}

	/**
	 * Sets the civilite.
	 *
	 * @param civilite
	 *            the new civilite
	 */
	public void setCivilite(final String civilite) {
		this.civilite = civilite;
	}

	/**
	 * Gets the nom.
	 *
	 * @return the nom
	 */
	public String getNom() {
		return nom;
	}

	/**
	 * Sets the nom.
	 *
	 * @param nom
	 *            the new nom
	 */
	public void setNom(final String nom) {
		this.nom = nom;
	}

	/**
	 * Gets the prenom.
	 *
	 * @return the prenom
	 */
	public String getPrenom() {
		return prenom;
	}

	/**
	 * Sets the prenom.
	 *
	 * @param prenom
	 *            the new prenom
	 */
	public void setPrenom(final String prenom) {
		this.prenom = prenom;
	}

	/**
	 * Gets the date naissance.
	 *
	 * @return the date naissance
	 */
	public Date getDateNaissance() {
		return dateNaissance;
	}

	/**
	 * Sets the date naissance.
	 *
	 * @param dateNaissance
	 *            the new date naissance
	 */
	public void setDateNaissance(final Date dateNaissance) {
		this.dateNaissance = dateNaissance;
	}

	/**
	 * Gets the code rattachement autres.
	 *
	 * @return the code rattachement autres
	 */
	public String getCodeRattachementAutres() {
		return codeRattachementAutres;
	}

	/**
	 * Sets the code rattachement autres.
	 *
	 * @param codeRattachementAutres
	 *            the new code rattachement autres
	 */
	public void setCodeRattachementAutres(final String codeRattachementAutres) {
		this.codeRattachementAutres = codeRattachementAutres;
	}

	/**
	 * Gets the diplomes obtenus.
	 *
	 * @return the diplomes obtenus
	 */
	public String getDiplomesObtenus() {
		return diplomesObtenus;
	}

	/**
	 * Sets the diplomes obtenus.
	 *
	 * @param diplomesObtenus
	 *            the new diplomes obtenus
	 */
	public void setDiplomesObtenus(final String diplomesObtenus) {
		this.diplomesObtenus = diplomesObtenus;
	}

	/**
	 * Gets the annee diplome.
	 *
	 * @return the annee diplome
	 */
	public String getAnneeDiplome() {
		return anneeDiplome;
	}

	/**
	 * Sets the annee diplome.
	 *
	 * @param anneeDiplome
	 *            the new annee diplome
	 */
	public void setAnneeDiplome(final String anneeDiplome) {
		this.anneeDiplome = anneeDiplome;
	}

	/**
	 * Gets the fonction actuelle.
	 *
	 * @return the fonction actuelle
	 */
	public String getFonctionActuelle() {
		return fonctionActuelle;
	}

	/**
	 * Sets the fonction actuelle.
	 *
	 * @param fonctionActuelle
	 *            the new fonction actuelle
	 */
	public void setFonctionActuelle(final String fonctionActuelle) {
		this.fonctionActuelle = fonctionActuelle;
	}

	/**
	 * Gets the adresse mail.
	 *
	 * @return the adresse mail
	 */
	public String getAdresseMail() {
		return adresseMail;
	}

	/**
	 * Sets the adresse mail.
	 *
	 * @param adresseMail
	 *            the new adresse mail
	 */
	public void setAdresseMail(final String adresseMail) {
		this.adresseMail = adresseMail;
	}

	/**
	 * Gets the contact.
	 *
	 * @return the contact
	 */
	@GetterAnnotation(isToolbox = true)
	public String getContact() {
		return contact;
	}

	/**
	 * Sets the contact.
	 *
	 * @param contact
	 *            the new contact
	 */
	@SetterAnnotation(isToolbox = true)
	public void setContact(final String contact) {
		this.contact = contact;
	}

	/**
	 * Gets the liste rouge.
	 *
	 * @return the liste rouge
	 */
	public String getListeRouge() {
		return listeRouge;
	}

	/**
	 * Sets the liste rouge.
	 *
	 * @param listeRouge
	 *            the new liste rouge
	 */
	public void setListeRouge(final String listeRouge) {
		this.listeRouge = listeRouge;
	}

	/**
	 * Gets the cv.
	 *
	 * @return the cv
	 */
	@GetterAnnotation(isToolbox = true)
	public String getCv() {
		return cv;
	}

	/**
	 * Sets the cv.
	 *
	 * @param cv
	 *            the new cv
	 */
	@SetterAnnotation(isToolbox = true)
	public void setCv(final String cv) {
		this.cv = cv;
	}

	/**
	 * Gets the secteurs activites.
	 *
	 * @return the secteurs activites
	 */
	public String getSecteursActivites() {
		return secteursActivites;
	}

	/**
	 * Sets the secteurs activites.
	 *
	 * @param secteursActivites
	 *            the new secteurs activites
	 */
	public void setSecteursActivites(final String secteursActivites) {
		this.secteursActivites = secteursActivites;
	}

	/**
	 * Gets the adresse site perso.
	 *
	 * @return the adresse site perso
	 */
	public String getAdresseSitePerso() {
		return adresseSitePerso;
	}

	/**
	 * Sets the adresse site perso.
	 *
	 * @param adresseSitePerso
	 *            the new adresse site perso
	 */
	public void setAdresseSitePerso(final String adresseSitePerso) {
		this.adresseSitePerso = adresseSitePerso;
	}

	/**
	 * Gets the complements.
	 *
	 * @return the complements
	 */
	@GetterAnnotation(isToolbox = true)
	public String getComplements() {
		return complements;
	}

	/**
	 * Sets the complements.
	 *
	 * @param complements
	 *            the new complements
	 */
	@SetterAnnotation(isToolbox = true)
	public void setComplements(final String complements) {
		this.complements = complements;
	}

	/**
	 * Gets the date suppression.
	 *
	 * @return the date suppression
	 */
	public Date getDateSuppression() {
		return dateSuppression;
	}

	/**
	 * Sets the date suppression.
	 *
	 * @param dateSuppression
	 *            the new date suppression
	 */
	public void setDateSuppression(final Date dateSuppression) {
		this.dateSuppression = dateSuppression;
	}


	/**
	 * @return the entreprise
	 */
	public String getEntreprise() {
		return entreprise;
	}


	/**
	 * @param entreprise the entreprise to set
	 */
	public void setEntreprise(final String entreprise) {
		this.entreprise = entreprise;
	}


	/**
	 * @return the accroche_temoignage
	 */
	public String getAccrocheTemoignage() {
		return accrocheTemoignage;
	}


	/**
	 * @param accrocheTemoignage the accroche_temoignage to set
	 */
	public void setAccrocheTemoignage(final String accrocheTemoignage) {
		this.accrocheTemoignage = accrocheTemoignage;
	}


	/**
	 * @return the temoignage
	 */
	public String getTemoignage() {
		return temoignage;
	}


	/**
	 * @param temoignage the temoignage to set
	 */
	public void setTemoignage(final String temoignage) {
		this.temoignage = temoignage;
	}


	/**
	 * @return the urlProfilLinkedin
	 */
	public String getUrlProfilLinkedin() {
		return urlProfilLinkedin;
	}


	/**
	 * @param urlProfilLinkedin the urlProfilLinkedin to set
	 */
	public void setUrlProfilLinkedin(final String urlProfilLinkedin) {
		this.urlProfilLinkedin = urlProfilLinkedin;
	}


	/**
	 * @return the urlProfilViadeo
	 */
	public String getUrlProfilViadeo() {
		return urlProfilViadeo;
	}


	/**
	 * @param urlProfilViadeo the urlProfilViadeo to set
	 */
	public void setUrlProfilViadeo(final String urlProfilViadeo) {
		this.urlProfilViadeo = urlProfilViadeo;
	}
}
