/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: etudiantetalumni
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.bean;

import java.io.Serializable;
import java.util.Date;

import org.apache.commons.lang3.StringUtils;

import com.kportal.cms.objetspartages.annotation.Autocompletion;
import com.kportal.cms.objetspartages.annotation.Fiche;
import com.kportal.cms.objetspartages.annotation.GetterAnnotation;
import com.kportal.cms.objetspartages.annotation.Label;
import com.kportal.cms.objetspartages.annotation.SetterAnnotation;
import com.univ.objetspartages.bean.AbstractRestrictionFicheBean;

/**
 * The Class AnnuaireetudiantsBean.
 */
public class AnnuaireetudiantsBean extends AbstractRestrictionFicheBean implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = -7568254268456126499L;

    /** The civilite. */
    private String civilite = StringUtils.EMPTY;

    /** The nom. */
    @Autocompletion(name = "titre_completion")
    private String nom = StringUtils.EMPTY;

    /** The prenom. */
    private String prenom = StringUtils.EMPTY;

    /** The date naissance. */
    private Date dateNaissance = null;

	/** The code rattachement autres. */
    @Fiche(contexte = "etudiantetalumni", nomObjet = "structuremodele")
	private String codeRattachementAutres = StringUtils.EMPTY;

	/** The code formation. */
    @Fiche(contexte = "etudiantetalumni", nomObjet = "formation")
	private String codeFormation = StringUtils.EMPTY;

    /** The promotion. */
    private String promotion = StringUtils.EMPTY;

    /** The adresse mail. */
    private String adresseMail = StringUtils.EMPTY;

    /** The contact. */
    private String contact = StringUtils.EMPTY;

    /** The liste rouge. */
    private String listeRouge = StringUtils.EMPTY;

    /** The discipline. */
    @Label(contexte = "etudiantetalumni", type = "55")
    private String discipline = StringUtils.EMPTY;

    /** The niveau diplome. */
    private String niveauDiplome = StringUtils.EMPTY;

    /** The type diplome. */
    @Label(contexte = "etudiantetalumni", type = "20")
    private String typeDiplome = StringUtils.EMPTY;

    /** The cv. */
    private String cv = StringUtils.EMPTY;

    /** The competences diplome. */
    @Label(contexte = "etudiantetalumni", type = "51")
    private String competencesDiplome = StringUtils.EMPTY;

    /** The competences generales. */
    private String competencesGenerales = StringUtils.EMPTY;

    /** The competences informatiques. */
    private String competencesInformatiques = StringUtils.EMPTY;

    /** The langues parlees. */
    private String languesParlees = StringUtils.EMPTY;

    /** The objectif professionnel. */
    private String objectifProfessionnel = StringUtils.EMPTY;

    /** The secteurs activites. */
    @Label(contexte = "etudiantetalumni", type = "65")
    private String secteursActivites = StringUtils.EMPTY;

    /** The experiences professionnelles. */
    private String experiencesProfessionnelles = StringUtils.EMPTY;

    /** The photo. */
    private Long photo = 0L;

    /** The adresse site perso. */
    private String adresseSitePerso = StringUtils.EMPTY;

    /** The centres interets. */
    private String centresInterets = StringUtils.EMPTY;

    /** The complements. */
    private String complements = StringUtils.EMPTY;

    /** The date suppression. */
    private Date dateSuppression = null;

    /**
     * Gets the civilite.
     *
     * @return the civilite
     */
    public String getCivilite() {
        return civilite;
    }

    /**
     * Sets the civilite.
     *
     * @param civilite
     *            the new civilite
     */
    public void setCivilite(final String civilite) {
        this.civilite = civilite;
    }

    /**
     * Gets the nom.
     *
     * @return the nom
     */
    public String getNom() {
        return nom;
    }

    /**
     * Sets the nom.
     *
     * @param nom
     *            the new nom
     */
    public void setNom(final String nom) {
        this.nom = nom;
    }

    /**
     * Gets the prenom.
     *
     * @return the prenom
     */
    public String getPrenom() {
        return prenom;
    }

    /**
     * Sets the prenom.
     *
     * @param prenom
     *            the new prenom
     */
    public void setPrenom(final String prenom) {
        this.prenom = prenom;
    }

    /**
     * Gets the date naissance.
     *
     * @return the date naissance
     */
    public Date getDateNaissance() {
        return dateNaissance;
    }

    /**
     * Sets the date naissance.
     *
     * @param dateNaissance
     *            the new date naissance
     */
    public void setDateNaissance(final Date dateNaissance) {
        this.dateNaissance = dateNaissance;
    }

    /**
     * Gets the code rattachement autres.
     *
     * @return the code rattachement autres
     */
    public String getCodeRattachementAutres() {
        return codeRattachementAutres;
    }

    /**
     * Sets the code rattachement autres.
     *
     * @param codeRattachementAutres
     *            the new code rattachement autres
     */
    public void setCodeRattachementAutres(final String codeRattachementAutres) {
        this.codeRattachementAutres = codeRattachementAutres;
    }

    /**
     * Gets the code formation.
     *
     * @return the code formation
     */
    public String getCodeFormation() {
        return codeFormation;
    }

    /**
     * Sets the code formation.
     *
     * @param codeFormation
     *            the new code formation
     */
    public void setCodeFormation(final String codeFormation) {
        this.codeFormation = codeFormation;
    }

    /**
     * Gets the promotion.
     *
     * @return the promotion
     */
    public String getPromotion() {
        return promotion;
    }

    /**
     * Sets the promotion.
     *
     * @param promotion
     *            the new promotion
     */
    public void setPromotion(final String promotion) {
        this.promotion = promotion;
    }

    /**
     * Gets the adresse mail.
     *
     * @return the adresse mail
     */
    public String getAdresseMail() {
        return adresseMail;
    }

    /**
     * Sets the adresse mail.
     *
     * @param adresseMail
     *            the new adresse mail
     */
    public void setAdresseMail(final String adresseMail) {
        this.adresseMail = adresseMail;
    }

    /**
     * Gets the contact.
     *
     * @return the contact
     */
    @GetterAnnotation(isToolbox = true)
    public String getContact() {
        return contact;
    }

    /**
     * Sets the contact.
     *
     * @param contact
     *            the new contact
     */
    @SetterAnnotation(isToolbox = true)
    public void setContact(final String contact) {
        this.contact = contact;
    }

    /**
     * Gets the liste rouge.
     *
     * @return the liste rouge
     */
    public String getListeRouge() {
        return listeRouge;
    }

    /**
     * Sets the liste rouge.
     *
     * @param listeRouge
     *            the new liste rouge
     */
    public void setListeRouge(final String listeRouge) {
        this.listeRouge = listeRouge;
    }

    /**
     * Gets the discipline.
     *
     * @return the discipline
     */
    public String getDiscipline() {
        return discipline;
    }

    /**
     * Sets the discipline.
     *
     * @param discipline
     *            the new discipline
     */
    public void setDiscipline(final String discipline) {
        this.discipline = discipline;
    }

    /**
     * Gets the niveau diplome.
     *
     * @return the niveau diplome
     */
    public String getNiveauDiplome() {
        return niveauDiplome;
    }

    /**
     * Sets the niveau diplome.
     *
     * @param niveauDiplome
     *            the new niveau diplome
     */
    public void setNiveauDiplome(final String niveauDiplome) {
        this.niveauDiplome = niveauDiplome;
    }

    /**
     * Gets the type diplome.
     *
     * @return the type diplome
     */
    public String getTypeDiplome() {
        return typeDiplome;
    }

    /**
     * Sets the type diplome.
     *
     * @param typeDiplome
     *            the new type diplome
     */
    public void setTypeDiplome(final String typeDiplome) {
        this.typeDiplome = typeDiplome;
    }

    /**
     * Gets the cv.
     *
     * @return the cv
     */
    @GetterAnnotation(isToolbox = true)
    public String getCv() {
        return cv;
    }

    /**
     * Sets the cv.
     *
     * @param cv
     *            the new cv
     */
    @SetterAnnotation(isToolbox = true)
    public void setCv(final String cv) {
        this.cv = cv;
    }

    /**
     * Gets the competences diplome.
     *
     * @return the competences diplome
     */
    public String getCompetencesDiplome() {
        return competencesDiplome;
    }

    /**
     * Sets the competences diplome.
     *
     * @param competencesDiplome
     *            the new competences diplome
     */
    public void setCompetencesDiplome(final String competencesDiplome) {
        this.competencesDiplome = competencesDiplome;
    }

    /**
     * Gets the competences generales.
     *
     * @return the competences generales
     */
    public String getCompetencesGenerales() {
        return competencesGenerales;
    }

    /**
     * Sets the competences generales.
     *
     * @param competencesGenerales
     *            the new competences generales
     */
    public void setCompetencesGenerales(final String competencesGenerales) {
        this.competencesGenerales = competencesGenerales;
    }

    /**
     * Gets the competences informatiques.
     *
     * @return the competences informatiques
     */
    public String getCompetencesInformatiques() {
        return competencesInformatiques;
    }

    /**
     * Sets the competences informatiques.
     *
     * @param competencesInformatiques
     *            the new competences informatiques
     */
    public void setCompetencesInformatiques(final String competencesInformatiques) {
        this.competencesInformatiques = competencesInformatiques;
    }

    /**
     * Gets the langues parlees.
     *
     * @return the langues parlees
     */
    public String getLanguesParlees() {
        return languesParlees;
    }

    /**
     * Sets the langues parlees.
     *
     * @param languesParlees
     *            the new langues parlees
     */
    public void setLanguesParlees(final String languesParlees) {
        this.languesParlees = languesParlees;
    }

    /**
     * Gets the objectif professionnel.
     *
     * @return the objectif professionnel
     */
    public String getObjectifProfessionnel() {
        return objectifProfessionnel;
    }

    /**
     * Sets the objectif professionnel.
     *
     * @param objectifProfessionnel
     *            the new objectif professionnel
     */
    public void setObjectifProfessionnel(final String objectifProfessionnel) {
        this.objectifProfessionnel = objectifProfessionnel;
    }

    /**
     * Gets the secteurs activites.
     *
     * @return the secteurs activites
     */
    public String getSecteursActivites() {
        return secteursActivites;
    }

    /**
     * Sets the secteurs activites.
     *
     * @param secteursActivites
     *            the new secteurs activites
     */
    public void setSecteursActivites(final String secteursActivites) {
        this.secteursActivites = secteursActivites;
    }

    /**
     * Gets the experiences professionnelles.
     *
     * @return the experiences professionnelles
     */
    public String getExperiencesProfessionnelles() {
        return experiencesProfessionnelles;
    }

    /**
     * Sets the experiences professionnelles.
     *
     * @param experiencesProfessionnelles
     *            the new experiences professionnelles
     */
    public void setExperiencesProfessionnelles(final String experiencesProfessionnelles) {
        this.experiencesProfessionnelles = experiencesProfessionnelles;
    }

    /**
     * Gets the photo.
     *
     * @return the photo
     */
    public Long getPhoto() {
        return photo;
    }

    /**
     * Sets the photo.
     *
     * @param photo
     *            the new photo
     */
    public void setPhoto(final Long photo) {
        this.photo = photo;
    }

    /**
     * Gets the adresse site perso.
     *
     * @return the adresse site perso
     */
    public String getAdresseSitePerso() {
        return adresseSitePerso;
    }

    /**
     * Sets the adresse site perso.
     *
     * @param adresseSitePerso
     *            the new adresse site perso
     */
    public void setAdresseSitePerso(final String adresseSitePerso) {
        this.adresseSitePerso = adresseSitePerso;
    }

    /**
     * Gets the centres interets.
     *
     * @return the centres interets
     */
    public String getCentresInterets() {
        return centresInterets;
    }

    /**
     * Sets the centres interets.
     *
     * @param centresInterets
     *            the new centres interets
     */
    public void setCentresInterets(final String centresInterets) {
        this.centresInterets = centresInterets;
    }

    /**
     * Gets the complements.
     *
     * @return the complements
     */
    @GetterAnnotation(isToolbox = true)
    public String getComplements() {
        return complements;
    }

    /**
     * Sets the complements.
     *
     * @param complements
     *            the new complements
     */
    @SetterAnnotation(isToolbox = true)
    public void setComplements(final String complements) {
        this.complements = complements;
    }

    /**
     * Gets the date suppression.
     *
     * @return the date suppression
     */
    public Date getDateSuppression() {
        return dateSuppression;
    }

    /**
     * Sets the date suppression.
     *
     * @param dateSuppression
     *            the new date suppression
     */
    public void setDateSuppression(final Date dateSuppression) {
        this.dateSuppression = dateSuppression;
    }
}
