/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: etudiantetalumni
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.bean;

import java.io.Serializable;
import java.util.Date;

import com.kportal.cms.objetspartages.annotation.Aggregation;
import com.kportal.cms.objetspartages.annotation.Autocompletion;
import com.kportal.cms.objetspartages.annotation.Fiche;
import com.kportal.cms.objetspartages.annotation.GetterAnnotation;
import com.kportal.cms.objetspartages.annotation.Label;
import com.kportal.cms.objetspartages.annotation.SetterAnnotation;
import com.univ.objetspartages.bean.AbstractRestrictionFicheBean;

/**
 * The Class AssociationetudiantBean.
 */
public class AssociationetudiantBean extends AbstractRestrictionFicheBean implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 8443687119288031274L;

    /** The nom. */
    @Autocompletion(name = "titre_completion")
    private String nom = null;

    /** The objet. */
    private String objet = null;

    /** The type association. */
    @Label(contexte = "etudiantetalumni", type = "34")
    private String typeAssociation = null;

    /** The thematique. */
    @Label(type = "04")
    @Aggregation(name = "thematique")
    private String thematique = null;

	/** The code rattachement autres. */
    @Fiche(contexte = "etudiantetalumni", nomObjet = "structuremodele")
	private String codeRattachementAutres = null;

    /** The adresse email. */
    private String adresseEmail = null;

    /** The coordonnees. */
    private String coordonnees = null;

    /** The site web. */
    private String siteWeb = null;

    /** The nom president. */
    private String nomPresident = null;

    /** The adresse email president. */
    private String adresseEmailPresident = null;

    /** The telephone president. */
    private String telephonePresident = null;

    /** The telecopie president. */
    private String telecopiePresident = null;

    /** The cotisation. */
    private String cotisation = null;

    /** The activites. */
    private String activites = null;

    /** The plan acces. */
    private Long planAcces = 0L;

    /** The composition bureau. */
    private String compositionBureau = null;

    /** The permanences. */
    private String permanences = null;

    /** The complements. */
    private String complements = null;

    /** The date suppression. */
    private Date dateSuppression = null;

    /**
     * Gets the nom.
     *
     * @return the nom
     */
    public String getNom() {
        return nom;
    }

    /**
     * Sets the nom.
     *
     * @param nom
     *            the new nom
     */
    public void setNom(final String nom) {
        this.nom = nom;
    }

    /**
     * Gets the objet.
     *
     * @return the objet
     */
    public String getObjet() {
        return objet;
    }

    /**
     * Sets the objet.
     *
     * @param objet
     *            the new objet
     */
    public void setObjet(final String objet) {
        this.objet = objet;
    }

    /**
     * Gets the type association.
     *
     * @return the type association
     */
    public String getTypeAssociation() {
        return typeAssociation;
    }

    /**
     * Sets the type association.
     *
     * @param typeAssociation
     *            the new type association
     */
    public void setTypeAssociation(final String typeAssociation) {
        this.typeAssociation = typeAssociation;
    }

    /**
     * Gets the thematique.
     *
     * @return the thematique
     */
    public String getThematique() {
        return thematique;
    }

    /**
     * Sets the thematique.
     *
     * @param thematique
     *            the new thematique
     */
    public void setThematique(final String thematique) {
        this.thematique = thematique;
    }

    /**
     * Gets the code rattachement autres.
     *
     * @return the code rattachement autres
     */
    public String getCodeRattachementAutres() {
        return codeRattachementAutres;
    }

    /**
     * Sets the code rattachement autres.
     *
     * @param codeRattachementAutres
     *            the new code rattachement autres
     */
    public void setCodeRattachementAutres(final String codeRattachementAutres) {
        this.codeRattachementAutres = codeRattachementAutres;
    }

    /**
     * Gets the adresse email.
     *
     * @return the adresse email
     */
    public String getAdresseEmail() {
        return adresseEmail;
    }

    /**
     * Sets the adresse email.
     *
     * @param adresseEmail
     *            the new adresse email
     */
    public void setAdresseEmail(final String adresseEmail) {
        this.adresseEmail = adresseEmail;
    }

    /**
     * Gets the coordonnees.
     *
     * @return the coordonnees
     */
    public String getCoordonnees() {
        return coordonnees;
    }

    /**
     * Sets the coordonnees.
     *
     * @param coordonnees
     *            the new coordonnees
     */
    public void setCoordonnees(final String coordonnees) {
        this.coordonnees = coordonnees;
    }

    /**
     * Gets the site web.
     *
     * @return the site web
     */
    public String getSiteWeb() {
        return siteWeb;
    }

    /**
     * Sets the site web.
     *
     * @param siteWeb
     *            the new site web
     */
    public void setSiteWeb(final String siteWeb) {
        this.siteWeb = siteWeb;
    }

    /**
     * Gets the nom president.
     *
     * @return the nom president
     */
    public String getNomPresident() {
        return nomPresident;
    }

    /**
     * Sets the nom president.
     *
     * @param nomPresident
     *            the new nom president
     */
    public void setNomPresident(final String nomPresident) {
        this.nomPresident = nomPresident;
    }

    /**
     * Gets the adresse email president.
     *
     * @return the adresse email president
     */
    public String getAdresseEmailPresident() {
        return adresseEmailPresident;
    }

    /**
     * Sets the adresse email president.
     *
     * @param adresseEmailPresident
     *            the new adresse email president
     */
    public void setAdresseEmailPresident(final String adresseEmailPresident) {
        this.adresseEmailPresident = adresseEmailPresident;
    }

    /**
     * Gets the telephone president.
     *
     * @return the telephone president
     */
    public String getTelephonePresident() {
        return telephonePresident;
    }

    /**
     * Sets the telephone president.
     *
     * @param telephonePresident
     *            the new telephone president
     */
    public void setTelephonePresident(final String telephonePresident) {
        this.telephonePresident = telephonePresident;
    }

    /**
     * Gets the telecopie president.
     *
     * @return the telecopie president
     */
    public String getTelecopiePresident() {
        return telecopiePresident;
    }

    /**
     * Sets the telecopie president.
     *
     * @param telecopiePresident
     *            the new telecopie president
     */
    public void setTelecopiePresident(final String telecopiePresident) {
        this.telecopiePresident = telecopiePresident;
    }

    /**
     * Gets the cotisation.
     *
     * @return the cotisation
     */
    public String getCotisation() {
        return cotisation;
    }

    /**
     * Sets the cotisation.
     *
     * @param cotisation
     *            the new cotisation
     */
    public void setCotisation(final String cotisation) {
        this.cotisation = cotisation;
    }

    /**
     * Gets the activites.
     *
     * @return the activites
     */
    @GetterAnnotation(isToolbox = true)
    public String getActivites() {
        return activites;
    }

    /**
     * Sets the activites.
     *
     * @param activites
     *            the new activites
     */
    @SetterAnnotation(isToolbox = true)
    public void setActivites(final String activites) {
        this.activites = activites;
    }

    /**
     * Gets the plan acces.
     *
     * @return the plan acces
     */
    public Long getPlanAcces() {
        return planAcces;
    }

    /**
     * Sets the plan acces.
     *
     * @param planAcces
     *            the new plan acces
     */
    public void setPlanAcces(final Long planAcces) {
        this.planAcces = planAcces;
    }

    /**
     * Gets the composition bureau.
     *
     * @return the composition bureau
     */
    @GetterAnnotation(isToolbox = true)
    public String getCompositionBureau() {
        return compositionBureau;
    }

    /**
     * Sets the composition bureau.
     *
     * @param compositionBureau
     *            the new composition bureau
     */
    @SetterAnnotation(isToolbox = true)
    public void setCompositionBureau(final String compositionBureau) {
        this.compositionBureau = compositionBureau;
    }

    /**
     * Gets the permanences.
     *
     * @return the permanences
     */
    @GetterAnnotation(isToolbox = true)
    public String getPermanences() {
        return permanences;
    }

    /**
     * Sets the permanences.
     *
     * @param permanences
     *            the new permanences
     */
    @SetterAnnotation(isToolbox = true)
    public void setPermanences(final String permanences) {
        this.permanences = permanences;
    }

    /**
     * Gets the complements.
     *
     * @return the complements
     */
    @GetterAnnotation(isToolbox = true)
    public String getComplements() {
        return complements;
    }

    /**
     * Sets the complements.
     *
     * @param complements
     *            the new complements
     */
    @SetterAnnotation(isToolbox = true)
    public void setComplements(final String complements) {
        this.complements = complements;
    }

    /**
     * Gets the date suppression.
     *
     * @return the date suppression
     */
    public Date getDateSuppression() {
        return dateSuppression;
    }

    /**
     * Sets the date suppression.
     *
     * @param dateSuppression
     *            the new date suppression
     */
    public void setDateSuppression(final Date dateSuppression) {
        this.dateSuppression = dateSuppression;
    }
}
