/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.bean;

import java.io.Serializable;

import com.kosmos.offreformation.util.OffreFormationUtil;
import com.kportal.cms.objetspartages.annotation.Autocompletion;
import com.kportal.cms.objetspartages.annotation.Fiche;
import com.kportal.cms.objetspartages.annotation.GetterAnnotation;
import com.kportal.cms.objetspartages.annotation.Label;
import com.kportal.cms.objetspartages.annotation.SetterAnnotation;
import com.univ.objetspartages.bean.AbstractRestrictionFicheBean;

/**
 * The Class CoursBean.
 */
public class CoursBean extends AbstractRestrictionFicheBean implements Serializable {

    /**
     * The Constant serialVersionUID.
     */
    private static final long serialVersionUID = 4080560579749363432L;


    /**
     * Code SI Scolarite
     */
    private String codeSiScolarite;

    /**
     * The libelle court.
     */
    @Autocompletion(name = "titre_completion")
    private String libelleCourt = null;

    /**
     * The libelle long.
     */
    @Autocompletion(name = "titre_completion")
    private String libelleLong = null;

    /** The credit ects. */
    private String creditEcts = null;

    /** The discipline. */
    @Label(contexte = "ged", type = "55")
    private String discipline = null;

    /**
     * The code rattachement autres.
     */
    @Fiche(contexte = OffreFormationUtil.ID_EXTENSION, nomObjet = "structuremodele")
    private String codeRattachementAutres = null;

    /** The code responsable. */
    @Fiche(contexte = OffreFormationUtil.ID_EXTENSION, nomObjet = "annuaireksup")
    private String codeResponsable = null;

    /** The complements responsable. */
    private String complementsResponsable = null;

    /** The coordonnees. */
    private String coordonnees = null;

    /** The volume horaire cm. */
    private String volumeHoraireCm = null;

    /** The volume horaire td. */
    private String volumeHoraireTd = null;

    /** The volume horaire tp. */
    private String volumeHoraireTp = null;

    /** The volume horaire projet. */
    private String volumeHoraireProjet = null;

    /** The volume horaire stage. */
    private String volumeHoraireStage = null;

    /** The volume horaire ds. */
    private String volumeHoraireDs = null;

    /**
     * The coef tp.
     */
    private String coefTp = null;

    /**
     * The coef ds.
     */
    private String coefDs = null;

    /**
     * The objectifs.
     */
    private String objectifs = null;

    /**
     * The calendrier.
     */
    private String calendrier = null;

    /** The contenu. */
    private String contenu = null;

    /**
     * The bibliographie.
     */
    private String bibliographie = null;

    /** The controle connaissances. */
    private String controleConnaissances = null;

    /**
     * The complements.
     */
    private String complements = null;

    /** The rattachement bandeau. */
    private String rattachementBandeau = null;

    public String getCodeSiScolarite() {
        return codeSiScolarite;
    }

    public void setCodeSiScolarite(final String codeSiScolarite) {
        this.codeSiScolarite = codeSiScolarite;
    }


    /**
     * Gets the libelle court.
     *
     * @return the libelle court
     */
    public String getLibelleCourt() {
        return libelleCourt;
    }

    /**
     * Sets the libelle court.
     *
     * @param libelleCourt
     *            the new libelle court
     */
    public void setLibelleCourt(final String libelleCourt) {
        this.libelleCourt = libelleCourt;
    }

    /**
     * Gets the libelle long.
     *
     * @return the libelle long
     */
    public String getLibelleLong() {
        return libelleLong;
    }

    /**
     * Sets the libelle long.
     *
     * @param libelleLong
     *            the new libelle long
     */
    public void setLibelleLong(final String libelleLong) {
        this.libelleLong = libelleLong;
    }

    /**
     * Gets the credit ects.
     *
     * @return the credit ects
     */
    public String getCreditEcts() {
        return creditEcts;
    }

    /**
     * Sets the credit ects.
     *
     * @param creditEcts
     *            the new credit ects
     */
    public void setCreditEcts(final String creditEcts) {
        this.creditEcts = creditEcts;
    }

    /**
     * Gets the discipline.
     *
     * @return the discipline
     */
    public String getDiscipline() {
        return discipline;
    }

    /**
     * Sets the discipline.
     *
     * @param discipline
     *            the new discipline
     */
    public void setDiscipline(final String discipline) {
        this.discipline = discipline;
    }

    /**
     * Gets the code rattachement autres.
     *
     * @return the code rattachement autres
     */
    public String getCodeRattachementAutres() {
        return codeRattachementAutres;
    }

    /**
     * Sets the code rattachement autres.
     *
     * @param codeRattachementsAutres
     *            the new code rattachement autres
     */
    public void setCodeRattachementAutres(final String codeRattachementsAutres) {
        this.codeRattachementAutres = codeRattachementsAutres;
    }

    /**
     * Gets the code responsable.
     *
     * @return the code responsable
     */
    public String getCodeResponsable() {
        return codeResponsable;
    }

    /**
     * Sets the code responsable.
     *
     * @param codeResponsable the new code responsable
     */
    public void setCodeResponsable(final String codeResponsable) {
        this.codeResponsable = codeResponsable;
    }

    /**
     * Gets the complements responsable.
     *
     * @return the complements responsable
     */
    @GetterAnnotation(isToolbox = true)
    public String getComplementsResponsable() {
        return complementsResponsable;
    }

    /**
     * Sets the complements responsable.
     *
     * @param complementsResponsable
     *            the new complements responsable
     */
    @SetterAnnotation(isToolbox = true)
    public void setComplementsResponsable(final String complementsResponsable) {
        this.complementsResponsable = complementsResponsable;
    }

    /**
     * Gets the coordonnees.
     *
     * @return the coordonnees
     */
    @GetterAnnotation(isToolbox = true)
    public String getCoordonnees() {
        return coordonnees;
    }

    /**
     * Sets the coordonnees.
     *
     * @param coordonnees
     *            the new coordonnees
     */
    @SetterAnnotation(isToolbox = true)
    public void setCoordonnees(final String coordonnees) {
        this.coordonnees = coordonnees;
    }

    /**
     * Gets the volume horaire cm.
     *
     * @return the volume horaire cm
     */
    public String getVolumeHoraireCm() {
        return volumeHoraireCm;
    }

    /**
     * Sets the volume horaire cm.
     *
     * @param volumeHoraireCm
     *            the new volume horaire cm
     */
    public void setVolumeHoraireCm(final String volumeHoraireCm) {
        this.volumeHoraireCm = volumeHoraireCm;
    }

    /**
     * Gets the volume horaire td.
     *
     * @return the volume horaire td
     */
    public String getVolumeHoraireTd() {
        return volumeHoraireTd;
    }

    /**
     * Sets the volume horaire td.
     *
     * @param volumeHoraireTd
     *            the new volume horaire td
     */
    public void setVolumeHoraireTd(final String volumeHoraireTd) {
        this.volumeHoraireTd = volumeHoraireTd;
    }

    /**
     * Gets the volume horaire tp.
     *
     * @return the volume horaire tp
     */
    public String getVolumeHoraireTp() {
        return volumeHoraireTp;
    }

    /**
     * Sets the volume horaire tp.
     *
     * @param volumeHoraireTp
     *            the new volume horaire tp
     */
    public void setVolumeHoraireTp(final String volumeHoraireTp) {
        this.volumeHoraireTp = volumeHoraireTp;
    }

    /**
     * Gets the volume horaire projet.
     *
     * @return the volume horaire projet
     */
    public String getVolumeHoraireProjet() {
        return volumeHoraireProjet;
    }

    /**
     * Sets the volume horaire projet.
     *
     * @param volumeHoraireProjet the new volume horaire projet
     */
    public void setVolumeHoraireProjet(final String volumeHoraireProjet) {
        this.volumeHoraireProjet = volumeHoraireProjet;
    }

    /**
     * Gets the volume horaire stage.
     *
     * @return the volume horaire stage
     */
    public String getVolumeHoraireStage() {
        return volumeHoraireStage;
    }

    /**
     * Sets the volume horaire stage.
     *
     * @param volumeHoraireStage the new volume horaire stage
     */
    public void setVolumeHoraireStage(final String volumeHoraireStage) {
        this.volumeHoraireStage = volumeHoraireStage;
    }

    /**
     * Gets the volume horaire ds.
     *
     * @return the volume horaire ds
     */
    public String getVolumeHoraireDs() {
        return volumeHoraireDs;
    }

    /**
     * Sets the volume horaire ds.
     *
     * @param volumeHoraireDs
     *            the new volume horaire ds
     */
    public void setVolumeHoraireDs(final String volumeHoraireDs) {
        this.volumeHoraireDs = volumeHoraireDs;
    }

    /**
     * Gets the coef tp.
     *
     * @return the coef tp
     */
    public String getCoefTp() {
        return coefTp;
    }

    /**
     * Sets the coef tp.
     *
     * @param coefTp
     *            the new coef tp
     */
    public void setCoefTp(final String coefTp) {
        this.coefTp = coefTp;
    }

    /**
     * Gets the coef ds.
     *
     * @return the coef ds
     */
    public String getCoefDs() {
        return coefDs;
    }

    /**
     * Sets the coef ds.
     *
     * @param coefDs
     *            the new coef ds
     */
    public void setCoefDs(final String coefDs) {
        this.coefDs = coefDs;
    }

    /**
     * Gets the objectifs.
     *
     * @return the objectifs
     */
    @GetterAnnotation(isToolbox = true)
    public String getObjectifs() {
        return objectifs;
    }

    /**
     * Sets the objectifs.
     *
     * @param objectifs the new objectifs
     */
    @SetterAnnotation(isToolbox = true)
    public void setObjectifs(final String objectifs) {
        this.objectifs = objectifs;
    }

    /**
     * Gets the calendrier.
     *
     * @return the calendrier
     */
    @GetterAnnotation(isToolbox = true)
    public String getCalendrier() {
        return calendrier;
    }

    /**
     * Sets the calendrier.
     *
     * @param calendrier the new calendrier
     */
    @SetterAnnotation(isToolbox = true)
    public void setCalendrier(final String calendrier) {
        this.calendrier = calendrier;
    }

    /**
     * Gets the contenu.
     *
     * @return the contenu
     */
    @GetterAnnotation(isToolbox = true)
    public String getContenu() {
        return contenu;
    }

    /**
     * Sets the contenu.
     *
     * @param contenu the new contenu
     */
    @SetterAnnotation(isToolbox = true)
    public void setContenu(final String contenu) {
        this.contenu = contenu;
    }

    /**
     * Gets the bibliographie.
     *
     * @return the bibliographie
     */
    @GetterAnnotation(isToolbox = true)
    public String getBibliographie() {
        return bibliographie;
    }

    /**
     * Sets the bibliographie.
     *
     * @param bibliographie
     *            the new bibliographie
     */
    @SetterAnnotation(isToolbox = true)
    public void setBibliographie(final String bibliographie) {
        this.bibliographie = bibliographie;
    }

    /**
     * Gets the controle connaissances.
     *
     * @return the controle connaissances
     */
    @GetterAnnotation(isToolbox = true)
    public String getControleConnaissances() {
        return controleConnaissances;
    }

    /**
     * Sets the controle connaissances.
     *
     * @param controleConnaissances
     *            the new controle connaissances
     */
    @SetterAnnotation(isToolbox = true)
    public void setControleConnaissances(final String controleConnaissances) {
        this.controleConnaissances = controleConnaissances;
    }

    /**
     * Gets the complements.
     *
     * @return the complements
     */
    @GetterAnnotation(isToolbox = true)
    public String getComplements() {
        return complements;
    }

    /**
     * Sets the complements.
     *
     * @param complements
     *            the new complements
     */
    @SetterAnnotation(isToolbox = true)
    public void setComplements(final String complements) {
        this.complements = complements;
    }

    /**
     * Gets the rattachement bandeau.
     *
     * @return the rattachement bandeau
     */
    public String getRattachementBandeau() {
        return rattachementBandeau;
    }

    /**
     * Sets the rattachement bandeau.
     *
     * @param rattachementBandeau
     *            the new rattachement bandeau
     */
    public void setRattachementBandeau(final String rattachementBandeau) {
        this.rattachementBandeau = rattachementBandeau;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || !(o.getClass() == this.getClass())) {
            return false;
        }
        CoursBean that = (CoursBean) o;
        return code.equals(that.getCode()) && langue.equals(that.getLangue()) && etatObjet.equals(that.getEtatObjet());
    }

    @Override
    public int hashCode() {
        return 10000 * code.hashCode() + 100 * langue.hashCode() + etatObjet.hashCode();
    }
}
