/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: annuairesup
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.bean;

import java.io.Serializable;

import com.kportal.cms.objetspartages.annotation.Autocompletion;
import com.kportal.cms.objetspartages.annotation.Fiche;
import com.kportal.cms.objetspartages.annotation.GetterAnnotation;
import com.kportal.cms.objetspartages.annotation.Label;
import com.kportal.cms.objetspartages.annotation.SetterAnnotation;
import com.univ.objetspartages.bean.AbstractRestrictionFicheBean;
import com.univ.objetspartages.bean.StructureBean;

/**
 * The Class DefaultstructureksupBean.
 */
public class DefaultstructureksupBean extends StructureBean implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 721297303578458497L;

    /** The libelle court. */
    @Autocompletion(name = "titre_completion")
    private String libelleCourt = null;

    /** The libelle long. */
    @Autocompletion(name = "titre_completion")
    private String libelleLong = null;

    /** The type structure. */
    @Label(contexte="annuairesup", type="60")
    private String typeStructure = null;

    /** The structure enseignement. */
    private String structureEnseignement = null;

    /** The id bandeau. */
    private Long idBandeau = null;

    /** The onglets. */
    private String onglets = null;

    /** The couleur titre. */
    private String couleurTitre = null;

    /** The couleur fond. */
    private String couleurFond = null;

    /** The adresse. */
    private String adresse = null;

    /** The code postal. */
    private String codePostal = null;

    /** The ville. */
    private String ville = null;

    /** The villes. */
    @Label(contexte="annuairesup", type="22")
    private String villes = null;

    /** The telephone. */
    private String telephone = null;

    /** The telecopie. */
    private String telecopie = null;

    /** The adresse mail. */
    private String adresseMail = null;

    /** The site web. */
    private String siteWeb = null;

    /** The id photo. */
    private Long idPhoto = null;

	/** The code responsable. */
	@Fiche(contexte = "annuairesup", nomObjet = "annuaireksup")
	private String codeResponsable = null;

    /** The organigramme. */
    private String organigramme = null;

    /** The contacts. */
    private String contacts = null;

    /** The activite. */
    private String activite = null;

    /** The chiffres cles. */
    private String chiffresCles = null;

    /** The domaine formation etablissement. */
    @Label(contexte="annuairesup", type="2004")
    private String domaineFormationEtablissement = null;

    /** The formations. */
    private String formations = null;

    /** The recherche. */
    private String recherche = null;

    /** The partenariats. */
    private String partenariats = null;

    /** The complement coordonnees. */
    private String complementCoordonnees = null;

    /** The complements. */
    private String complements = null;

    /** The id plan acces. */
    private Long idPlanAcces = null;

	/** The code rattachement autres. */
	@Fiche(contexte = "annuairesup", nomObjet = "structuremodele")
	private String codeRattachementAutres = null;

    /**
     * Sets the libelle court.
     *
     * @param libelleCourt
     *            the new libelle court
     */
    public void setLibelleCourt(final String libelleCourt) {
        this.libelleCourt = libelleCourt;
    }

    /**
     * Sets the libelle long.
     *
     * @param libelleLong
     *            the new libelle long
     */
    public void setLibelleLong(final String libelleLong) {
        this.libelleLong = libelleLong;
    }

    /**
     * Sets the type structure.
     *
     * @param typeStructure
     *            the new type structure
     */
    public void setTypeStructure(final String typeStructure) {
        this.typeStructure = typeStructure;
    }

    /**
     * Sets the structure enseignement.
     *
     * @param structureEnseignement
     *            the new structure enseignement
     */
    public void setStructureEnseignement(final String structureEnseignement) {
        this.structureEnseignement = structureEnseignement;
    }

    /**
     * Sets the id bandeau.
     *
     * @param idBandeau
     *            the new id bandeau
     */
    public void setIdBandeau(final Long idBandeau) {
        this.idBandeau = idBandeau;
    }

    /**
     * Sets the onglets.
     *
     * @param onglets
     *            the new onglets
     */
    @SetterAnnotation(isToolbox = true)
    public void setOnglets(final String onglets) {
        this.onglets = onglets;
    }

    /**
     * Sets the couleur titre.
     *
     * @param couleurTitre
     *            the new couleur titre
     */
    public void setCouleurTitre(final String couleurTitre) {
        this.couleurTitre = couleurTitre;
    }

    /**
     * Sets the couleur fond.
     *
     * @param couleurFond
     *            the new couleur fond
     */
    public void setCouleurFond(final String couleurFond) {
        this.couleurFond = couleurFond;
    }

    /**
     * Sets the adresse.
     *
     * @param adresse
     *            the new adresse
     */
    public void setAdresse(final String adresse) {
        this.adresse = adresse;
    }

    /**
     * Sets the code postal.
     *
     * @param codePostal
     *            the new code postal
     */
    public void setCodePostal(final String codePostal) {
        this.codePostal = codePostal;
    }

    /**
     * Sets the ville.
     *
     * @param ville
     *            the new ville
     */
    public void setVille(final String ville) {
        this.ville = ville;
    }

    /**
     * Sets the villes.
     *
     * @param villes
     *            the new villes
     */
    public void setVilles(final String villes) {
        this.villes = villes;
    }

    /**
     * Sets the telephone.
     *
     * @param telephone
     *            the new telephone
     */
    public void setTelephone(final String telephone) {
        this.telephone = telephone;
    }

    /**
     * Sets the telecopie.
     *
     * @param telecopie
     *            the new telecopie
     */
    public void setTelecopie(final String telecopie) {
        this.telecopie = telecopie;
    }

    /**
     * Sets the adresse mail.
     *
     * @param adresseMail
     *            the new adresse mail
     */
    public void setAdresseMail(final String adresseMail) {
        this.adresseMail = adresseMail;
    }

    /**
     * Sets the site web.
     *
     * @param siteWeb
     *            the new site web
     */
    public void setSiteWeb(final String siteWeb) {
        this.siteWeb = siteWeb;
    }

    /**
     * Sets the id photo.
     *
     * @param idPhoto
     *            the new id photo
     */
    public void setIdPhoto(final Long idPhoto) {
        this.idPhoto = idPhoto;
    }

    /**
     * Sets the code responsable.
     *
     * @param codeResponsable
     *            the new code responsable
     */
    public void setCodeResponsable(final String codeResponsable) {
        this.codeResponsable = codeResponsable;
    }

    /**
     * Sets the organigramme.
     *
     * @param organigramme
     *            the new organigramme
     */
    @SetterAnnotation(isToolbox = true)
    public void setOrganigramme(final String organigramme) {
        this.organigramme = organigramme;
    }

    /**
     * Sets the contacts.
     *
     * @param contacts
     *            the new contacts
     */
    @SetterAnnotation(isToolbox = true)
    public void setContacts(final String contacts) {
        this.contacts = contacts;
    }

    /**
     * Sets the activite.
     *
     * @param activite
     *            the new activite
     */
    @SetterAnnotation(isToolbox = true)
    public void setActivite(final String activite) {
        this.activite = activite;
    }

    /**
     * Sets the chiffres cles.
     *
     * @param chiffresCles
     *            the new chiffres cles
     */
    @SetterAnnotation(isToolbox = true)
    public void setChiffresCles(final String chiffresCles) {
        this.chiffresCles = chiffresCles;
    }

    /**
     * Sets the domaine formation etablissement.
     *
     * @param domaineFormationEtablissement
     *            the new domaine formation etablissement
     */
    public void setDomaineFormationEtablissement(final String domaineFormationEtablissement) {
        this.domaineFormationEtablissement = domaineFormationEtablissement;
    }

    /**
     * Sets the formations.
     *
     * @param formations
     *            the new formations
     */
    @SetterAnnotation(isToolbox = true)
    public void setFormations(final String formations) {
        this.formations = formations;
    }

    /**
     * Sets the recherche.
     *
     * @param recherche
     *            the new recherche
     */
    @SetterAnnotation(isToolbox = true)
    public void setRecherche(final String recherche) {
        this.recherche = recherche;
    }

    /**
     * Sets the partenariats.
     *
     * @param partenariats
     *            the new partenariats
     */
    @SetterAnnotation(isToolbox = true)
    public void setPartenariats(final String partenariats) {
        this.partenariats = partenariats;
    }

    /**
     * Sets the complement coordonnees.
     *
     * @param complementCoordonnees
     *            the new complement coordonnees
     */
    @SetterAnnotation(isToolbox = true)
    public void setComplementCoordonnees(final String complementCoordonnees) {
        this.complementCoordonnees = complementCoordonnees;
    }

    /**
     * Sets the complements.
     *
     * @param complements
     *            the new complements
     */
    @SetterAnnotation(isToolbox = true)
    public void setComplements(final String complements) {
        this.complements = complements;
    }

    /**
     * Sets the id plan acces.
     *
     * @param idPlanAcces
     *            the new id plan acces
     */
    public void setIdPlanAcces(final Long idPlanAcces) {
        this.idPlanAcces = idPlanAcces;
    }

    /**
     * Sets the code rattachement autres.
     *
     * @param codeRattachementAutres
     *            the new code rattachement autres
     */
    public void setCodeRattachementAutres(final String codeRattachementAutres) {
        this.codeRattachementAutres = codeRattachementAutres;
    }

    /**
     * Gets the libelle court.
     *
     * @return the libelle court
     */
    public String getLibelleCourt() {
        return libelleCourt;
    }

    /**
     * Gets the libelle long.
     *
     * @return the libelle long
     */
    @Override
    public String getLibelleLong() {
        return libelleLong;
    }

    /**
     * Gets the type structure.
     *
     * @return the type structure
     */
    public String getTypeStructure() {
        return typeStructure;
    }

    /**
     * Gets the structure enseignement.
     *
     * @return the structure enseignement
     */
    public String getStructureEnseignement() {
        return structureEnseignement;
    }

    /**
     * Gets the id bandeau.
     *
     * @return the id bandeau
     */
    public Long getIdBandeau() {
        return idBandeau;
    }

    /**
     * Gets the onglets.
     *
     * @return the onglets
     */
    @GetterAnnotation(isToolbox = true)
    public String getOnglets() {
        return onglets;
    }

    /**
     * Gets the couleur titre.
     *
     * @return the couleur titre
     */
    public String getCouleurTitre() {
        return couleurTitre;
    }

    /**
     * Gets the couleur fond.
     *
     * @return the couleur fond
     */
    public String getCouleurFond() {
        return couleurFond;
    }

    /**
     * Gets the adresse.
     *
     * @return the adresse
     */
    public String getAdresse() {
        return adresse;
    }

    /**
     * Gets the code postal.
     *
     * @return the code postal
     */
    public String getCodePostal() {
        return codePostal;
    }

    /**
     * Gets the ville.
     *
     * @return the ville
     */
    public String getVille() {
        return ville;
    }

    /**
     * Gets the villes.
     *
     * @return the villes
     */
    public String getVilles() {
        return villes;
    }

    /**
     * Gets the telephone.
     *
     * @return the telephone
     */
    public String getTelephone() {
        return telephone;
    }

    /**
     * Gets the telecopie.
     *
     * @return the telecopie
     */
    public String getTelecopie() {
        return telecopie;
    }

    /**
     * Gets the adresse mail.
     *
     * @return the adresse mail
     */
    public String getAdresseMail() {
        return adresseMail;
    }

    /**
     * Gets the site web.
     *
     * @return the site web
     */
    public String getSiteWeb() {
        return siteWeb;
    }

    /**
     * Gets the id photo.
     *
     * @return the id photo
     */
    public Long getIdPhoto() {
        return idPhoto;
    }

    /**
     * Gets the code responsable.
     *
     * @return the code responsable
     */
    public String getCodeResponsable() {
        return codeResponsable;
    }

    /**
     * Gets the organigramme.
     *
     * @return the organigramme
     */
    @GetterAnnotation(isToolbox = true)
    public String getOrganigramme() {
        return organigramme;
    }

    /**
     * Gets the contacts.
     *
     * @return the contacts
     */
    @GetterAnnotation(isToolbox = true)
    public String getContacts() {
        return contacts;
    }

    /**
     * Gets the activite.
     *
     * @return the activite
     */
    @GetterAnnotation(isToolbox = true)
    public String getActivite() {
        return activite;
    }

    /**
     * Gets the chiffres cles.
     *
     * @return the chiffres cles
     */
    @GetterAnnotation(isToolbox = true)
    public String getChiffresCles() {
        return chiffresCles;
    }

    /**
     * Gets the domaine formation etablissement.
     *
     * @return the domaine formation etablissement
     */
    public String getDomaineFormationEtablissement() {
        return domaineFormationEtablissement;
    }

    /**
     * Gets the formations.
     *
     * @return the formations
     */
    @GetterAnnotation(isToolbox = true)
    public String getFormations() {
        return formations;
    }

    /**
     * Gets the recherche.
     *
     * @return the recherche
     */
    @GetterAnnotation(isToolbox = true)
    public String getRecherche() {
        return recherche;
    }

    /**
     * Gets the partenariats.
     *
     * @return the partenariats
     */
    @GetterAnnotation(isToolbox = true)
    public String getPartenariats() {
        return partenariats;
    }

    /**
     * Gets the complement coordonnees.
     *
     * @return the complement coordonnees
     */
    @GetterAnnotation(isToolbox = true)
    public String getComplementCoordonnees() {
        return complementCoordonnees;
    }

    /**
     * Gets the complements.
     *
     * @return the complements
     */
    @GetterAnnotation(isToolbox = true)
    public String getComplements() {
        return complements;
    }

    /**
     * Gets the id plan acces.
     *
     * @return the id plan acces
     */
    public Long getIdPlanAcces() {
        return idPlanAcces;
    }

    /**
     * Gets the code rattachement autres.
     *
     * @return the code rattachement autres
     */
    public String getCodeRattachementAutres() {
        return codeRattachementAutres;
    }

}
