/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.bean;

import org.apache.commons.lang3.StringUtils;

import com.univ.objetspartages.bean.RessourceBean;

/**
 * Bean contenant les données relatives à l'affichage d'une image.
 */
public class ImageViewBean {

    private RessourceBean ressourceBean;

    private String backupUrl;

    public RessourceBean getRessourceBean() {
        return ressourceBean;
    }

    public void setRessourceBean(final RessourceBean ressourceBean) {
        this.ressourceBean = ressourceBean;
    }

    public String getBackupUrl() {
        return backupUrl;
    }

    public void setBackupUrl(final String backupUrl) {
        this.backupUrl = backupUrl;
    }

    /**
     * Détermine si le bean est vide.
     * @return true si le bean est vide
     */
    public boolean isBeanEmpty() {
        return ressourceBean == null && StringUtils.isEmpty(backupUrl);
    }
}
