/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.bean;

import java.io.Serializable;
import java.util.List;

/**
 * Bean associé à l'objet Parcours.
 */
public class ParcoursBeanPropose implements Serializable {

    private static final long serialVersionUID = 0L; // TODO : mettre à jour l'UID

    private String intituleLong;

    private String intituleParcoursDiplomant;

    private String parcoursFictif;

    private String diplomantEtape;

    private String accesSousCondition;

    private String presentation;

    private String libelleParcoursSemestre;

    private List<SemestreBeanView> ueups;

    private String parcoursAmont;

    private String parcoursAval;

    private String dureeSemestre;

    private String numeroPremierSemestre;

    private String urlFiche;

    private String libelleParcoursAnnee;

    /**
     * Instantiates a new bean.
     */
    public ParcoursBeanPropose() {
        super();
    }

    /**
     * Getter and Setter
     */
    public void setIntituleLong(final String intituleLong) {
        this.intituleLong = intituleLong;
    }

    public String getIntituleLong() {
        return this.intituleLong;
    }

    public void setParcoursFictif(final String parcoursFictif) {
        this.parcoursFictif = parcoursFictif;
    }

    public String getParcoursFictif() {
        return this.parcoursFictif;
    }

    public void setDiplomantEtape(final String diplomantEtape) {
        this.diplomantEtape = diplomantEtape;
    }

    public String getDiplomantEtape() {
        return this.diplomantEtape;
    }

    public void setAccesSousCondition(final String accesSousCondition) {
        this.accesSousCondition = accesSousCondition;
    }

    public String getAccesSousCondition() {
        return this.accesSousCondition;
    }

    public List<SemestreBeanView> getUeups() {
        return ueups;
    }

    public void setUeups(List<SemestreBeanView> ueups) {
        this.ueups = ueups;
    }

    public void setParcoursAmont(final String parcoursAmont) {
        this.parcoursAmont = parcoursAmont;
    }

    public String getParcoursAmont() {
        return this.parcoursAmont;
    }

    public void setParcoursAval(final String parcoursAval) {
        this.parcoursAval = parcoursAval;
    }

    public String getParcoursAval() {
        return this.parcoursAval;
    }

    public String getLibelleParcoursSemestre() {
        return libelleParcoursSemestre;
    }

    public void setLibelleParcoursSemestre(String libelleParcoursSemestre) {
        this.libelleParcoursSemestre = libelleParcoursSemestre;
    }

    public String getDureeSemestre() {
        return dureeSemestre;
    }

    public void setDureeSemestre(String dureeSemestre) {
        this.dureeSemestre = dureeSemestre;
    }

    public String getIntituleParcoursDiplomant() {
        return intituleParcoursDiplomant;
    }

    public void setIntituleParcoursDiplomant(String intituleParcoursDiplomant) {
        this.intituleParcoursDiplomant = intituleParcoursDiplomant;
    }

    public String getNumeroPremierSemestre() {
        return numeroPremierSemestre;
    }

    public void setNumeroPremierSemestre(String numeroPremierSemestre) {
        this.numeroPremierSemestre = numeroPremierSemestre;
    }

    public String getUrlFiche() {
        return urlFiche;
    }

    public void setUrlFiche(String urlFiche) {
        this.urlFiche = urlFiche;
    }

    public String getLibelleParcoursAnnee() {
        return libelleParcoursAnnee;
    }

    public void setLibelleParcoursAnnee(String libelleParcoursAnnee) {
        this.libelleParcoursAnnee = libelleParcoursAnnee;
    }

    public String getPresentation() {
        return presentation;
    }

    public void setPresentation(String presentation) {
        this.presentation = presentation;
    }
}

