/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.bean;

import java.io.Serializable;
import java.util.List;

import com.univ.objetspartages.bean.AbstractRestrictionFicheBean;

/**
 * Bean associé à l'objet Parcours.
 */
public class ParcoursSelectionBean extends AbstractRestrictionFicheBean implements Serializable {

    private static final long serialVersionUID = 0L; // TODO : mettre à jour l'UID

    private String intituleLong;

    private String accesSousCondition;

    private Integer dureeSemestre;

    private boolean selectionSaisie;

    private String libelleSemestreNum;

    private Integer numeroPremierSemestre;

    private String presentation;

    private List<SemestreBeanView> ueups;

    private String libelleParcoursAnnee;

    private boolean isDiplomant;

    /**
     * Instantiates a new bean.

     */
    public ParcoursSelectionBean() {
        super();
    }

    public String getIntituleLong() {
        return intituleLong;
    }

    public void setIntituleLong(String intituleLong) {
        this.intituleLong = intituleLong;
    }

    public String getAccesSousCondition() {
        return accesSousCondition;
    }

    public void setAccesSousCondition(String accesSousCondition) {
        this.accesSousCondition = accesSousCondition;
    }

    public boolean getSelectionSaisie() {
        return selectionSaisie;
    }

    public void setSelectionSaisie(boolean selectionSaisie) {
        this.selectionSaisie = selectionSaisie;
    }

    public String getLibelleSemestreNum() {
        return libelleSemestreNum;
    }

    public void setLibelleSemestreNum(String libelleSemestreNum) {
        this.libelleSemestreNum = libelleSemestreNum;
    }

    public Integer getDureeSemestre() {
        return dureeSemestre;
    }

    public void setDureeSemestre(Integer dureeSemestre) {
        this.dureeSemestre = dureeSemestre;
    }

    public Integer getNumeroPremierSemestre() {
        return numeroPremierSemestre;
    }

    public void setNumeroPremierSemestre(Integer numeroPremierSemestre) {
        this.numeroPremierSemestre = numeroPremierSemestre;
    }

    public String getPresentation() {
        return presentation;
    }

    public void setPresentation(String presentation) {
        this.presentation = presentation;
    }

    public List<SemestreBeanView> getUeups() {
        return ueups;
    }

    public void setUeups(List<SemestreBeanView> ueups) {
        this.ueups = ueups;
    }

    public String getLibelleParcoursAnnee() {
        return libelleParcoursAnnee;
    }

    public void setLibelleParcoursAnnee(String libelleParcoursAnnee) {
        this.libelleParcoursAnnee = libelleParcoursAnnee;
    }

    public boolean isDiplomant() {
        return isDiplomant;
    }

    public void setDiplomant(boolean diplomant) {
        isDiplomant = diplomant;
    }
}























