/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.bean;

import java.io.Serializable;

import com.univ.objetspartages.om.AnnuaireModele;

/**
 * Représente un responsable.
 * Permet d'associer une fiche {@link AnnuaireModele} avec le titre du responsable.
 */
public class ResponsableBean implements Serializable {

    /**
     * The Constant serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * La fiche Annuaire correspondant au responsable.
     */
    private AnnuaireModele fiche;

    /**
     * Le titre du responsable.
     */
    private String titre;

    /**
     * Constructeur par défaut.
     * @param fiche la fiche associée
     * @param titre le titre
     */
    public ResponsableBean(final AnnuaireModele fiche, final String titre) {
        this.fiche = fiche;
        this.titre = titre;
    }

    public AnnuaireModele getFiche() {
        return fiche;
    }

    public String getTitre() {
        return titre;
    }
}
