/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.jspbeans;

import com.kosmos.offreformation.util.OffreFormationUtil;
import com.ksup.objetspartages.jspbeans.sub.CallToActionJspBean;
import com.ksup.objetspartages.jspbeans.sub.FormationAdmissionJspBean;
import com.ksup.objetspartages.jspbeans.sub.FormationEtApresJspBean;
import com.ksup.objetspartages.jspbeans.sub.FormationInscriptionsJspBean;
import com.ksup.objetspartages.jspbeans.sub.FormationListParcoursJspBean;
import com.ksup.objetspartages.jspbeans.sub.FormationPresentationJspBean;
import com.ksup.objetspartages.jspbeans.sub.FormationProgrammeJspBean;

public class FormationJspBean {

    private FormationPresentationJspBean formationPresentation;

    private FormationAdmissionJspBean formationAdmission;

    private FormationProgrammeJspBean formationProgramme;

    private FormationEtApresJspBean formationEtApres;

    private FormationInscriptionsJspBean formationInscriptions;

    private CallToActionJspBean callToAction;

    private FormationListParcoursJspBean formationListParcours;

    private String accroche;

    private Long id;

    private String urlMonParcours;

    private String code;

    private String langue;

    private boolean afficherPresentation;

    private boolean afficherAdmission;

    private boolean afficherProgramme;

    private boolean afficherEtApres;

    private boolean afficherInscriptions;
    
    private boolean isFormationContinue;
    
    private String typeFormationContinue;


    public FormationJspBean() {
    }

    public FormationPresentationJspBean getFormationPresentation() {
        return formationPresentation;
    }

    public void setFormationPresentation(FormationPresentationJspBean formationPresentation) {
        this.formationPresentation = formationPresentation;
    }

    public FormationAdmissionJspBean getFormationAdmission() {
        return formationAdmission;
    }

    public void setFormationAdmission(FormationAdmissionJspBean formationAdmission) {
        this.formationAdmission = formationAdmission;
    }

    public CallToActionJspBean getCallToAction() {
        return callToAction;
    }

    public void setCallToAction(CallToActionJspBean callToAction) {
        this.callToAction = callToAction;
    }

    public void setAccroche(String accroche) {
        this.accroche = accroche;
    }

    public String getAccroche() {
        return accroche;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setLangue(String langue) {
        this.langue = langue;
    }

    public String getLangue() {
        return langue;
    }

    public FormationProgrammeJspBean getFormationProgramme() {
        return formationProgramme;
    }

    public void setFormationProgramme(FormationProgrammeJspBean formationProgramme) {
        this.formationProgramme = formationProgramme;
    }

    public FormationEtApresJspBean getFormationEtApres() {
        return formationEtApres;
    }

    public void setFormationEtApres(FormationEtApresJspBean formationEtApres) {
        this.formationEtApres = formationEtApres;
    }

    public FormationInscriptionsJspBean getFormationInscriptions() {
        return formationInscriptions;
    }

    public void setFormationInscriptions(FormationInscriptionsJspBean formationInscriptions) {
        this.formationInscriptions = formationInscriptions;
    }

    public void setAfficherPresentation(boolean afficherPresentation) {
        this.afficherPresentation = afficherPresentation;
    }

    public boolean isAfficherPresentation() {
        return afficherPresentation;
    }

    public void setAfficherAdmission(boolean afficherAdmission) {
        this.afficherAdmission = afficherAdmission;
    }

    public boolean isAfficherAdmission() {
        return afficherAdmission;
    }

    public void setAfficherProgramme(boolean afficherProgramme) {
        this.afficherProgramme = afficherProgramme;
    }

    public boolean isAfficherProgramme() {
        return afficherProgramme;
    }

    public void setAfficherEtApres(boolean afficherEtApres) {
        this.afficherEtApres = afficherEtApres;
    }

    public boolean isAfficherEtApres() {
        return afficherEtApres;
    }

    public void setAfficherInscriptions(boolean afficherInscriptions) {
        this.afficherInscriptions = afficherInscriptions;
    }

    public boolean isAfficherInscriptions() {
        return afficherInscriptions;
    }

    public String getUrlMonParcours() {
        return urlMonParcours;
    }

    public void setUrlMonParcours(String urlMonParcours) {
        this.urlMonParcours = urlMonParcours;
    }

    public FormationListParcoursJspBean getFormationListParcours() {
        return formationListParcours;
    }

    public void setFormationListParcours(FormationListParcoursJspBean formationListParcours) {
        this.formationListParcours = formationListParcours;
    }

    public boolean isFormationContinue() {
        return isFormationContinue;
    }

    public void setFormationContinue(final boolean formationContinue) {
        isFormationContinue = formationContinue;
    }

    public String getTypeFormationContinue() {
        return typeFormationContinue;
    }

    public void setTypeFormationContinue(final String typeFormationContinue) {
        this.typeFormationContinue = typeFormationContinue;
    }
}
