/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.jspbeans.sub;

import java.util.List;
import java.util.Map;

import com.ksup.objetspartages.bean.ImageViewBean;

public class FormationPresentationJspBean {

    private ImageViewBean imageViewBean;

    private String resume;

    private String description;

    private String specificites;

    private String lieux;

    private String lieuxComplement;

    private Map<String, String> responsableFiche;

    private String responsablesComplement;

    private List<TemoignageJspBean> temoignages;

    private String laboratoiresPartenaires;

    private String etablissementsPartenaires;

    private String entreprisesPartenaires;

    private String conventionEtablissements;

    public FormationPresentationJspBean() {
        imageViewBean = new ImageViewBean();
    }

    public ImageViewBean getImageViewBean() {
        return imageViewBean;
    }

    public void setImageViewBean(final ImageViewBean imageViewBean) {
        this.imageViewBean = imageViewBean;
    }

    public void setResume(String resume) {
        this.resume = resume;
    }

    public String getResume() {
        return resume;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public void setSpecificites(String specificites) {
        this.specificites = specificites;
    }

    public String getSpecificites() {
        return specificites;
    }

    public void setLieux(String lieux) {
        this.lieux = lieux;
    }

    public String getLieux() {
        return lieux;
    }

    public void setLieuxComplement(String lieuxComplement) {
        this.lieuxComplement = lieuxComplement;
    }

    public String getLieuxComplement() {
        return lieuxComplement;
    }

    public void setResponsableFiche(Map<String, String> responsableFiche) {
        this.responsableFiche = responsableFiche;
    }

    public Map<String, String> getResponsableFiche() {
        return responsableFiche;
    }

    public boolean hasResponsablesFiche() {
        return responsableFiche != null && !responsableFiche.isEmpty();
    }

    public void setResponsablesComplement(String responsablesComplement) {
        this.responsablesComplement = responsablesComplement;
    }

    public String getResponsablesComplement() {
        return responsablesComplement;
    }

    public void setTemoignages(List<TemoignageJspBean> temoignages) {
        this.temoignages = temoignages;
    }

    public List<TemoignageJspBean> getTemoignages() {
        return temoignages;
    }

    public boolean hasTemoignages() {
        return temoignages != null && !temoignages.isEmpty();
    }

    public void setLaboratoiresPartenaires(String laboratoiresPartenaires) {
        this.laboratoiresPartenaires = laboratoiresPartenaires;
    }

    public String getLaboratoiresPartenaires() {
        return laboratoiresPartenaires;
    }

    public void setEtablissementsPartenaires(String etablissementsPartenaires) {
        this.etablissementsPartenaires = etablissementsPartenaires;
    }

    public String getEtablissementsPartenaires() {
        return etablissementsPartenaires;
    }

    public void setEntreprisesPartenaires(String entreprisesPartenaires) {
        this.entreprisesPartenaires = entreprisesPartenaires;
    }

    public String getEntreprisesPartenaires() {
        return entreprisesPartenaires;
    }

    public void setConventionEtablissements(String conventionEtablissements) {
        this.conventionEtablissements = conventionEtablissements;
    }

    public String getConventionEtablissements() {
        return conventionEtablissements;
    }
}
