/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: offrestageemploi
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.oi;

import com.kportal.cms.objetspartages.oi.ObjetMail;
import com.ksup.objetspartages.om.Offresstagesemplois;
import com.univ.objetspartages.om.FicheUniv;

/**
 * Classe renvoyant le nom et l'adresse mail du responsable de l'offre d'emploi et de stage.
 *
 * @author yacouba.kone
 *
 */
public class ResponsableOffreMail implements ObjetMail {

    /**
     * Renvoie le nom du responsable de l'offre d'emploi et de stage à qui on envoie l'email.
     *
     * @return the nom responsable
     */
    @Override
    public String getLibelle(final FicheUniv ficheUniv) {
        return ((Offresstagesemplois) ficheUniv).getResponsable();
    }

    /**
     * Renvoie l'email du responsable de l'offre d'emploi et de stage à qui on écrit.
     *
     * @return the mailto
     */
    @Override
    public String getAdresse(final FicheUniv ficheUniv) {
        // TODO Auto-generated method stub
        return ((Offresstagesemplois) ficheUniv).getEmailResponsable();
    }
}
