/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.query;

import java.util.Map;

import org.apache.tiles.Attribute;
import org.apache.tiles.AttributeContext;
import org.apache.tiles.request.Request;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.kosmos.offreformation.util.OffreFormationUtil;
import com.kosmos.search.query.bean.SearchResultDoc;
import com.kosmos.search.query.view.preparer.DefaultExtensionViewPreparer;
import com.ksup.objetspartages.om.Formation;
import com.univ.utils.AbstractRequeteur;

/**
 * Created by christopher.machicoane-hurtaud on 16/05/17.
 */
public class FormationResultViewPreparer extends DefaultExtensionViewPreparer {

    private static final Logger LOG = LoggerFactory.getLogger(FormationResultViewPreparer.class);


    @Override
    public String getIdExtension() {
        return OffreFormationUtil.ID_EXTENSION;
    }

    @Override
    public void execute(final Request tilesContext, final AttributeContext attributeContext) {
        super.execute(tilesContext, attributeContext);
        if (attributeContext.getAttribute("resultModel") != null) {
            SearchResultDoc searchResultDoc = (SearchResultDoc) attributeContext.getAttribute("resultModel").getValue();
            Map<String, Object> source = searchResultDoc.getSource();
            Map<String, Object> fiche = (Map<String, Object>) source.get("fiche");
            if (fiche.containsKey("formation")) {
                Map<String, Object> formation = (Map<String, Object>) fiche.get("formation");
                attributeContext.putAttribute("id_fiche", new Attribute(formation.get("id")));
                // On récupère l'information pour savoir s'il faut ou non afficher le bouton
                if(localFiche != null) {
                    attributeContext.putAttribute("hasChooseMyProgram", new Attribute(AbstractRequeteur.getBooleanValue(((Formation) localFiche).getActiverConstruireParcours())));
                }
            }
        }
    }
}
