/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: annuairesup
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.query;

import org.elasticsearch.search.aggregations.AbstractAggregationBuilder;
import org.elasticsearch.search.aggregations.AggregationBuilder;
import org.elasticsearch.search.aggregations.AggregationBuilders;
import org.elasticsearch.search.aggregations.bucket.terms.TermsBuilder;

import com.kosmos.search.query.builder.request.SearchAggregationTermBuilder;
import com.kosmos.search.query.configuration.SearchAggregationTermConfiguration;

/**
 * Created by camille.lebugle on 06/04/17.
 */
public class SearchAggregationStructureBuilder extends SearchAggregationTermBuilder {

    public SearchAggregationStructureBuilder() {
        super();
    }

    @Override
    public AbstractAggregationBuilder build(final SearchAggregationTermConfiguration configuration) {
        TermsBuilder termsBuilder = (TermsBuilder) super.build(configuration);
        AggregationBuilder subAgg = AggregationBuilders.terms("structureCode").field("fiche.codeRattachement.fiche_value.code");
        termsBuilder.subAggregation(subAgg);
        return termsBuilder;
    }
}
