/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.reference;

import java.util.Arrays;

import com.kosmos.usinesite.reference.DelimitationPattern;
import com.kosmos.usinesite.reference.impl.AnnuaireModeleReference;
import com.kportal.cms.objetspartages.Objetpartage;
import com.ksup.objetspartages.om.Formation;
import com.ksup.objetspartages.om.Ueup;
import com.univ.objetspartages.om.ReferentielObjets;

/**
 * Mise à jour des champs : - CODE_RESPONSABLES sur FORMATION et UEUP - CODE_RESPONSABLES_SCOLARITE sur FORMATION - CODE_RESPONSABLES_REPRISE_ETUDES sur FORMATION
 * */
public class AnnuairesupReference extends AnnuaireModeleReference {

    @Override
    public void init() {
        super.init();
        Objetpartage formation = ReferentielObjets.getObjetByCode(ReferentielObjets.getCodeObjetParClasse(Formation.class.getName()));
        if (formation != null) {
            // "code_responsables":"1174298204726,0,YHE5QS8C;1174297861886;..."
            addModulesBySearchStringsForCode("\"code_responsables_fiche\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", ";?" + DelimitationPattern.COMMA_SEMICOLON_DELIMITER, Arrays.asList(formation.getId()));
        }
        Objetpartage ueup = ReferentielObjets.getObjetByCode(ReferentielObjets.getCodeObjetParClasse(Ueup.class.getName()));
        if (ueup != null) {
            // "code_responsables":"1174298204726,0,YHE5QS8C;1174297861886;..."
            addModulesBySearchStringsForCode("\"code_responsables\":\"" + DelimitationPattern.QUOTE_DELIMITER + "?\"", ";?" + DelimitationPattern.COMMA_SEMICOLON_DELIMITER, Arrays.asList(ueup.getId()));
        }
    }
}
