/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.reference;

import java.util.ArrayList;
import java.util.Arrays;

import com.kosmos.usinesite.reference.DelimitationPattern;
import com.kosmos.usinesite.reference.impl.DefaultModuleReference;
import com.kportal.cms.objetspartages.Objetpartage;
import com.ksup.objetspartages.om.Cours;
import com.ksup.objetspartages.om.Ueup;
import com.univ.objetspartages.om.ReferentielObjets;

/**
 * Mise à jour des champs : - CODE_COURS sur UEUP
 *
 */
public class CoursReference extends DefaultModuleReference {

    @Override
    public void init() {
        Objetpartage cours = ReferentielObjets.getObjetByCode(ReferentielObjets.getCodeObjetParClasse(Cours.class.getName()));
        if (cours != null) {
            modules = new ArrayList<>();
            modules.add(cours);
            Objetpartage ueup = ReferentielObjets.getObjetByCode(ReferentielObjets.getCodeObjetParClasse(Ueup.class.getName()));
            if (ueup != null) {
                // "code_cours":"CODE" ou "code_cours":"CODE;... ou "code_cours":"...;CODE;... ou "code_cours":"...;CODE"
                addModulesBySearchStringsForCode("\"code_cours\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", ";?" + DelimitationPattern.SEMICOLON_DELIMITER, Arrays.asList(new String[] {ueup.getId()}));
            }
        }
    }
}
