/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: etudiantetalumni
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.reference;

import java.util.ArrayList;
import java.util.Arrays;

import com.kosmos.etudiantetalumni.util.EtudiantetalumniUtil;
import com.kosmos.usinesite.reference.DelimitationPattern;
import com.kosmos.usinesite.reference.impl.DefaultModuleReference;
import com.kportal.cms.objetspartages.Objetpartage;
import com.ksup.objetspartages.om.Annuaireanciensetudiants;
import com.ksup.objetspartages.om.Annuaireetudiants;
import com.univ.objetspartages.om.ReferentielObjets;

/**
 * Mise à jour des champs : - CODE_FORMATION sur ANNUAIREETUDIANT - DIPLOMES_OBTENUS sur ANNUAIREANCIENETUDIANT
 */
public class FormationEtudiantReference extends DefaultModuleReference {

    @Override
    public void init() {
        Objetpartage module = ReferentielObjets.getObjetByNom(EtudiantetalumniUtil.NOM_OBJET_FORMATION);
        if (module != null) {
            modules = new ArrayList<>();
            modules.add(module);
            Objetpartage etudiant = ReferentielObjets.getObjetByCode(ReferentielObjets.getCodeObjetParClasse(Annuaireetudiants.class.getName()));
            if (etudiant != null) {
                // "code_formation" : "1174311424506,0,20022003;1174303313866,0,20032004"
                addModulesBySearchStringsForCode("\"code_formation\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", ";?" + DelimitationPattern.COMMA_SEMICOLON_DELIMITER, Arrays.asList(new String[] {etudiant.getId()}));
            }
            Objetpartage ancienEtudiant = ReferentielObjets.getObjetByCode(ReferentielObjets.getCodeObjetParClasse(Annuaireanciensetudiants.class.getName()));
            if (ancienEtudiant != null) {
                // "diplomes_obtenus" : "1174311424506,0,20032004"
                addModulesBySearchStringsForCode("\"diplomes_obtenus\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", ";?" + DelimitationPattern.COMMA_SEMICOLON_DELIMITER, Arrays.asList(new String[] {ancienEtudiant.getId()}));
            }
        }
    }
}