/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.reference;

import java.util.ArrayList;
import java.util.Arrays;

import com.kosmos.usinesite.reference.DelimitationPattern;
import com.kosmos.usinesite.reference.impl.DefaultModuleReference;
import com.kportal.cms.objetspartages.Objetpartage;
import com.ksup.objetspartages.om.Formation;
import com.univ.objetspartages.om.ReferentielObjets;

/**
 * Mise à jour des champs : - CODE_FORMATION sur PARCOURS - CODE_FORMATIONS_REQUISES sur FORMATION - CODE_FORMATION_MERE sur FORMATION
 */
public class FormationReference extends DefaultModuleReference {

    @Override
    public void init() {
        Objetpartage module = ReferentielObjets.getObjetByCode(ReferentielObjets.getCodeObjetParClasse(Formation.class.getName()));
        if (module != null) {
            modules = new ArrayList<>();
            modules.add(module);
            // "code_formations_requises":"CODE" ou "code_formations_requises":"CODE;... ou "code_formations_requises":"...;CODE;... ou "code_formations_requises":"...;CODE"
            addModulesBySearchStringsForCode("\"formations_liees\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", ";?" + DelimitationPattern.SEMICOLON_DELIMITER, Arrays.asList(new String[] {module.getId()}));
            // "code_formation_mere":"CODE"
            addModulesBySearchStringForCode("\"code_formation_mere\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", Arrays.asList(new String[] {module.getId()}));
            addModulesBySearchStringsForCode("\"formation_poursuite\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", ";?" + DelimitationPattern.SEMICOLON_DELIMITER, Arrays.asList(new String[] {module.getId()}));
        }
    }
}
