/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ofin
 * Version: 2.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.reference;

import java.util.ArrayList;
import java.util.Arrays;

import com.kosmos.usinesite.reference.DelimitationPattern;
import com.kosmos.usinesite.reference.impl.DefaultModuleReference;
import com.kportal.cms.objetspartages.Objetpartage;
import com.ksup.objetspartages.om.Formation;
import com.ksup.objetspartages.om.Parcours;
import com.univ.objetspartages.om.ReferentielObjets;

/**
 * Created by alexandre.baillif on 15/02/17.
 */
public class ParcoursReference extends DefaultModuleReference {

    @Override
    public void init() {
        Objetpartage parcours = ReferentielObjets.getObjetByCode(ReferentielObjets.getCodeObjetParClasse(Parcours.class.getName()));
        if (parcours != null) {
            modules = new ArrayList<>();
            modules.add(parcours);
            // "code_ueups_requises":"CODE" ou "code_ueups_requises":"CODE;... ou "code_ueups_requises":"...;CODE;... ou "code_ueups_requises":"...;CODE"
            addModulesBySearchStringsForCode("\"parcours_amont\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", ";?" + DelimitationPattern.SEMICOLON_DELIMITER, Arrays.asList(new String[] {parcours.getId()}));
            // "code_ueup_fils":"CODE" ou "code_ueup_fils":"CODE;... ou "code_ueup_fils":"...;CODE;... ou "code_ueup_fils":"...;CODE"
            addModulesBySearchStringsForCode("\"parcours_aval\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", ";?" + DelimitationPattern.SEMICOLON_DELIMITER, Arrays.asList(new String[] {parcours.getId()}));
            Objetpartage formation = ReferentielObjets.getObjetByCode(ReferentielObjets.getCodeObjetParClasse(Formation.class.getName()));
            if (formation != null) {
                // "code_ueups_requises":"CODE" ou "code_ueups_requises":"CODE;... ou "code_ueups_requises":"...;CODE;... ou "code_ueups_requises":"...;CODE"
                addModulesBySearchStringsForCode("\"code_ueups_requises\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", ";?" + DelimitationPattern.SEMICOLON_DELIMITER, Arrays.asList(new String[] {formation.getId()}));
            }
        }
    }
}
