/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: rechercheetlabo
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.reference;

import java.util.Arrays;

import com.kosmos.usinesite.reference.DelimitationPattern;
import com.kosmos.usinesite.reference.impl.AnnuaireModeleReference;
import com.kportal.cms.objetspartages.Objetpartage;
import com.ksup.objetspartages.om.Laboratoire;
import com.univ.objetspartages.om.ReferentielObjets;

/**
 * Mise à jour des champs :
 * - CODE_RESPONSABLE sur LABORATOIRE
 * */
public class ResponsableLaboReference extends AnnuaireModeleReference {

    @Override
    public void init() {
        super.init();
        Objetpartage labo = ReferentielObjets.getObjetByCode(ReferentielObjets.getCodeObjetParClasse(Laboratoire.class.getName()));
        if (labo != null) {
            // "code_responsable":"1174298204726,0,YHE5QS8C;..."
            addModulesBySearchStringsForCode("\"code_responsable\":\"" + DelimitationPattern.QUOTE_DELIMITER + "\"", ";?" + DelimitationPattern.COMMA_SEMICOLON_DELIMITER, Arrays.asList(new String[] {labo.getId()}));
        }
    }
}
