/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: etudiantetalumni
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.service;

import org.apache.commons.lang3.StringUtils;

import com.jsbsoft.jtf.core.CodeLibelle;
import com.jsbsoft.jtf.core.LangueUtil;
import com.kosmos.etudiantetalumni.util.EtudiantetalumniUtil;
import com.kosmos.service.impl.ServiceFiche;
import com.ksup.objetspartages.bean.AnnuaireanciensetudiantsBean;
import com.ksup.objetspartages.dao.impl.AnnuaireAnciensEtudiantsDAO;
import com.univ.objetspartages.view.model.FicheDefaultViewModel;
import com.univ.utils.FicheUnivMgr;

/**
 * Created on 28/09/17.
 */
public class ServiceAnnuaireAnciensEtudiants extends ServiceFiche<AnnuaireanciensetudiantsBean, AnnuaireAnciensEtudiantsDAO, FicheDefaultViewModel> {

    @Override
    public String getLibelleAffichable(AnnuaireanciensetudiantsBean bean) {
        return EtudiantetalumniUtil.getLibelleAffichableEtudiant(bean.getNom(), bean.getPrenom(), getLibelleCivilite(bean), true);
    }

    public String getLibelleSansFallback(AnnuaireanciensetudiantsBean bean) {
        return EtudiantetalumniUtil.getLibelleAffichableEtudiant(bean.getNom(), bean.getPrenom(), getLibelleCivilite(bean), false);
    }

    /**
     * Renvoie le libelle pour l'attribut civilite.
     */
    public String getLibelleCivilite(AnnuaireanciensetudiantsBean bean) {
        return CodeLibelle.lireLibelle(EtudiantetalumniUtil.ID_EXTENSION, "civilite", LangueUtil.getLocale(Integer.parseInt(bean.getLangue())), bean.getCivilite());
    }

    @Override
    public String getReferences(AnnuaireanciensetudiantsBean bean){
        String res = StringUtils.defaultString(bean.getContact());
        res += StringUtils.defaultString(bean.getCv());
        res += StringUtils.defaultString(bean.getComplements());
        res += FicheUnivMgr.getReferenceParJointure("structure", bean.getCodeRattachement());
        return res;
    }
}
