/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: etudiantetalumni
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.service;

import org.apache.commons.lang3.StringUtils;

import com.kosmos.service.impl.ServiceFiche;
import com.ksup.objetspartages.bean.AssociationetudiantBean;
import com.ksup.objetspartages.dao.impl.AssociationEtudiantDAO;
import com.univ.objetspartages.view.model.FicheDefaultViewModel;
import com.univ.utils.FicheUnivMgr;

/**
 * Created on 28/09/17.
 */
public class ServiceAssociationEtudiant extends ServiceFiche<AssociationetudiantBean, AssociationEtudiantDAO, FicheDefaultViewModel> {

    @Override
    public String getLibelleAffichable(AssociationetudiantBean bean) {
        String res;
        res = bean.getNom();
        if (res.equals(StringUtils.EMPTY)) {
            res = "-";
        }
        return res;
    }

    @Override
    public String getReferences(AssociationetudiantBean bean){
        String references = StringUtils.defaultString(bean.getActivites());
        references += StringUtils.defaultString(bean.getCompositionBureau());
        references += StringUtils.defaultString(bean.getPermanences());
        references += StringUtils.defaultString(bean.getComplements());
        references += FicheUnivMgr.getReferenceParJointure("structure", bean.getCodeRattachement());
        return references;
    }
}
