/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: annuairesup
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ksup.objetspartages.service;

import java.util.List;

import org.apache.commons.lang3.StringUtils;

import com.kosmos.service.impl.ServiceFiche;
import com.kosmos.service.impl.ServiceManager;
import com.ksup.objetspartages.bean.DefaultstructureksupBean;
import com.ksup.objetspartages.dao.impl.DefaultstructureksupDAO;
import com.univ.objetspartages.bean.MetatagBean;
import com.univ.objetspartages.om.EtatFiche;
import com.univ.objetspartages.om.ReferentielObjets;
import com.univ.objetspartages.services.ServiceMetatag;
import com.univ.objetspartages.view.model.FicheDefaultViewModel;
import com.univ.structure.service.AbstractServiceStructure;
import com.univ.utils.FicheUnivMgr;

/**
 * Created on 28/09/17.
 */
public class ServiceDefaultstructureksup extends AbstractServiceStructure<DefaultstructureksupBean, DefaultstructureksupDAO, FicheDefaultViewModel> {

    @Override
    public String getLibelleAffichable(DefaultstructureksupBean bean) {
        return StringUtils.defaultIfEmpty(bean.getLibelleLong(), "-");
    }

    @Override
    public String getReferences(DefaultstructureksupBean bean){
        String references = StringUtils.defaultString(bean.getOnglets());
        references += FicheUnivMgr.getReferenceParJointure("annuaire", bean.getCodeResponsable());
        references += StringUtils.defaultString(bean.getOrganigramme());
        references += StringUtils.defaultString(bean.getContacts());
        references += StringUtils.defaultString(bean.getActivite());
        references += StringUtils.defaultString(bean.getChiffresCles());
        references += StringUtils.defaultString(bean.getFormations());
        references += StringUtils.defaultString(bean.getRecherche());
        references += StringUtils.defaultString(bean.getPartenariats());
        references += StringUtils.defaultString(bean.getComplementCoordonnees());
        references += StringUtils.defaultString(bean.getComplements());
        references += FicheUnivMgr.getReferenceParJointure("structure", bean.getCodeRattachement());
        return references;
    }

    @Override
    public boolean isContentVisible(DefaultstructureksupBean bean) {
        ServiceMetatag serviceMetatag = ServiceManager.getServiceForBean(MetatagBean.class);
        MetatagBean metatagBean = serviceMetatag.getByCodeAndIdFiche(ReferentielObjets.getCodeObjetParClasseBean(bean.getClass()), bean.getId());
        return !"0".equals(metatagBean.getMetaInTree());
    }

    @Override
    public List<DefaultstructureksupBean> getByCodeRattachementAndState(String parentStructureCode, final EtatFiche etatFiche) {
        return dao.getByCodeRattachementAndState(parentStructureCode, etatFiche);
    }

    @Override
    protected Class<DefaultstructureksupBean> getBeanClass() {
        return DefaultstructureksupBean.class;
    }

    @Override
    public DefaultstructureksupBean getByCodeAndState(final String code, final EtatFiche etatFiche) {
        return dao.getByCodeAndState(code, etatFiche);
    }

}
