/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: ged
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.objetspartages.bean;

import java.util.Date;

import org.apache.commons.lang3.StringUtils;

import com.kportal.cms.objetspartages.annotation.Aggregation;
import com.kportal.cms.objetspartages.annotation.Autocompletion;
import com.kportal.cms.objetspartages.annotation.GetterAnnotation;
import com.kportal.cms.objetspartages.annotation.Label;
import com.kportal.cms.objetspartages.annotation.SetterAnnotation;
// TODO: Auto-generated Javadoc

/**
 * Classe d'acces aux donnees pour document.
 */
public class DocumentBean extends AbstractRestrictionFicheBean {

    /**
     *
     */
    private static final long serialVersionUID = -6027626543832306544L;

    /** The titre. */
    @Autocompletion(name = "titre_completion")
    protected String titre = StringUtils.EMPTY;

    /** The sous titre. */
    protected String sousTitre = StringUtils.EMPTY;

    /** The resume. */
    protected String resume = StringUtils.EMPTY;

    /** The date creation document. */
    protected Date dateCreationDocument = null;

    /** The type document. */
    @Label(contexte = "ged", type = "40")
    protected String typeDocument = StringUtils.EMPTY;

    /** The source support. */
    protected String sourceSupport = StringUtils.EMPTY;

    /** The auteurs. */
    protected String auteurs = StringUtils.EMPTY;

    /** The editeur. */
    protected String editeur = StringUtils.EMPTY;

    /** The description. */
    protected String description = StringUtils.EMPTY;

    /** The references isdn. */
    protected String referencesIsdn = StringUtils.EMPTY;

    /** The date parution document. */
    protected Date dateParutionDocument = null;

    /** The date derniere maj document. */
    protected Date dateDerniereMajDocument = null;

    /** The date archivage document. */
    protected Date dateArchivageDocument = null;

    /** The prochaine maj periodicite. */
    protected String prochaineMajPeriodicite = StringUtils.EMPTY;

    /** The theme. */
    protected String theme = StringUtils.EMPTY;

    /** The thematique. */
    @Label(type = "04")
    @Aggregation(name = "thematique")
    protected String thematique = StringUtils.EMPTY;

    /** The comite selection. */
    protected String comiteSelection = StringUtils.EMPTY;

    /** The complements. */
    protected String complements = StringUtils.EMPTY;

    /**
     * Gets the auteurs.
     *
     * @return the auteurs
     */
    @GetterAnnotation(isToolbox = true)
    public String getAuteurs() {
        return auteurs;
    }

    /**
     * Sets the auteurs.
     *
     * @param auteurs
     *            the auteurs to set
     */
    @SetterAnnotation(isToolbox = true)
    public void setAuteurs(String auteurs) {
        this.auteurs = auteurs;
    }
    
    /**
     * Gets the comite selection.
     *
     * @return the comiteSelection
     */
    public String getComiteSelection() {
        return comiteSelection;
    }

    /**
     * Sets the comite selection.
     *
     * @param comiteSelection
     *            the comiteSelection to set
     */
    public void setComiteSelection(String comiteSelection) {
        this.comiteSelection = comiteSelection;
    }

    /**
     * Gets the complements.
     *
     * @return the complements
     */
    @GetterAnnotation(isToolbox = true)
    public String getComplements() {
        return complements;
    }

    /**
     * Sets the complements.
     *
     * @param complements
     *            the complements to set
     */
    @SetterAnnotation(isToolbox = true)
    public void setComplements(String complements) {
        this.complements = complements;
    }
    
    /**
     * Gets the date archivage document.
     *
     * @return the dateArchivageDocument
     */
    public Date getDateArchivageDocument() {
        return dateArchivageDocument;
    }

    /**
     * Sets the date archivage document.
     *
     * @param dateArchivageDocument
     *            the dateArchivageDocument to set
     */
    public void setDateArchivageDocument(Date dateArchivageDocument) {
        this.dateArchivageDocument = dateArchivageDocument;
    }
    
    /**
     * Gets the date creation document.
     *
     * @return the dateCreationDocument
     */
    public Date getDateCreationDocument() {
        return dateCreationDocument;
    }

    /**
     * Sets the date creation document.
     *
     * @param dateCreationDocument
     *            the dateCreationDocument to set
     */
    public void setDateCreationDocument(Date dateCreationDocument) {
        this.dateCreationDocument = dateCreationDocument;
    }

    /**
     * Gets the date derniere maj document.
     *
     * @return the dateDerniereMajDocument
     */
    public Date getDateDerniereMajDocument() {
        return dateDerniereMajDocument;
    }

    /**
     * Sets the date derniere maj document.
     *
     * @param dateDerniereMajDocument
     *            the dateDerniereMajDocument to set
     */
    public void setDateDerniereMajDocument(Date dateDerniereMajDocument) {
        this.dateDerniereMajDocument = dateDerniereMajDocument;
    }

    /**
     * Gets the date parution document.
     *
     * @return the dateParutionDocument
     */
    public Date getDateParutionDocument() {
        return dateParutionDocument;
    }

    /**
     * Sets the date parution document.
     *
     * @param dateParutionDocument
     *            the dateParutionDocument to set
     */
    public void setDateParutionDocument(Date dateParutionDocument) {
        this.dateParutionDocument = dateParutionDocument;
    }

    /**
     * Gets the description.
     *
     * @return the description
     */
    @GetterAnnotation(isToolbox = true)
    public String getDescription() {
        return description;
    }

    /**
     * Sets the description.
     *
     * @param description
     *            the description to set
     */
    @SetterAnnotation(isToolbox = true)
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * Gets the editeur.
     *
     * @return the editeur
     */
    public String getEditeur() {
        return editeur;
    }

    /**
     * Sets the editeur.
     *
     * @param editeur
     *            the editeur to set
     */
    public void setEditeur(String editeur) {
        this.editeur = editeur;
    }

    /**
     * Gets the prochaine maj periodicite.
     *
     * @return the prochaineMajPeriodicite
     */
    public String getProchaineMajPeriodicite() {
        return prochaineMajPeriodicite;
    }

    /**
     * Sets the prochaine maj periodicite.
     *
     * @param prochaineMajPeriodicite
     *            the prochaineMajPeriodicite to set
     */
    public void setProchaineMajPeriodicite(String prochaineMajPeriodicite) {
        this.prochaineMajPeriodicite = prochaineMajPeriodicite;
    }

    /**
     * Gets the references isdn.
     *
     * @return the referencesIsdn
     */
    public String getReferencesIsdn() {
        return referencesIsdn;
    }

    /**
     * Sets the references isdn.
     *
     * @param referencesIsdn
     *            the referencesIsdn to set
     */
    public void setReferencesIsdn(String referencesIsdn) {
        this.referencesIsdn = referencesIsdn;
    }

    /**
     * Gets the resume.
     *
     * @return the resume
     */
    public String getResume() {
        return resume;
    }

    /**
     * Sets the resume.
     *
     * @param resume
     *            the resume to set
     */
    public void setResume(String resume) {
        this.resume = resume;
    }

    /**
     * Gets the source support.
     *
     * @return the sourceSupport
     */
    public String getSourceSupport() {
        return sourceSupport;
    }

    /**
     * Sets the source support.
     *
     * @param sourceSupport
     *            the sourceSupport to set
     */
    public void setSourceSupport(String sourceSupport) {
        this.sourceSupport = sourceSupport;
    }

    /**
     * Gets the sous titre.
     *
     * @return the sousTitre
     */
    public String getSousTitre() {
        return sousTitre;
    }

    /**
     * Sets the sous titre.
     *
     * @param sousTitre
     *            the sousTitre to set
     */
    public void setSousTitre(String sousTitre) {
        this.sousTitre = sousTitre;
    }

    /**
     * Gets the thematique.
     *
     * @return the thematique
     */
    public String getThematique() {
        return thematique;
    }

    /**
     * Sets the thematique.
     *
     * @param thematique
     *            the thematique to set
     */
    public void setThematique(String thematique) {
        this.thematique = thematique;
    }

    /**
     * Gets the theme.
     *
     * @return the theme
     */
    public String getTheme() {
        return theme;
    }

    /**
     * Sets the theme.
     *
     * @param theme
     *            the theme to set
     */
    public void setTheme(String theme) {
        this.theme = theme;
    }

    /**
     * Gets the type document.
     *
     * @return the typeDocument
     */
    public String getTypeDocument() {
        return typeDocument;
    }

    /**
     * Sets the type document.
     *
     * @param typeDocument
     *            the typeDocument to set
     */
    public void setTypeDocument(String typeDocument) {
        this.typeDocument = typeDocument;
    }
}
