/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: cataloguelien
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.objetspartages.bean;

import java.io.Serializable;

import com.kportal.cms.objetspartages.annotation.Aggregation;
import com.kportal.cms.objetspartages.annotation.GetterAnnotation;
import com.kportal.cms.objetspartages.annotation.Label;
import com.kportal.cms.objetspartages.annotation.SetterAnnotation;

public class LienBean extends AbstractRestrictionFicheBean implements Serializable {

    private static final long serialVersionUID = 3615635575721149639L;

    /** The url. */
    private String url = null;

    /** The thematique. */
    @Label(type = "04")
    @Aggregation(name = "thematique")
    private String thematique = null;

    /** The type. */
    @Label(contexte = "cataloguelien", type = "70")
    private String type = null;

    /** The categorie. */
    @Label(contexte = "cataloguelien", type = "71")
    private String categorie = null;

    /** The resume. */
    private String resume = null;

    /** The description. */
    private String description = null;

    /** The auteurediteur. */
    private String auteurediteur = null;

    /** The nomresponsable. */
    private String nomresponsable = null;

    /** The emailresponsable. */
    private String emailresponsable = null;

    /** The ficheLienAccessible. */
    private String ficheLienAccessible;

    /**
     * Sets the url.
     *
     * @param url
     *            the new url
     */
    public void setUrl(String url) {
        this.url = url;
    }

    /**
     * Sets the thematique.
     *
     * @param thematique
     *            the new thematique
     */
    public void setThematique(String thematique) {
        this.thematique = thematique;
    }

    /**
     * Sets the type.
     *
     * @param type
     *            the new type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * Sets the categorie.
     *
     * @param categorie
     *            the new categorie
     */
    public void setCategorie(String categorie) {
        this.categorie = categorie;
    }

    /**
     * Sets the resume.
     *
     * @param resume
     *            the new resume
     */
    public void setResume(String resume) {
        this.resume = resume;
    }

    /**
     * Sets the description.
     *
     * @param description
     *            the new description
     */
    @SetterAnnotation(isToolbox = true)
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * Sets the auteurediteur.
     *
     * @param auteurediteur
     *            the new auteurediteur
     */
    public void setAuteurediteur(String auteurediteur) {
        this.auteurediteur = auteurediteur;
    }

    /**
     * Sets the nomresponsable.
     *
     * @param nomresponsable
     *            the new nomresponsable
     */
    public void setNomresponsable(String nomresponsable) {
        this.nomresponsable = nomresponsable;
    }

    /**
     * Sets the emailresponsable.
     *
     * @param emailresponsable
     *            the new emailresponsable
     */
    public void setEmailresponsable(String emailresponsable) {
        this.emailresponsable = emailresponsable;
    }

    /**
     * Gets the url.
     *
     * @return the url
     */
    public String getUrl() {
        return url;
    }

    /**
     * Gets the thematique.
     *
     * @return the thematique
     */
    public String getThematique() {
        return thematique;
    }

    /**
     * Gets the type.
     *
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * Gets the categorie.
     *
     * @return the categorie
     */
    public String getCategorie() {
        return categorie;
    }

    /**
     * Gets the resume.
     *
     * @return the resume
     */
    public String getResume() {
        return resume;
    }

    /**
     * Gets the description.
     *
     * @return the description
     */
    @GetterAnnotation(isToolbox = true)
    public String getDescription() {
        return description;
    }

    /**
     * Gets the auteurediteur.
     *
     * @return the auteurediteur
     */
    public String getAuteurediteur() {
        return auteurediteur;
    }

    /**
     * Gets the nomresponsable.
     *
     * @return the nomresponsable
     */
    public String getNomresponsable() {
        return nomresponsable;
    }

    /**
     * Gets the emailresponsable.
     *
     * @return the emailresponsable
     */
    public String getEmailresponsable() {
        return emailresponsable;
    }

    /**
     * Gets the ficheLienAccessible.
     *
     * @return the ficheLienAccessible
     */
    public String getFicheLienAccessible() {
        return ficheLienAccessible;
    }

    /**
     * Sets the ficheLienAccessible.
     *
     * @param ficheLienAccessible
     *              the new ficheLienAccessible
     */
    public void setFicheLienAccessible(final String ficheLienAccessible) {
        this.ficheLienAccessible = ficheLienAccessible;
    }
}
