/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: cataloguelien
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.objetspartages.service;

import org.apache.commons.lang3.StringUtils;

import com.kosmos.service.ServiceContentRedirect;
import com.kosmos.service.impl.ServiceFiche;
import com.univ.objetspartages.bean.LienBean;
import com.univ.objetspartages.dao.impl.LienDAO;
import com.univ.objetspartages.view.model.FicheDefaultViewModel;
import com.univ.utils.FicheUnivMgr;

/**
 * Created on 04/10/17.
 */
public class ServiceLien extends ServiceFiche<LienBean, LienDAO, FicheDefaultViewModel> implements ServiceContentRedirect<LienBean> {

    @Override
    public String getReferences(LienBean bean){
        return StringUtils.defaultString(bean.getDescription()) + FicheUnivMgr.getReferenceParJointure("structure", bean.getCodeRattachement());
    }

    @Override
    public String getUrlRedirect(LienBean lienBean) {
        if(("0").equals(lienBean.getFicheLienAccessible())) {
            return lienBean.getUrl();
        }else{
            return StringUtils.EMPTY;
        }
    }

    @Override
    public boolean isContentVisible(LienBean bean) {
        return false;
    }
}
