/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: actualite
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.objetspartages.view.model;

import com.univ.objetspartages.bean.MediaBean;

public class ActualiteViewModel extends FicheDefaultViewModel {

    /**
     * Date de l'article au format {@link java.text.DateFormat#LONG}.
     */
    private String date;

    /**
     * Photo de l'actualité.
     */
    private MediaBean photo;

    /**
     * Constructeur par défaut.
     * @param nomObjet le nom de l'objet associé à la fiche
     * @param titre le titre de la fiche
     * @param url l'URL de la fiche
     */
    public ActualiteViewModel(final String nomObjet, final String titre, final String url) {
        super(nomObjet, titre, url);
    }

    public String getDate() {
        return date;
    }

    public void setDate(final String date) {
        this.date = date;
    }

    public MediaBean getPhoto() {
        return photo;
    }

    public void setPhoto(final MediaBean photo) {
        this.photo = photo;
    }
}
