/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * Created on 17 mars 2004
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package com.univ.pws;

import java.io.IOException;
import java.io.OutputStream;
import java.util.StringTokenizer;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.codec.binary.Base64;
import org.apache.commons.lang3.CharEncoding;
import org.apache.xmlrpc.XmlRpcServer;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class SynchroXmlRpcServlet {

    public final static String URL_PROPERTY = "synchro_xml_rpc.mapping";

    private transient XmlRpcServer rpcServer;

    public SynchroXmlRpcServlet() {
        // création du serveur xmlrpc avec le handler
        rpcServer = new XmlRpcServer();
        rpcServer.addHandler("ExportFicheHandler", new ExportFicheHandler());
    }

    @RequestMapping("${" + URL_PROPERTY + ":/servlet/com.univ.pws.SynchroXmlRpcServlet}")
    public void service(final HttpServletRequest req, final HttpServletResponse res) throws IOException {
        final String auth = req.getHeader("Authorization");
        // Recupère le nom d'utilisateur et mot de passe encodés
        final String userPassEncoded = auth.substring(6);
        // Decode les données
        final String userPassDecoded = new String(Base64.decodeBase64(userPassEncoded));
        // Separe le nom d'utilisateur et mot de passe
        final StringTokenizer userAndPass = new StringTokenizer(userPassDecoded, ":");
        final String user = userAndPass.nextToken();
        final String password = userAndPass.nextToken();
        // exécution de la requete xmlrpc
        final byte[] result = rpcServer.execute(req.getInputStream(), user, password);
        // on force l'export en iso pour la compatibilité
        res.setContentType("text/xml; charset=" + CharEncoding.ISO_8859_1);
        res.setContentLength(result.length);
        final OutputStream output = res.getOutputStream();
        output.write(result);
        output.flush();
    }
}
