/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.pws.om;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.kportal.extension.module.plugin.objetspartages.om.PluginBean;
import com.univ.objetspartages.om.FicheUniv;

/**
 * Regroupe une fiche univ et toutes les ressources (et leurs medias respectifs)
 * associés à cette fiche
 *
 * @author alexandre.garbe
 *
 */
public class FicheUnivImport {

    /**
     * Une collection des ressources (et leurs médias) associés à la fiche
     */
    private final List<RessourceEtMediaAssocie> ressourcesEtMediasAssocies = new ArrayList<RessourceEtMediaAssocie>();

    private final List<PluginBean> objetsPluginContenu = new ArrayList<>();

    /**
     * La fiche univ
     */
    private FicheUniv ficheUniv;

    private String mediathequeDistantePath = "";

    private Date dateSuppression;

    public Date getDateSuppression() {
        return dateSuppression;
    }

    public void setDateSuppression(Date dateSuppression) {
        this.dateSuppression = dateSuppression;
    }

    /**
     * @return the ficheUniv
     */
    public FicheUniv getFicheUniv() {
        return ficheUniv;
    }

    /**
     * @param ficheUniv
     *            the ficheUniv to set
     */
    public void setFicheUniv(FicheUniv ficheUniv) {
        this.ficheUniv = ficheUniv;
    }

    /**
     * @return the ressourcesEtMediasAssocies
     */
    public List<RessourceEtMediaAssocie> getRessourcesEtMediasAssocies() {
        return ressourcesEtMediasAssocies;
    }

    /**
     * @return the mediathequeDistantePath
     */
    public String getMediathequeDistantePath() {
        return mediathequeDistantePath;
    }

    /**
     * @param mediathequeDistantePath
     *            the mediathequeDistantePath to set
     */
    public void setMediathequeDistantePath(String mediathequeDistantePath) {
        this.mediathequeDistantePath = mediathequeDistantePath;
    }

    public List<PluginBean> getPlugins() {
        return objetsPluginContenu;
    }
}
