/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.pws.om;

import org.apache.commons.lang3.StringUtils;

import com.univ.objetspartages.bean.MediaBean;
import com.univ.objetspartages.bean.RessourceBean;

/**
 * Représente une ressource et son média associé
 *
 * @author alexandre.garbe
 *
 */
public class RessourceEtMediaAssocie {

    /**
     * La ressource
     */
    private RessourceBean ressource;

    /**
     * Le média associé a la ressource
     */
    private MediaBean media;

    /**
     * @return the ressource
     */
    public RessourceBean getRessource() {
        return ressource;
    }

    /**
     * @param ressource the ressource to set
     */
    public void setRessource(RessourceBean ressource) {
        this.ressource = ressource;
    }

    /**
     * @return the media
     */
    public MediaBean getMedia() {
        return media;
    }

    /**
     * @param media
     *            the media to set
     */
    public void setMedia(MediaBean media) {
        this.media = media;
    }

    public void updateRessourceIdMedia(Long idMedia) {
        ressource.setIdMedia(idMedia);
    }

    public void updateRessourceCodeParent(Long idFiche) {
        String newCodeParent = idFiche + StringUtils.removeStart(ressource.getCodeParent(), StringUtils.substringBefore(ressource.getCodeParent(), ","));
        ressource.setCodeParent(newCodeParent);
    }
}
