/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.pws.om;

import java.io.File;
import java.util.Hashtable;

import com.jsbsoft.jtf.database.OMContext;
import com.univ.pws.processus.SaisieSynchronisation;
import com.univ.pws.sgbd.SynchronisationDB;

public class Synchronisation extends SynchronisationDB {

    public static final int ETAT_EN_COURS = 1;

    public static final int ETAT_ATTENTE = 0;

    private File fichierSynchro = null;

    public Synchronisation() {
        super();
    }

    public static Hashtable<Long, String> getListe(OMContext _ctx) throws Exception {
        Synchronisation synchronisation = new Synchronisation();
        synchronisation.setCtx(_ctx);
        Hashtable<Long, String> h = new Hashtable<Long, String>();
        if (synchronisation.select("") > 0) {
            while (synchronisation.nextItem()) {
                h.put(synchronisation.getIdSynchronisation(), synchronisation.getLibelle());
            }
        }
        return h;
    }

    /**
     * @return Returns the fichierSynchro.
     */
    public File getFichierSynchro() {
        return fichierSynchro;
    }

    /**
     * @param fichierSynchro
     *            The fichierSynchro to set.
     */
    public void setFichierSynchro(File fichierSynchro) {
        this.fichierSynchro = fichierSynchro;
    }

    public void init() {
        setIdSynchronisation(new Long(System.currentTimeMillis()));
        setLibelle("");
        setRequete("OBJET=");
        setSource("");
        setIndicateurBatch("");
        setIndicateurSynchrosAutres("");
        setEtat(0);
    }

    public SourceSynchronisation getSourceSynchronisation() {
        return (SourceSynchronisation) SaisieSynchronisation.getLstSource().get(getSource());
    }
}
