/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.synchro;

import java.util.Vector;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
// TODO: Auto-generated Javadoc

/**
 * The Class SynchroXmlRpcClient.
 *
 * @author sanka
 *
 *         To change the template for this generated type comment go to Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class XmlRpcClient extends Thread {

    private static final Logger LOG = LoggerFactory.getLogger(XmlRpcClient.class);

    /**
     * The usage.
     */
    private static String usage = "SynchroXmlRpcClient --host=<remote host name> --user=<remote user> --password=<remote password> --request=<request to execute> --redacteur=<local user>";

    /**
     * The host name.
     */
    private static String hostName = null;

    /**
     * The redacteur.
     */
    private static String redacteur = null;

    /**
     * The user.
     */
    private static String user = null;

    /** The password. */
    private static String password = null;

    /** The requete. */
    private static String requete = null;

    /**
     * The main method.
     *
     * @param args the arguments
     */
    public static void main(final String[] args) {
        for (final String arg : args) {
            if ((hostName == null) && (arg.startsWith("--host="))) {
                hostName = arg.substring(7);
            } else if ((user == null) && (arg.startsWith("--user="))) {
                user = arg.substring(7);
            } else if ((password == null) && (arg.startsWith("--password="))) {
                password = arg.substring(11);
            } else if ((requete == null) && (arg.startsWith("--request="))) {
                requete = arg.substring(10);
            } else if ((redacteur == null) && (arg.startsWith("--redacteur="))) {
                redacteur = arg.substring(12);
            }
        }
        if ((hostName == null) || (user == null) || (password == null) || (requete == null) || (redacteur == null)) {
            System.out.println(usage);
            return;
        }
        final XmlRpcClient rpcClient = new XmlRpcClient();
        rpcClient.start();
    }

    /* (non-Javadoc)
     * @see java.lang.Thread#run()
     */
    @Override
    public void run() {
        try {
            //initialisation de l'import avec le rédacteur
            final KPortalImporter importer = new KPortalImporter();
            importer.setRedacteur(redacteur);
            importer.init();
            //appel procédure distante
            final Vector<Object> result = new ExportFicheHandler(hostName).execute(user, password, requete);
            //import des fiches
            importer.setListeFiches(result);
            importer.setRemoteHost(hostName);
            importer.execute();
            return;
        } catch (final Exception e) {
            LOG.error("erreur lors de l'import des fiches", e);
        }
    }
}
