/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * Created on 17 mars 2004
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package com.univ.synchro;

import java.io.IOException;
import java.io.OutputStream;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.xmlrpc.XmlRpcServer;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
// TODO: Auto-generated Javadoc

/**
 * The Class SynchroXmlRpcServlet.
 */
@Controller
public class XmlRpcServlet {

    public final static String URL_PROPERTY = "/servlet/com.univ.synchro.XmlRpcServlet";


    /** The rpc server. */
    private transient XmlRpcServer rpcServer;


    public XmlRpcServlet() {
        //création du serveur xmlrpc avec le handler
        rpcServer = new XmlRpcServer();
        rpcServer.addHandler("ExportFicheHandler", new ExportFicheHandler());
    }

    /* (non-Javadoc)
     * @see javax.servlet.http.HttpServlet#service(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    @RequestMapping("${" + URL_PROPERTY + ":/servlet/com.univ.synchro.XmlRpcServlet}")
    public void service(final HttpServletRequest req, final HttpServletResponse res) throws IOException {
        //exécution de la requete xmlrpc
        final byte[] result = rpcServer.execute(req.getInputStream());
        res.setContentType("text/xml; charset=utf-8");
        res.setContentLength(result.length);
        final OutputStream output = res.getOutputStream();
        output.write(result);
        output.flush();
    }
}
