/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * Created on 26 juil. 07
 *
 * To change the template for this generated file go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
package com.univ.xml;

import com.jsbsoft.jtf.exception.ErreurApplicative;
import com.univ.xml.exports.ExportManager;
import com.univ.xml.imports.IImporter;
import com.univ.xml.util.InfosExport;
import com.univ.xml.util.InfosImport;
// TODO: Auto-generated Javadoc

/**
 * The Interface IImportExportManager.
 */
public interface IImportExportManager {

    /**
     * Gets the export manager.
     *
     * @param codeExport
     *            the code export
     *
     * @return the export manager
     *
     * @throws ErreurApplicative
     *             the erreur applicative
     */
    public ExportManager getExportManager(String codeExport) throws ErreurApplicative;

    /**
     * Gets the import manager.
     *
     * @param codeExport
     *            the code export
     *
     * @return the import manager
     *
     * @throws ErreurApplicative
     *             the erreur applicative
     */
    public IImporter getImportManager(String codeExport) throws ErreurApplicative;

    /**
     * Gets the infos export.
     *
     * @param codeExport
     *            the code export
     *
     * @return the infos export
     *
     * @throws ErreurApplicative
     *             the erreur applicative
     */
    public InfosExport getInfosExport(String codeExport) throws ErreurApplicative;

    /**
     * Gets the infos import.
     *
     * @param codeImport
     *            the code import
     *
     * @return the infos import
     *
     * @throws ErreurApplicative
     *             the erreur applicative
     */
    public InfosImport getInfosImport(String codeImport) throws ErreurApplicative;
}
