/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.xml;

import com.univ.xml.exports.ExportXMLRPCServlet;

/**
 * Constantes pour le parametrage du module.
 *
 * @author jbiard
 */
public interface IXmlCstes {

    /** Parametre definissant la restriction sur les IPs. */
    public static final String PARAM_JTF_RESTRICTION_IPS = "xml.restriction_url.ips";

    /** Clé spécifiant l'emplacement du répertoire de configuration dans le jtf. */
    public static final String PARAM_JTF_CONF = "repertoire.configuration";

    /** Nom du fichier de configuration du module XML. */
    public static final String PARAM_JTF_FICHIER_CONF = "importexport.xml";

    /** The PARA m_ jt f_ dispositio n_ pdf. */
    public static final String PARAM_JTF_DISPOSITION_PDF = "xml.disposition.pdf";

    /** The DISPOSITIO n_ pd f_ defaut. */
    public static final String DISPOSITION_PDF_DEFAUT = "attachment; filename=";

    /** The PARA m_ jt f_ dispositio n_ csv. */
    public static final String PARAM_JTF_DISPOSITION_CSV = "xml.disposition.csv";

    /** The DISPOSITIO n_ cs v_ defaut. */
    public static final String DISPOSITION_CSV_DEFAUT = "attachment; filename=";

    /** The PARA m_ jt f_ dispositio n_ xml. */
    public static final String PARAM_JTF_DISPOSITION_XML = "xml.disposition.xml";

    /** The DISPOSITIO n_ xm l_ defaut. */
    public static final String DISPOSITION_XML_DEFAUT = "attachment; filename=";

    /** The DISPOSITIO n_ filenam e_ defaut. */
    public static final String DISPOSITION_FILENAME_DEFAUT = "export_";

    /** The COD e_ expor t_ libelle. */
    public static final String CODE_EXPORT_LIBELLE = "EXPORT_LIBELLES";

    /** The COD e_ expor t_ bo. */
    public static final String CODE_EXPORT_BO = "EXPORT_BO";

    public static final String CODE_EXPORT_FO = "EXPORT_FO";

    /** The JS p_ expor t_ libelle. */
    public static final String JSP_EXPORT_LIBELLE = "importsexports.jspexportlibelle";

    /** The JS p_ expor t_ fiche. */
    @Deprecated
    public static final String JSP_EXPORT_FICHE = "importsexports.jspexportfiche";

    /** The JS p_ expor t_ fiche. */
    public static final String JSP_EXPORT_FO = "importsexports.jspexportfo";

    /** The JS p_ expor t_ bo. */
    public static final String JSP_EXPORT_BO = "importsexports.jspexportbo";

    /** The COD e_ impor t_ bo. */
    public static final String CODE_IMPORT_BO = "IMPORT_BO";

    /** The TYP e_ impor t_ synchronise. */
    public static final String TYPE_IMPORT_SYNCHRONISE = "SYNCHRONISE";

    /** The SAXPARSER. */
    public static final String SAXPARSER = "org.apache.xerces.parsers.SAXParser";

    /** The ENTET e_ csv. */
    public static final String ENTETE_CSV = "OBJET;CODE;LANGUE;";

    /** The NO m_ ta g_ metier. */
    public static final String NOM_TAG_METIER = "METIER";

    /** The METIER. */
    public static final String METIER = "METIER";

    /** The FW. */
    public static final String FW = "FW";

    /** The OT. */
    public static final String OT = "OT";

    /** The ENTETE. */
    public static final String ENTETE = "ENTETE";

    /** The CODE. */
    public static final String CODE = "CODE";

    /** The LANGUE. */
    public static final String LANGUE = "LANGUE";

    /** The OBJET. */
    public static final String OBJET = "OBJET";

    /** The DONNEE. */
    public static final String DONNEE = "DONNEES";

    /** The LIST e_ items. */
    public static final String LISTE_ITEMS = "LISTE_ITEMS";

    /** The ITEM. */
    public static final String ITEM = "ITEM";

    /** The COD e_ serialisatio n_ xml. */
    public static final String CODE_SERIALISATION_XML = "XML";

    /** The COD e_ export. */
    public static final String CODE_EXPORT = "CODE_EXPORT";

    /** The COD e_ import. */
    public static final String CODE_IMPORT = "CODE_IMPORT";

    /** The ACTIO n_ exporter. */
    public static final String ACTION_EXPORTER = "EXPORTER";

    /** The ACTIO n_ importer. */
    public static final String ACTION_IMPORTER = "IMPORTER";

    /** The ECRA n_ export. */
    public static final String ECRAN_EXPORT = "SAISIE_EXPORT";

    /** The ECRA n_ impor t_ upload. */
    public static final String ECRAN_IMPORT_UPLOAD = "IMPORT_UPLOAD";

    /** The ECRA n_ re s_ import. */
    public static final String ECRAN_RES_IMPORT = "RES_IMPORT";

    /** The ECRA n_ transformation. */
    public static final String ECRAN_TRANSFORMATION = "SAISIE_TRANSFORMATION";
    // WS

    /** The SERVLE t_ export. */
    public static final String SERVLET_EXPORT = "/servlet/" + ExportXMLRPCServlet.class.getName();

    /** The I p_ autorise e_ defaut. */
    public static final String IP_AUTORISEE_DEFAUT = "127.0.0.1";

    /** The RESPONS e_ conten t_ type. */
    public static final String RESPONSE_CONTENT_TYPE = "text/xml; charset=utf-8";

    /** The XMLRP c_ obje t_ export. */
    public static final String XMLRPC_OBJET_EXPORT = "Export";

    /** The XMLRP c_ method e_ export. */
    public static final String XMLRPC_METHODE_EXPORT = "execute";

    /** The XMLRP c_ method e_ export. */
    public static final String SAVE_PATH = "/imports/";
}
