/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.xml;
/**
 * Récupération des infos de l'entête commune à chaque fiche
 *  action (AJOUTER, MODIFIER, SUPPRIMER), 
 *  objet (STRUCTURE, COURS, UEUP ...),
 *  code (code de la fiche), 
 *  langue
 */

import org.w3c.dom.Node;
// TODO: Auto-generated Javadoc

/**
 * The Class TraitementEnteteNode.
 */
public class TraitementEnteteNode {

    /** The node. */
    private Node node;

    /**
     * Commentaire relatif au constructeur TraitementEnteteNode.
     *
     * @param _node
     *            the _node
     */
    public TraitementEnteteNode(Node _node) {
        super();
        node = _node;
    }

    /**
     * Gets the action fiche.
     *
     * @return the action fiche
     */
    public String getActionFiche() {
        Node noeud = node;
        String result = "";
        while (noeud != null) {
            if (noeud.hasChildNodes()) {
                Node nextFils = noeud.getFirstChild();
                while (nextFils != null) {
                    if (nextFils.getNodeName().compareTo("ACTION") == 0) {
                        result = nextFils.getFirstChild().getNodeValue().trim();
                    }
                    nextFils = nextFils.getNextSibling();
                }
            }
            noeud = noeud.getNextSibling();
        }
        return result;
    }

    /**
     * Gets the code fiche.
     *
     * @return the code fiche
     */
    public String getCodeFiche() {
        Node noeud = node;
        String result = "";
        while (noeud != null) {
            if (noeud.hasChildNodes()) {
                Node nextFils = noeud.getFirstChild();
                while (nextFils != null) {
                    if (nextFils.getNodeName().compareTo("CODE") == 0) {
                        result = nextFils.getFirstChild().getNodeValue().trim();
                    }
                    nextFils = nextFils.getNextSibling();
                }
            }
            noeud = noeud.getNextSibling();
        }
        return result;
    }

    /**
     * Gets the langue fiche.
     *
     * @return the langue fiche
     */
    public String getLangueFiche() {
        Node noeud = node;
        String result = "";
        while (noeud != null) {
            if (noeud.hasChildNodes()) {
                Node nextFils = noeud.getFirstChild();
                while (nextFils != null) {
                    if (nextFils.getNodeName().compareTo("LANGUE") == 0) {
                        result = nextFils.getFirstChild().getNodeValue().trim();
                    }
                    nextFils = nextFils.getNextSibling();
                }
            }
            noeud = noeud.getNextSibling();
        }
        return result;
    }

    /**
     * Gets the objet fiche.
     *
     * @return the objet fiche
     */
    public String getObjetFiche() {
        Node noeud = node;
        String result = "";
        while (noeud != null) {
            if (noeud.hasChildNodes()) {
                Node nextFils = noeud.getFirstChild();
                while (nextFils != null) {
                    if (nextFils.getNodeName().compareTo("OBJET") == 0) {
                        result = nextFils.getFirstChild().getNodeValue().trim();
                    }
                    nextFils = nextFils.getNextSibling();
                }
            }
            noeud = noeud.getNextSibling();
        }
        return result;
    }

    /**
     * Gets the etat fiche.
     *
     * @return the etat fiche
     */
    public String getEtatFiche() {
        Node noeud = node;
        String result = "";
        while (noeud != null) {
            if (noeud.hasChildNodes()) {
                Node nextFils = noeud.getFirstChild();
                while (nextFils != null) {
                    if (nextFils.getNodeName().compareTo("ETAT_OBJET") == 0) {
                        if (nextFils.getFirstChild() != null) {
                            result = nextFils.getFirstChild().getNodeValue().trim();
                        }
                    }
                    nextFils = nextFils.getNextSibling();
                }
            }
            noeud = noeud.getNextSibling();
        }
        return result;
    }
}
