/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * 
 */
package com.univ.xml.extraction;

import java.io.File;
import java.io.InputStream;

import com.jsbsoft.jtf.exception.ErreurApplicative;
// TODO: Auto-generated Javadoc

/**
 * Inteface d'extraction Cette interface définit la méthode extraire que chaque extracteur doit porter pour pouvoir satisfaire aux conditions d'extractions.
 *
 * @author EBO
 */
public interface IExtractor {

    /**
     * Méthode permettant l'extraction des donnéees issues de l'export.
     *
     * @param input
     *            fllux en entrée devant être retourné suivant le format de l'export
     *
     * @return flux formatté
     *
     * @throws ErreurApplicative
     *             erreur survenue pendant l'extraction et le formattage des données
     */
    public void writeToFile(InputStream input, File file) throws ErreurApplicative;

    public String getDisposition();

    public String getFileName();

    public String getContentType();
}
