/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * 
 */
package com.univ.xml.extraction.impl;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;

import org.apache.commons.io.FileUtils;

import com.jsbsoft.jtf.exception.ErreurApplicative;
import com.kosmos.importexport.util.ExtensionUtil;
import com.univ.xml.IXmlCstes;
import com.univ.xml.extraction.IExtractor;
// TODO: Auto-generated Javadoc

/**
 * Extraction en XML.
 *
 * @author EBO
 */
public class ExtracteurXML implements IExtractor {

    /**
     * Extraire.
     *
     * @param input
     *            the input
     *
     * @return the export result
     *
     * @throws ErreurApplicative
     *             the erreur applicative
     *
     * @see IExtractor#extraire(InputStream)
     */
    @Override
    public void writeToFile(InputStream input, File file) throws ErreurApplicative {
        try {
            FileUtils.copyInputStreamToFile(input, file);
        } catch (IOException e) {
            throw new ErreurApplicative(e.getMessage());
        }
    }

    @Override
    public String getDisposition() {
        String disposition = ExtensionUtil.getProperty(IXmlCstes.PARAM_JTF_DISPOSITION_XML);
        if (disposition == null) {
            disposition = IXmlCstes.DISPOSITION_XML_DEFAUT;
        }
        return disposition;
    }

    @Override
    public String getFileName() {
        return IXmlCstes.DISPOSITION_FILENAME_DEFAUT + System.currentTimeMillis() + ".xml";
    }

    @Override
    public String getContentType() {
        return "application/xml";
    }
}
