/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * Created on 17 juil. 07
 *
 * To change the template for this generated file go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
package com.univ.xml.imports;

import javax.xml.stream.XMLEventReader;
import javax.xml.stream.XMLStreamException;
import javax.xml.stream.events.XMLEvent;

import com.jsbsoft.jtf.exception.ErreurApplicative;
// TODO: Auto-generated Javadoc

/**
 * The Class EnteteImport.
 */
public class EnteteImport {

    /** The action. */
    private Action action = Action.IMPORTER;

    /** The objet. */
    private String objet = "";

    /** The code. */
    private String code = "";

    /** The langue. */
    private String langue = "";

    /** The etat. */
    private String etat = "";

    /** The etat. */
    private String source = "";

    /**
     * Instantiates a new entete import.
     *
     * @param _xmlr
     *            the _xmlr
     *
     * @throws XMLStreamException
     *             the XML stream exception
     */
    public EnteteImport(XMLEventReader _xmlr) throws Exception {
        // on est dans la balise <ENTETE>, on passe au tag suivant
        XMLEvent xmlEvent = _xmlr.nextEvent();
        // tant que l'on reste dans l'entete </ENTETE>
        while (!(xmlEvent.isEndElement() && xmlEvent.asEndElement().getName().getLocalPart().equals("ENTETE"))) {
            // on cherche la balise <ACTION>
            if (xmlEvent.isStartElement() && xmlEvent.asStartElement().getName().getLocalPart().equals("ACTION")) {
                // on regarde la valeur de l'élement
                xmlEvent = _xmlr.peek();
                if (xmlEvent != null && xmlEvent.isCharacters()) {
                    if (!Action.contains(xmlEvent.asCharacters().getData())) {
                        throw new ErreurApplicative("Action inconnue dans le traitement");
                    } else {
                        action = Action.valueOf(xmlEvent.asCharacters().getData());
                    }
                }
            }
            // on cherche la balise <OBJET>
            if (xmlEvent.isStartElement() && xmlEvent.asStartElement().getName().getLocalPart().equals("OBJET")) {
                // on regarde la valeur de l'élement
                xmlEvent = _xmlr.peek();
                if (xmlEvent != null && xmlEvent.isCharacters()) {
                    objet = xmlEvent.asCharacters().getData();
                }
            }
            // on cherche la balise <CODE>
            if (xmlEvent.isStartElement() && xmlEvent.asStartElement().getName().getLocalPart().equals("CODE")) {
                // on regarde la valeur de l'élement
                xmlEvent = _xmlr.peek();
                if (xmlEvent != null && xmlEvent.isCharacters()) {
                    code = xmlEvent.asCharacters().getData();
                }
            }
            // on cherche la balise <LANGUE>
            if (xmlEvent.isStartElement() && xmlEvent.asStartElement().getName().getLocalPart().equals("LANGUE")) {
                // on regarde la valeur de l'élement
                xmlEvent = _xmlr.peek();
                if (xmlEvent != null && xmlEvent.isCharacters()) {
                    langue = xmlEvent.asCharacters().getData();
                }
            }
            // on cherche la balise <ETAT>
            if (xmlEvent.isStartElement() && xmlEvent.asStartElement().getName().getLocalPart().equals("ETAT")) {
                // on regarde la valeur de l'élement
                xmlEvent = _xmlr.peek();
                if (xmlEvent != null && xmlEvent.isCharacters()) {
                    etat = xmlEvent.asCharacters().getData();
                }
            }
            // on cherche la balise <SOURCE>
            if (xmlEvent.isStartElement() && xmlEvent.asStartElement().getName().getLocalPart().equals("SOURCE")) {
                // on regarde la valeur de l'élement
                xmlEvent = _xmlr.peek();
                if (xmlEvent != null && xmlEvent.isCharacters()) {
                    source = xmlEvent.asCharacters().getData();
                }
            }
            xmlEvent = _xmlr.nextEvent();
        }
    }

    ;

    /**
     * Gets the action.
     *
     * @return the action
     */
    public Action getAction() {
        return action;
    }

    /**
     * Gets the code.
     *
     * @return the code
     */
    public String getCode() {
        return code;
    }

    /**
     * Gets the langue.
     *
     * @return the langue
     */
    public String getLangue() {
        return langue;
    }

    /**
     * Gets the objet.
     *
     * @return the objet
     */
    public String getObjet() {
        return objet;
    }

    /**
     * Gets the etat.
     *
     * @return the etat
     */
    public String getEtat() {
        return etat;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public enum Action {
        AJOUTER, MODIFIER, SUPPRIMER, IMPORTER;

        public static boolean contains(String test) {
            for (Action c : Action.values()) {
                if (c.name().equals(test)) {
                    return true;
                }
            }
            return false;
        }
    }
}
