/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.xml.imports;

import com.kportal.extension.module.plugin.objetspartages.IPluginFiche;

/**
 * Bean de référence d'import de plugin (Raw XML).
 * <p>
 * Est utilisé lors du traitement des noeuds pour traiter, après enregistrement de la fiche, les plugins.
 * </p>
 */
public class ImportPlugin {

    /**
     * Référence de plugin de fiche (avec actions associées).
     */
    private final IPluginFiche pluginFiche;

    /**
     * Contenu de plugin XML.
     */
    private final String pluginContent;

    /**
     * Constructeur d'un bean d'import de plugins.
     *
     * @param pluginFiche   Objet de plugin, peut gérer la persistance
     * @param pluginContent Contenu (chaîne de caractères) contenant le plugin
     */
    public ImportPlugin(final IPluginFiche pluginFiche, final String pluginContent) {
        this.pluginFiche = pluginFiche;
        this.pluginContent = pluginContent;
    }

    public IPluginFiche getPluginFiche() {
        return pluginFiche;
    }

    public String getPluginContent() {
        return pluginContent;
    }
}
