/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * 
 */
package com.univ.xml.util;

import java.util.HashMap;
import java.util.Map;
// TODO: Auto-generated Javadoc

/**
 * Classe utilisée dans le chargmeent de la configuration.
 *
 * @author EBO
 */
public class ImportExportBuilder {

    /**
     * The table import.
     */
    private Map<String, InfosImport> tableImport = new HashMap<String, InfosImport>();

    /**
     * The table export.
     */
    private Map<String, InfosExport> tableExport = new HashMap<String, InfosExport>();

    /**
     * Adds the import.
     *
     * @param infosImport the infos import
     */
    public void addImport(InfosImport infosImport) {
        this.tableImport.put(infosImport.getCode(), infosImport);
    }

    /**
     * Adds the export.
     *
     * @param infosExport the infos export
     */
    public void addExport(InfosExport infosExport) {
        this.tableExport.put(infosExport.getCode(), infosExport);
    }

    /**
     * Traitement.
     */
    public void traitement() {
        System.out.println("traitement appelé");
    }

    /**
     * Gets the table infos import.
     *
     * @return the table infos import
     */
    public Map<String, InfosImport> getTableInfosImport() {
        return tableImport;
    }

    /**
     * Gets the table infos export.
     *
     * @return the table infos export
     */
    public Map<String, InfosExport> getTableInfosExport() {
        return tableExport;
    }
}
