/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * 
 */
package com.univ.xml.util;

import java.util.Iterator;
import java.util.Map;
// TODO: Auto-generated Javadoc

/**
 * The Class InfosExport.
 *
 * @author Romain To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments
 */
public class InfosExport extends InfosExportImport {

    /**
     * The formater en html. Appelle la méthode de formatage des tags dynamiques
     */
    private boolean formaterEnHtml = false;

    private boolean formaterEnTexte = false;

    /** The serialisation. */
    private String serialisation = null;

    /**
     * Instantiates a new infos export.
     */
    public InfosExport() {
        init();
    }

    /* (non-Javadoc)
     * @see com.univ.xml.util.InfosExportImport#init()
     */
    @Override
    public void init() {
        super.init();
        formaterEnHtml = false;
        formaterEnTexte = false;
        serialisation = "";
    }

    /**
     * Checks if is formater en html.
     *
     * @return true, if is formater en html
     */
    public boolean isFormaterEnHtml() {
        return formaterEnHtml;
    }

    /**
     * Sets the formater en html.
     *
     * @param formaterEnHtml
     *            the new formater en html
     */
    public void setFormaterEnHtml(final boolean formaterEnHtml) {
        this.formaterEnHtml = formaterEnHtml;
    }

    /**
     * Gets the requete.
     *
     * @return the requete
     */
    public String getRequete() {
        return getParametresAsString();
    }

    /**
     * Gets the serialisation.
     *
     * @return the serialisation
     */
    public String getSerialisation() {
        return serialisation;
    }

    /**
     * Sets the serialisation.
     *
     * @param serialisation
     *            the new serialisation
     */
    public void setSerialisation(final String serialisation) {
        this.serialisation = serialisation;
    }

    /**
     * Adds the parametre.
     *
     * @param param
     *            the param
     */
    public void addParametre(final Param param) {
        super.addParametre(param.getCode(), param.getValeur() != null ? param.getValeur() : "");
    }

    /**
     * Gets the parametres as string.
     *
     * @return the parametres as string
     */
    private String getParametresAsString() {
        String value = "";
        String cle = "";
        final Map<String, String> params = getParametres();
        String val = null;
        for (final Iterator<String> it = params.keySet().iterator(); it.hasNext(); ) {
            cle = it.next();
            val = params.get(cle);
            if (val != null && !"".equals(val)) {
                if (value != null && !"".equals(value)) {
                    value += "&";
                }
                value += cle + "=" + val;
            }
        }
        return value;
    }

    public boolean isFormaterEnTexte() {
        return formaterEnTexte;
    }

    public void setFormaterEnTexte(final boolean formaterEnTexte) {
        this.formaterEnTexte = formaterEnTexte;
    }
}
