/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * 
 */
package com.univ.xml.util;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/**
 * The Class ItemOT.
 *
 * @author Romain To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments
 */
public class ItemOT {

    /** The nom item. */
    private String nomItem = null;

    /** The donnees. */
    private Map<String, String> donnees = null;

    /**
     * Instantiates a new item ot.
     */
    public ItemOT() {
        super();
        nomItem = "";
        donnees = new HashMap<String, String>();
    }

    /**
     * Ajouter donnee.
     *
     * @param libelle
     *            the libelle
     * @param valeur
     *            the valeur
     */
    public void ajouterDonnee(String libelle, String valeur) {
        if (donnees.containsKey(libelle)) {
            valeur = donnees.get(libelle) + valeur;
        }
        this.donnees.put(libelle, valeur);
    }

    /**
     * Sets the nom item ot.
     *
     * @param nom
     *            the new nom item ot
     */
    public void setNomItemOT(String nom) {
        this.nomItem = nom;
    }

    /**
     * Gets the donnees.
     *
     * @return the donnees
     */
    public Map<String, String> getDonnees() {
        return donnees;
    }

    /**
     * Gets the nom item.
     *
     * @return the nom item
     */
    public String getNomItem() {
        return nomItem;
    }

    /**
     * Retourne l'objet technique sous forme d'une chaîne de caractères.
     *
     * @return the string
     */
    @Override
    public String toString() {
        StringBuffer sbf = new StringBuffer();
        sbf.append("<" + nomItem.toUpperCase() + ">");
        String cle = null;
        String val = null;
        for (Iterator<String> it = donnees.keySet().iterator(); it.hasNext(); ) {
            cle = it.next();
            val = donnees.get(cle);
            sbf.append("<" + cle.toUpperCase() + ">" + retirerGuillemets(val) + "</" + cle.toUpperCase() + ">");
        }
        sbf.append("</" + nomItem.toUpperCase() + ">");
        return sbf.toString();
    }

    /**
     * Retirer guillemets.
     *
     * @param val
     *            the val
     *
     * @return the string
     */
    private String retirerGuillemets(String val) {
        if (val.startsWith("\"")) {
            val = val.substring(1);
        }
        if (val.endsWith("\"")) {
            val = val.substring(0, val.length() - 1);
        }
        return val;
    }
}
