/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: importExport
 * Version: 1.08.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.univ.xml.util;

import java.util.Collection;

import org.apache.commons.collections4.CollectionUtils;
import org.apache.commons.collections4.Predicate;

import com.univ.objetspartages.om.FicheUniv;
import com.univ.xml.bean.ResultatFiche;

/**
 * Created by olivier.camon on 04/03/15.
 */
public class ResultatFicheUtil {

    public static ResultatFiche mapResultatFiche(FicheUniv ficheAMapper) {
        ResultatFiche resultatFiche = new ResultatFiche();
        resultatFiche.setIdFiche(ficheAMapper.getIdFiche());
        resultatFiche.setCodeFiche(ficheAMapper.getCode());
        resultatFiche.setCodeLangue(ficheAMapper.getLangue());
        return resultatFiche;
    }

    public static ResultatFiche getResultatFicheDepuisFicheUniv(final Collection<ResultatFiche> resultats, final FicheUniv ficheUniv) {
        ResultatFiche resultatFiche = mapResultatFiche(ficheUniv);
        resultats.contains(resultatFiche);
        CollectionUtils.exists(resultats, new Predicate() {

            @Override
            public boolean evaluate(Object o) {
                ResultatFiche resultatFiche = (ResultatFiche) o;
                return resultatFiche.getIdFiche().equals(ficheUniv.getIdFiche()) && resultatFiche.getCodeFiche().equals(ficheUniv.getCode());
            }
        });
        return null;
    }
}
