<#--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: ofin
    Version: 2.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<#assign cartePremiereAnnee = (mapCartes["ZoomAnnee"]?first)!>
<#if cartePremiereAnnee?has_content>
    <div class="carte-infos-1ere-annee block block-right">
        <#if cartePremiereAnnee.titre?has_content>
            <h2>${cartePremiereAnnee.titre}</h2>
        </#if>
        <#assign libelleCentresInteret = formation.libelleCentresInteret>
        <#if libelleCentresInteret?has_content>
            <div class="centres-interet avoid-page-break-inside">
                <h3>${OffreFormationUtil.getMessage("FORMATION.FO.CARD.CENTRE_INTERET")}</h3>
                <ul>
                    <#list libelleCentresInteret?split(";") as centreInteret>
                        <li>${centreInteret}</li>
                    </#list>
                </ul>
            </div>
        </#if>
        <#if cartePremiereAnnee.organisation?has_content>
            <div class="chage-travail-hebdomadaire avoid-page-break-inside">
                <h3>${OffreFormationUtil.getMessage("FORMATION.FO.CARD.CHARGE_DE_TRAVAIL_HEBDOMADAIRE")}</h3>
                ${cartePremiereAnnee.organisation}
            </div>
        </#if>
        <#if cartePremiereAnnee.effectifattendu?has_content || cartePremiereAnnee.effectifattenduchiffre?has_content || cartePremiereAnnee.effectifattenducommentaire?has_content>
            <div class="effectif-attendu chiffre avoid-page-break-inside">
                <#if cartePremiereAnnee.effectifattendu?has_content>
                    <h3>${cartePremiereAnnee.effectifattendu}</h3>
                </#if>
                <#if cartePremiereAnnee.effectifattenduchiffre?has_content>
                    <div class="chiffre-valeur">
                        ${cartePremiereAnnee.effectifattenduchiffre}
                    </div>
                </#if>
                <#if cartePremiereAnnee.effectifattenducommentaire?has_content>
                    <div class="chiffre-commentaire">
                        ${cartePremiereAnnee.effectifattenducommentaire}
                    </div>
                </#if>
            </div>
        </#if>
        <#if cartePremiereAnnee.tauxreussite?has_content || cartePremiereAnnee.tauxreussitepourcentage?has_content || cartePremiereAnnee.tauxreussitecommentaire?has_content>
            <div class="taux-reussite chiffre avoid-page-break-inside">
                <#if cartePremiereAnnee.tauxreussite?has_content>
                    <h3>${cartePremiereAnnee.tauxreussite}</h3>
                </#if>
                <#if cartePremiereAnnee.tauxreussitepourcentage?has_content>
                    <div class="chiffre-valeur">
                        ${cartePremiereAnnee.tauxreussitepourcentage}&nbsp;%
                    </div>
                </#if>
                <#if cartePremiereAnnee.tauxreussitecommentaire?has_content>
                    <div class="chiffre-commentaire">
                        ${cartePremiereAnnee.tauxreussitecommentaire}
                    </div>
                </#if>
            </div>
        </#if>
    </div>
</#if>
