<#--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: ofin
    Version: 2.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<#assign carteProfessionnalisation = (mapCartes["Professionnalisation"]?first)!>
<#assign formatedProjetsTutores = "${FormationHelper.getFormatedProjetsTutores(formation)}">
<#if carteProfessionnalisation?has_content>
    <div class="carte-professionnalisation block block-right">
        <#if carteProfessionnalisation.titre?has_content>
            <h2>${carteProfessionnalisation.titre}</h2>
        </#if>
        <#if formatedProjetsTutores?has_content || carteProfessionnalisation.projetstutorecommentaire?has_content>
            <div class="projets-tutores avoid-page-break-inside">
                <h3>${OffreFormationUtil.getMessage("FORMATION.FO.CARD.PROJET_S_TUTORE_S")}</h3>
                <#if formatedProjetsTutores?has_content>
                    <div class="toolbox">
                        ${formatedProjetsTutores}
                    </div>
                </#if>
                <#if carteProfessionnalisation.projetstutorecommentaire?has_content>
                    <em>${carteProfessionnalisation.projetstutorecommentaire}</em>
                </#if>
            </div>
        </#if>
        <#if carteProfessionnalisation.formationprofessionalisante?has_content>
            <div class="formation-professionnalisante avoid-page-break-inside">
                <h3>${OffreFormationUtil.getMessage("FORMATION.FO.CARD.UNE_FORMATION_PROFESSIONNALISANTE")}</h3>
                <div class="toolbox">
                    ${carteProfessionnalisation.formationprofessionalisante}
                </div>
            </div>
        </#if>
        <#if formation.metiers?has_content>
            <div class="metiers avoid-page-break-inside">
                <h3>${OffreFormationUtil.getMessage("FORMATION.FO.CARD.METIERS")}</h3>
                <ul class="metiers-liste">
                    <#list listeMetiers as metier>
                        <li>
                            ${metier.libelle}
                        </li>
                    </#list>
                </ul>
            </div>
        </#if>
        <#if carteProfessionnalisation.tauxinsertionpourcentage?has_content || carteProfessionnalisation.tauxinsertioncommentaire?has_content>
            <div class="taux-insertion chiffre avoid-page-break-inside">
                <h3>${OffreFormationUtil.getMessage("FORMATION.FO.CARD.TAUX_D_INSERTION_PROFESSIONNEL")}</h3>
                <#if carteProfessionnalisation.tauxinsertionchiffre?has_content>
                    <div class="chiffre-valeur">
                        ${carteProfessionnalisation.tauxinsertionchiffre}&nbsp;%
                    </div>
                </#if>
                <#if carteProfessionnalisation.tauxinsertioncommentaire?has_content>
                    <div class="chiffre-commentaire">
                        ${carteProfessionnalisation.tauxinsertioncommentaire}
                    </div>
                </#if>
            </div>
        </#if>
    </div>
</#if>
