<#--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: ofin
    Version: 2.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<#if formation.libelleParcours?has_content || urlImagePresentation?has_content>
    <#assign parcoursWidth="">
    <#assign imagePresentationWidth="">
    <#if urlImagePresentation?has_content && formation.libelleParcours?has_content>
        <#assign parcoursWidth="w-50">
        <#assign imagePresentationWidth="w-50">
    <#elseif formation.libelleParcours?has_content>
        <#assign parcoursWidth="w-100">
    <#else>
        <#assign imagePresentationWidth="w-100">
    </#if>

    <article class="bordered bordered-no-padding accroche">
        <div class="accroche-inner">
            <div class="parcours ${parcoursWidth}">
                <div class="parcours-inner p-5">
                    <#if formation.libelleParcours?has_content>
                        <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.PARCOURS")}</h2>
                        <ul>
                            <#list formation.libelleParcours?split(";") as parcours>
                                <li>${parcours}</li>
                            </#list>
                        </ul>
                    </#if>
                </div>
            </div>
            <#if urlImagePresentation?has_content>
                <div class="parcours-illustration ${imagePresentationWidth}">
            </#if>
        </div>
    </article>
</#if>
<#if formation.accroche?has_content>
    <article class="objectifs">
        ${formation.accroche}
    </article>
</#if>
