<#--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: ofin
    Version: 2.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<#include "../../cartes/admission.ftl">
<#if formation.formationsRequises?has_content || formation.fichesFormationsLieesFiche?has_content || formation.modalitesCandidatures?has_content || formation.modalitesCandidaturesSpecifiques?has_content || formation.conditionsAdmission?has_content>
    <article class="admission">
        <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.ADMISSION")}</h2>
        <#if formation.formationsRequises?has_content || formation.fichesFormationsLieesFiche?has_content>
            <div class="pre-requis avoid-page-break-before">
                <h3 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.PRE_REQUIS")}</h3>
                <h4 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.FORMATION_S_REQUISE_S")}</h4>
                <#if formation.formationsRequises?has_content>
                    <div class="toolbox">
                        ${formation.formatedFormationsRequises}
                    </div>
                </#if>
                <#if formation.fichesFormationsLieesFiche?has_content>
                    <ul class="formations-liees">
                        <#list formation.fichesFormationsLieesFiche as formationLiee>
                            <li>
                                ${formationLiee.intituleLong}
                            </li>
                        </#list>
                    </ul>
                </#if>
            </div>
        </#if>
        <#if formation.modalitesCandidatures?has_content || formation.modalitesCandidaturesSpecifiques?has_content || formation.conditionsAdmission?has_content>
            <div class="candidature">
                <h3 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.CANDIDATURE")}</h3>
                <#if formation.modalitesCandidatures?has_content>
                    <div class="modalites-candidature toolbox">
                        <h4 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.MODALITES_DE_CANDIDATURES")}</h4>
                        ${formation.formatedModalitesCandidatures}
                    </div>
                </#if>
                <#if formation.modalitesCandidaturesSpecifiques?has_content>
                    <div class="modalites-candidature-specifiques toolbox">
                        <h4 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.MODALITES_DE_CANDIDATURES_SPECIFIQUES")}</h4>
                        ${formation.formatedModalitesCandidaturesSpecifiques}
                    </div>
                </#if>
                <#if formation.conditionsAdmission?has_content>
                    <div class="conditions-admission toolbox">
                        <h4 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.CONDITIONS_D_ADMISSION_MODALITES_DE_SELECTION")}</h4>
                        ${formation.formatedConditionsAdmission}
                    </div>
                </#if>
            </div>
        </#if>
    </article>
</#if>
