<#--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: ofin
    Version: 2.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<#include "../../cartes/professionnalisation.ftl">
<#if formation.libelleAnneePostbac?has_content || formation.libelleNiveauSortie?has_content || formation.competencesAttestees?has_content || formation.poursuiteEtudes?has_content || formation.fichesParcoursPoursuite?has_content || formation.fichesFormationPoursuite?has_content>
    <article class="et-apres">
        <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.ET_APRES")}</h2>
        <#if formation.libelleAnneePostbac?has_content || formation.libelleNiveauSortie?has_content>
            <div class="niveau-sortie avoid-page-break-before">
                <h3 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.NIVEAU_DE_SORTIE")}</h3>
                <#if formation.libelleAnneePostbac?has_content>
                    <div class="annee-post-bac-sortie">
                        <h4 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.ANNEE_POST_BAC_DE_SORTIE")}</h4>
                        <ul>
                            <#list formation.libelleAnneePostbac?split(";") as anneePostbac>
                                <li>
                                    ${anneePostbac}
                                </li>
                            </#list>
                        </ul>
                    </div>
                </#if>
                <#if formation.libelleNiveauSortie?has_content>
                    <div class="niveau-sortie-details">
                        <h4 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.NIVEAU_DE_SORTIE")}</h4>
                        <ul>
                            <#list formation.libelleNiveauSortie?split(";") as niveauSortie>
                                <li>
                                    ${niveauSortie}
                                </li>
                            </#list>
                        </ul>
                    </div>
                </#if>
            </div>
        </#if>
        <#if formation.competencesAttestees?has_content>
            <div class="competences-attestees toolbox">
                <h3 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.COMPETENCES_ATTESTEES")}</h3>
                ${formation.formatedCompetencesAttestees}
            </div>
        </#if>
        <#if formation.poursuiteEtudes?has_content>
            <div class="poursuite-etudes toolbox">
                <h3 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.POURSUITES_D_ETUDES")}</h3>
                ${formation.formatedPoursuiteEtudes}
            </div>
        </#if>
        <#if formation.fichesParcoursPoursuite?has_content>
            <div class="parcours-poursuite">
                <h3 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.PARCOURS")}</h3>
                <ul>
                    <#list formation.fichesParcoursPoursuite as parcoursPoursuite>
                        <li>
                            ${parcoursPoursuite.libelleAffichable}
                        </li>
                    </#list>
                </ul>
            </div>
        </#if>
        <#if formation.fichesFormationPoursuite?has_content>
            <div class="formation-poursuite">
                <h3 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.FORMATION")}</h3>
                <ul>
                    <#list formation.fichesFormationPoursuite as formationPoursuite>
                        <li>
                            ${formationPoursuite.libelleAffichable}
                        </li>
                    </#list>
                </ul>
            </div>
        </#if>
    </article>
</#if>
