<#--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: ofin
    Version: 2.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<#assign carteDescription = (mapCartes["Description"]?first)!>
<#assign carteRythme = (mapCartes["Rythme"]?first)!>
<#assign carteInscription = (mapCartes["Inscription"]?first)!>
<#assign cartePublics = (mapCartes["Publics"]?first)!>
<#assign formatedStage = "${FormationHelper.getFormatedStage(formation)}">
<#if formation.libelleDureeListe?has_content || formation.autreDuree?has_content>
    <div class="duree">
        <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.CARD.DUREE_DE_LA_FORMATION")}</h2>
        <#if formation.libelleDureeListe?has_content>
            <ul class="duree-liste">
                <#list formation.libelleDureeListe?split(";") as dureeFormation>
                    <li>
                        ${dureeFormation}
                    </li>
                </#list>
            </ul>
        </#if>
        <#if formation.autreDuree?has_content>
            <div class="autre-duree">
                ${formation.autreDuree}
            </div>
        </#if>
    </div>
</#if>
<#if formation.libelleLieux?has_content || formation.lieuxComplement?has_content>
    <div class="lieux">
        <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.CARD.LIEU_X_DE_LA_FORMATION")}</h2>
        <#if formation.libelleLieux?has_content>
            <ul class="lieux-liste">
                <#list formation.libelleLieux?split(";") as lieu>
                    <li>
                        ${lieu}
                    </li>
                </#list>
            </ul>
        </#if>
        <#if formation.lieuxComplement?has_content>
            <div class="lieux-complement toolbox">
                ${formation.formatedLieuxComplement}
            </div>
        </#if>
    </div>
</#if>
<#if formation.libelleNiveauRecrutement?has_content || (cartePublics?has_content && cartePublics.publicscibles?has_content)>
    <div class="publics">
        <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.PUBLIC")}</h2>
        <#if formation.libelleNiveauRecrutement?has_content>
            <div class="niveaux-recrutement">
                <h3>${OffreFormationUtil.getMessage("FORMATION.FO.NIVEAU_X_DE_RECRUTEMENT")}</h3>
                <ul>
                    <#list formation.libelleNiveauRecrutement?split(";") as niveauRecrutement>
                        <li>
                            ${niveauRecrutement}
                        </li>
                    </#list>
                </ul>
            </div>
        </#if>
        <#if cartePublics?has_content && cartePublics.publicscibles?has_content>
            <div class="public-cible">
                <h3>${OffreFormationUtil.getMessage("FORMATION.FO.PUBLIC_CIBLE")}</h3>
                ${cartePublics.publicscibles}
            </div>
        </#if>
    </div>
</#if>
<#if formatedStage?has_content || (carteDescription?has_content && carteDescription.stagecommentaire?has_content)>
    <div class="stages">
        <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.STAGES")}</h2>
        <#if formatedStage?has_content>
            <div class="toolbox">
                ${formatedStage}
            </div>
        </#if>
        <#if carteDescription?has_content && carteDescription.stagecommentaire?has_content>
            <em>${carteDescription.stagecommentaire}</em>
        </#if>
    </div>
</#if>
<#if formation.libelleLanguesEnseignement?has_content || (carteDescription?has_content && carteDescription.languecommentaire?has_content)>
    <div class="langues-enseignement">
        <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.CARD.LANGUES_D_ENSEIGNEMENT")}</h2>
        <#if formation.libelleLanguesEnseignement?has_content>
            <ul>
                <#list formation.libelleLanguesEnseignement?split(";") as langueEnseignement>
                    <li>
                        ${langueEnseignement}
                    </li>
                </#list>
            </ul>
        </#if>
        <#if carteDescription.languecommentaire?has_content>
            <em>${carteDescription.languecommentaire}</em>
        </#if>
    </div>
</#if>
<#if formation.tempsPlein == "1" || formation.compatibleActivitePro == "1" || formation.tempsAmenage == "1" || formation.alternance == "1">
    <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.CARD.RYTHME")}</h2>
    <ul class="rythme">
        <#if formation.tempsPlein == "1">
            <li>
                ${OffreFormationUtil.getMessage("FORMATION.FO.CARD.TEMPS_PLEIN")}
                <#if carteRythme?has_content && carteRythme.commentairetempsplein?has_content>
                    <em>${carteRythme.commentairetempsplein}</em>
                </#if>
            </li>
        </#if>
        <#if formation.compatibleActivitePro == "1">
            <li>
                ${OffreFormationUtil.getMessage("FORMATION.FO.CARD.COMPATIBLE_AVEC_UNE_ACTIVITE_PROFESSIONNELLE")}
                <#if carteRythme?has_content && carteRythme.commentairecompatibleactivite?has_content>
                    <em>${carteRythme.commentairecompatibleactivite}</em>
                </#if>
            </li>
        </#if>
        <#if formation.tempsAmenage == "1">
            <li>
                ${OffreFormationUtil.getMessage("FORMATION.FO.CARD.TEMPS_AMENAGE")}
                <#if carteRythme?has_content && carteRythme.commentairetempsamenage?has_content>
                    <em>${carteRythme.commentairetempsamenage}</em>
                </#if>
            </li>
        </#if>
        <#if formation.alternance == "1">
            <li>
                ${OffreFormationUtil.getMessage("FORMATION.FO.CARD.EN_ALTERNANCE")}
                <#if carteRythme?has_content && carteRythme.commentairealternance?has_content>
                    <em>${carteRythme.commentairealternance}</em>
                </#if>
                <#if formation.horsContratAlternance == "1" || formation.contratApprentissage == "1" || formation.contratPro == "1">
                    <ul>
                        <#if formation.horsContratAlternance == "1">
                            <li>
                                ${OffreFormationUtil.getMessage("FORMATION.HORS_CONTRAT_ALTERNANCE")}
                                <#if carteRythme?has_content && carteRythme.commentairehorscontratalternance?has_content>
                                    <em>${carteRythme.commentairehorscontratalternance}</em>
                                </#if>
                            </li>
                        </#if>
                        <#if formation.contratApprentissage == "1">
                            <li>
                                ${OffreFormationUtil.getMessage("FORMATION.CONTRAT_APPRENTISSAGE")}
                                <#if carteRythme?has_content && carteRythme.commentairecontratapprentissage?has_content>
                                    <em>${carteRythme.commentairecontratapprentissage}</em>
                                </#if>
                            </li>
                        </#if>
                        <#if formation.contratPro == "1">
                            <li>
                                ${OffreFormationUtil.getMessage("FORMATION.CONTRAT_PRO")}
                                <#if carteRythme?has_content && carteRythme.commentairecontratprofessionnalisation?has_content>
                                    <em>${carteRythme.commentairecontratprofessionnalisation}</em>
                                </#if>
                            </li>
                        </#if>
                    </ul>
                </#if>
            </li>
        </#if>
    </ul>
</#if>
<#if formation.presentiel == "1" || formation.partiellementDistance == "1" || formation.totalementDistance == "1">
    <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.CARD.MODALITES")}</h2>
    <ul class="modalites">
        <#if formation.presentiel == "1">
            <li>
                ${OffreFormationUtil.getMessage("FORMATION.FO.CARD.PRESENTIEL")}
                <#if carteRythme?has_content && carteRythme.commentairepresentiel?has_content>
                    <em>${carteRythme.commentairepresentiel}</em>
                </#if>
            </li>
        </#if>
        <#if formation.partiellementDistance == "1">
            <li>
                ${OffreFormationUtil.getMessage("FORMATION.FO.CARD.PARTIELLEMENT_A_DISTANCE")}
                <#if carteRythme?has_content && carteRythme.commentairepartiellementdistance?has_content>
                    <em>${carteRythme.commentairepartiellementdistance}</em>
                </#if>
            </li>
        </#if>
        <#if formation.totalementDistance == "1">
            <li>
                ${OffreFormationUtil.getMessage("FORMATION.FO.CARD.TOTALEMENT_A_DISTANCE")}
                <#if carteRythme?has_content && carteRythme.commentairetotalementdistance?has_content>
                    <em>${carteRythme.commentairetotalementdistance}</em>
                </#if>
            </li>
        </#if>
    </ul>
</#if>
<#if formation.contactEmail?has_content || formation.contactTelephone?has_content || formation.urlExterneFormation?has_content || formation.renseignements?has_content || formation.urlInscription?has_content>
    <div class="renseignements block avoid-page-break-inside">
        <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.RENSEIGNEMENTS")}</h2>
        <#if formation.contactEmail?has_content>
            <div class="contact-email mb-5">
                <a href="${formation.contactEmail}">${formation.contactEmail}</a>
            </div>
        </#if>
        <#if formation.contactTelephone?has_content>
            <div class="contact-telephone mb-5">
                <span>${formation.contactTelephone}</span>
            </div>
        </#if>
        <#if formation.urlExterneFormation?has_content>
            <div class="url-site-formation mb-5">
                <a href="${formation.urlExterneFormation}">${formation.urlExterneFormation}</a>
            </div>
        </#if>
        <#if formation.renseignements?has_content>
            <div class="renseignements mb-5 toolbox">
            ${formation.formatedRenseignements}
            </div>
        </#if>
        <#if formation.urlInscription?has_content>
            <div class="inscription">
                <a href="${formation.urlInscription}">${formation.urlInscription}</a>
            </div>
        </#if>
    </div>
</#if>
<#if carteInscription.coutformation?has_content || carteInscription.modaliteinscriptionaccroche?has_content>
    <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.CARD.INSCRIPTIONS")}</h2>
    <#if carteInscription.coutformation?has_content>
        <h3 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.CARD.COUT_DE_LA_FORMATION")}</h3>
        <div>
            ${carteInscription.coutformation}
        </div>
    </#if>
    <#if carteInscription.modaliteinscriptionaccroche?has_content>
        <h3 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.CARD.MODALITES_D_INSCRIPTION")}</h3>
        <div>
            ${carteInscription.modaliteinscriptionaccroche}
        </div>
    </#if>
</#if>
