<#--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: ofin
    Version: 2.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<#if formation.programme?has_content || formation.fichesParcoursFiche?has_content || formation.rythmePremiereAnnee?has_content>
<div class="page-break"></div>
<!-- SAUT DE PAGE -->
<section class="programme">
    <#include "../cartes/zoom.ftl">
    <article class="programe-details">
        <h2 class="avoid-page-break-after">${OffreFormationUtil.getMessage("FORMATION.FO.PROGRAMME")}</h2>
        <#if formation.programme?has_content>
            <div>
                ${formation.formatedProgramme}
            </div>
        </#if>
    </article>
    <#if formation.afficherProgramme! == '1' && formation.fichesParcoursFiche?has_content>
        <article class="parcours-listes">
            <ul class="parcours-diplomants no-bullet">
                <#assign lr = 'left'>
                <#list formation.fichesParcoursFiche as parcoursDiplomant>
                    <#assign parcoursLies = (mapParcours[parcoursDiplomant.idParcours?c])!>
                    <li class="${lr} avoid-page-break-inside">
                        <#assign intituleParcoursDiplomant = parcoursDiplomant.intituleParcoursDiplomant>
                        <#if !intituleParcoursDiplomant?has_content>
                            <#assign intituleParcoursDiplomant = parcoursDiplomant.intituleCourt>
                        </#if>
                        <h3>
                            ${intituleParcoursDiplomant}
                        </h3>
                        <ul class="parcours-semestres no-bullet no-padding">
                            <#list parcoursLies as parcoursLie>
                                <#assign libelleCourtAnneeSemestreParcours = OffreFormationUtil.buildLibelleCourtAnneeSemestreParcours(parcoursLie.persistenceBean)>
                                <li>
                                    <strong class="mb-2 d-b">
                                        <#if libelleCourtAnneeSemestreParcours?has_content>
                                            ${libelleCourtAnneeSemestreParcours} :
                                        </#if>
                                        ${parcoursLie.intituleLong}
                                    </strong>
                                    <#if parcoursLie.ficheUeups?has_content>
                                        <ul class="mb-5 parcours-elements no-bullet">
                                            <#list parcoursLie.ficheUeups as elementPedagogique>
                                                <li>
                                                    ${elementPedagogique.libelleLong}
                                                </li>
                                            </#list>
                                        </ul>
                                    </#if>
                                </li>
                            </#list>
                        </ul>
                    </li>
                    <#if lr == 'left'>
                        <#assign lr = 'right'>
                    <#else>
                        <#assign lr = 'left'>
                    </#if>
                </#list>
            </ul>
        </article>
    </#if>
</section>
</#if>
